2007-11-17  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/byte-run.el (declare-function): New macro.
	* emacs-lisp/bytecomp.el (byte-compile-declare-function):
	New function, byte-hunk-handler for declare-function.
	(byte-compile-callargs-warn): Handle declared functions.

	* emacs-lisp/check-declare.el: New file.
	* Makefile.in (check-declare): New target.

	* progmodes/fortran.el (gud-find-c-expr): Declare as a function.

	* subr.el (process-lines): Move here from ../admin/admin.el.
	* emacs-lisp/authors.el (authors-process-lines): Remove.
	(authors): Use process-lines rather than authors-process-lines.

2007-11-17  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/backquote.el (backquote):
	Improve argument/docstring consistency.

	* emacs-lisp/ring.el (ring-size, ring-p, ring-insert)
	(ring-length, ring-empty-p): Use c[ad]dr.
	(ring-plus1): Use `1+'.
	(ring-minus1): Use `zerop'.
	(ring-remove): Use c[ad]dr.  Use `when'.
	(ring-copy): Use c[ad]dr.  Use `let', not `let*'.
	(ring-ref): Use `let', not `let*'.
	(ring-insert-at-beginning): Use c[ad]dr.  Doc fix.
	(ring-insert+extend): Use c[ad]dr.  Fix typo in docstring.
	(ring-member): Simplify.  Doc fix.
	(ring-convert-sequence-to-ring): Simplify.

2007-11-17  Juri Linkov  <juri@jurta.org>

	* dired-aux.el (dired-create-directory): Allow creating
	a directory of an arbitrary depth.  Add a loop to find the topmost
	nonexistent parent dir `new', and call `dired-add-file' on it.
	Set the `PARENTS' arg of `make-directory' to t.

2007-11-16  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-aent.el (calc-last-user-lang-parse-table): New variable.
	(math-build-parse-table): Get parse information from
	`math-parse-table'.

2007-11-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* window.el (recenter-last-op): New var.
	(recenter-top-bottom): New command.
	(global-map): Bind it to C-l.

	* abbrev.el (abbrev--write): Fix error in transcription from C.

	* emulation/pc-select.el (pc-select-shifted-mark): Remove.
	(pc-select-ensure-mark): Set mark-active to a special value instead.
	Rename from ensure-mark.  Update call callers.
	(pc-select-maybe-deactivate-mark): Rename from maybe-deactivate-mark.
	Rewrite.  Update all callers.
	(pc-selection-mode): Remove redundant var declaration.

2007-11-16  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-search-backward, doc-view-search):
	Fix assignment to free variable bug.

2007-11-16  Martin Pohlack  <mp26@os.inf.tu-dresden.de>  (tiny change)

	* emulation/pc-select.el (pc-select-shifted-mark): New var.
	(ensure-mark): Set it.
	(maybe-deactivate-mark): New fun.
	Use it everywhere instead of (setq mark-active nil).

2007-11-16  Dan Nicolaescu  <dann@ics.uci.edu>

	* textmodes/reftex-dcr.el (reftex-start-itimer-once):
	Add check for XEmacs.

	* calc/calc-menu.el (calc-mode-map): Pacify byte compiler.

	* doc-view.el (doc-view-resolution): Add missing :group.

2007-11-16  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (make-variable-frame-local):
	Fix typo in obsolescence declaration.

2007-11-16  Werner Lemberg  <wl@gnu.org>

	* files.el (set-auto-mode-1): Check second line for -*- if file
	starts with '\" (which is used by man pages to identify needed
	troff preprocessors).

2007-11-16  Glenn Morris  <rgm@gnu.org>

	* mail/mail-extr.el (mail-extr-all-top-level-domains): Update domains.

2007-11-16  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-lang.el (math-oper-table): Fix typo.
	Reduce precedence of "/" for TeX.

	* calc/calc-menu.el (calc-modes-menu): Add Languages submenu.

2007-11-16  Juri Linkov  <juri@jurta.org>

	* dired-aux.el (dired-read-shell-command-default): New function.
	(dired-read-shell-command): Use its return value for DEFAULT arg.

	* replace.el (keep-lines-read-args, occur-read-primary-args):
	Use a list of default values for DEFAULT arg of read-from-minibuffer.

	* man.el (Man-heading-regexp): Add 0-9.
	(Man-first-heading-regexp): Remove leading space [ \t]* before NAME.

2007-11-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* doc-view.el (doc-view-ghostscript-options): Remove resolution arg.
	(doc-view-resolution): New custom var.
	(doc-view-pdf/ps->png): Use it.
	(doc-view-shrink-factor): New var.
	(doc-view-enlarge, doc-view-shrink): New commands.
	(doc-view-mode-map): Use them.

2007-11-15  Juanma Barranquero  <lekktu@gmail.com>

	* ediff-wind.el (ediff-window-setup-function):
	* simple.el (normal-erase-is-backspace):
	* eshell/em-unix.el (eshell/info):
	* progmodes/cc-engine.el (c-crosses-statement-barrier-p):
	Fix typos in docstrings.

	* emulation/cua-base.el (cua--keymaps-initialized):
	Rename from `cua--keymaps-initalized'.  Callers changed.
	(cua-highlight-region-shift-only): Doc fix.
	(cua-paste-pop): Fix typo in docstring.

2007-11-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emulation/cua-base.el (cua--pre-command-handler-1):
	Use input-decode-map instead of function-key-map.
	Use event-modifiers now that it works reliably.

	* vc.el (vc-diff-internal): Pop-to-buffer later.

	* subr.el (event-modifiers): Use internal-event-symbol-parse-modifiers.

	* pcvs.el (cvs-revert-if-needed): Ignore `unknown' files, since cvs
	did not touch them.

2007-11-15  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-menu.el: New file.
	* calc/calc.el (calc-mode): Require calc-menu.

2007-11-14  Juanma Barranquero  <lekktu@gmail.com>

	* isearch-multi.el (isearch-buffers-next-buffer-function): Doc fix.

2007-11-14  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-parent-bptno-enabled): New variable.
	(gdb-breakpoint-regexp, gdb-mouse-toggle-breakpoint-margin)
	(gdb-mouse-toggle-breakpoint-fringe, gdb-delete-breakpoint)
	(gdb-goto-breakpoint): Generalise for breakpoints with multiple
	locations.
	(gdb-info-breakpoints-custom, gdb-assembler-custom)
	(gdb-toggle-breakpoint): Update for new gdb-breakpoint-regexp.
	(gdb-put-breakpoint-icon): Only display icon for parent breakpoint.

2007-11-13  Noah Friedman  <friedman@splode.com>

	* calc/calc.el: Add `backward-delete-char-untabify' to the list of
	bindings to remap when `calc-scan-for-dels' is non-nil.

2007-11-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/byte-opt.el (byte-compile-trueconstp): Handle more
	constant forms.
	(byte-compile-nilconstp): New function.
	(byte-optimize-cond): Kill subsequent branches when a branch is
	know to be taken or not taken.
	(byte-optimize-if): Use byte-compile-nilconstp instead of hand coding.

2007-11-13  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-register): Allow registering a file passed as a
	parameter instead of just the current buffer.

2007-11-12  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-open-connection-setup-interactive-shell):
	Check whether the output of "uname -sr" has been changed.

2007-11-12  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* progmodes/compile.el (compilation-error-regexp-alist-alist): Insert
	patterns from compilation-perl.el and compilation-weblint.el files.

2007-11-12  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/compilation-perl.el:
	* progmodes/compilation-weblint.el: Disable autoloads, they cause
	a bootstrap failure.

	* vc-cvs.el (vc-cvs-diff): If backup files exist, diff them
	instead of doing "cvs diff" in order to avoid accessing the repository.

2007-11-12  Kevin Ryde  <user42@zip.com.au>

	* progmodes/compilation-perl.el:
	* progmodes/compilation-weblint.el: New files.

2007-11-11  Juanma Barranquero  <lekktu@gmail.com>

	* international/iso-cvt.el (iso-translate-conventions): Doc fix.
	(iso-aggressive-german-trans-tab, iso-conservative-german-trans-tab)
	(iso-tex2iso-trans-tab, iso-gtex2iso-trans-tab): Reflow docstring.
	(iso-spanish, iso-german, iso-iso2tex, iso-tex2iso, iso-gtex2iso)
	(iso-iso2gtex, iso-iso2duden, iso-iso2sgml, iso-sgml2iso):
	Rewrite in active voice.

2007-11-11  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el: Add comments about isearch support.

2007-11-11  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-start-entry): Fix setting the in the case the function
	is called from vc-dired.  Use when instead of if where appropriate.

2007-11-11  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el (ps-do-despool): Do not force ps-lpr-switches
	to be a list.
	(ps-begin-job): Error if ps-lpr-switches is not a list.

2007-11-11  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* faces.el (face-normalize-spec): Remove function.
	(frame-set-background-mode): Undo last change.

2007-11-10  Jason Rumney  <jasonr@gnu.org>

	* w32-fns.el: Sync charset names with setup-default-fontset.
	Append "-1" where second part missing.

2007-11-10  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-mode-end-hook, isearch-mode-end-hook-quit):
	Fix docstring.  Reported by Leo <sdl.web@gmail.com>.

	* custom.el (custom-note-var-changed): Remove the `interactive'
	spec from this new non-interactive function.

2007-11-10  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-mode-map, doc-view-menu)
	(doc-view-pdf->txt-sentinel): Adapt to new search UI.
	(doc-view-search-backward): New function.
	(doc-view-search): Query new regexp if prefix arg is given, else
	jump to next/previous match.
	(doc-view-mode): Handle compressed files.
	(jka-compr): Required for compressed files.

2007-11-10  Paul Pogonyshev  <pogonyshev@gmx.net>

	* replace.el (query-replace-show-replacement): New defcustom.
	(perform-replace): Use `match-substitute-replacement' if
	`query-replace-show-replacement' is non-nil.

2007-11-10  David Kastrup  <dak@gnu.org>

	* subr.el (match-substitute-replacement): New function.

2007-11-10  Carsten Dominik  <dominik@science.uva.nl>

	* files.el (auto-mode-alist): Select org-mode for files with the
	extension ".org".

2007-11-10  Martin Rudalics  <rudalics@gmx.at>

	* help.el (help-window, help-window-point-marker): New variables.
	(help-window-select): New option.
	(with-help-window): New macro for displaying help windows.
	(help-window-display-message, help-window-setup-finish)
	(help-window-setup): New functions used for setting up help windows.
	(print-help-return-message): Reset help-window to nil.
	(view-lossage): Use with-help-window instead of
	with-output-to-temp-buffer and move help-window-point-marker after
	inserted text.
	(describe-bindings, describe-key, describe-mode): Use
	with-help-window instead of with-output-to-temp-buffer.

	* help-mode.el (help-mode): Set view-exit-action to bury the
	buffer instead of fiddling with windows.  Simplify code.
	(help-mode-finish): When help-window eqs t set it to the selected
	window and have with-help-window set up view-return-to-alist.
	(help-buffer): Add autoload cookie.

	* view.el (view-remove-frame-by-deleting): Change default value to t.
	Add autoload cookie.
	(view-exit-action, view-file, view-file-other-window)
	(view-file-other-frame, view-buffer, view-buffer-other-window)
	(view-buffer-other-frame): Rewrite doc strings.
	(view-return-to-alist-update): New function to remove stale entries
	from view-return-to-alist.
	(view-mode-enter): Rewrite doc string and simplify code.
	(view-mode-exit): Handle new case 'keep-frame.  Don't reset
	view-exit-action to nil.  Simplify code and rewrite doc string.

	* apropos.el (apropos-describe-plist):
	* descr-text.el (describe-char):
	* disp-table.el (describe-display-table):
	* faces.el (list-faces-display, describe-face):
	* facemenu.el (list-colors-display):
	* help-fns.el (describe-function, describe-variable)
	(describe-syntax, describe-categories):
	Use with-help-window instead of with-output-to-temp-buffer.

2007-11-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* emacs-lisp/byte-opt.el (byte-optimize-featurep):
	Optimize (featurep 'emacs) to t.

	* emacs-lisp/bytecomp.el (byte-compile-find-bound-condition):
	New function.
	(byte-compile-maybe-guarded): Use it to also look for bound
	symbols inside `and' forms.  Comment out non-working code that was
	trying to avoid warnings for XEmacs code.

	* vc.el (vc-diff-internal): Make the *vc-diff* buffer read only.

	* vc-svn.el (vc-svn-print-log, vc-svn-diff):
	* vc-mcvs.el (vc-mcvs-print-log, vc-mcvs-annotate-command):
	* vc-cvs.el (vc-cvs-print-log, vc-cvs-diff)
	(vc-cvs-annotate-command):
	* vc-arch.el (vc-arch-diff): Remove test to check if start-process
	is bound, it always is.

2007-11-10  Jason Rumney  <jasonr@gnu.org>

	* term/w32-win.el (w32-initialize-window-system): Move SJIS font
	setup here from global scope.

2007-11-10  Juanma Barranquero  <lekktu@gmail.com>

	* ido.el (ido-save-history): Save the history file in UTF-8, not
	the current filename coding system.

2007-11-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (interprogram-cut-function, interprogram-paste-function):
	Don't make them frame-local any more.

	* faces.el (x-create-frame-with-faces, tty-create-frame-with-faces):
	Don't set interprogram-(cut|paste)-function on each frame.

	* term/x-win.el (x-select-text, x-cut-buffer-or-selection-value):
	Make them work in tty frames.
	(interprogram-cut-function, interprogram-paste-function):
	Set them globally.

2007-11-09  Juanma Barranquero  <lekktu@gmail.com>

	* international/iso-cvt.el (iso-spanish, iso-german, iso-iso2tex)
	(iso-tex2iso, iso-gtex2iso, iso-iso2gtex, iso-iso2duden): Doc fixes.
	(iso-iso2duden-trans-tab): Add docstring.

2007-11-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* abbrev.el (define-abbrev-table): Record the variable definition.

	* emacs-lisp/bytecomp.el (byte-compile-file-form-define-abbrev-table):
	New function.

2007-11-09  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Clean the code for checking suitable Emacs version.
	(ps-do-despool): If ps-lpr-switches is not a list, force it to be one.
	(ps-print-version): New version 6.8.1.

2007-11-09  Juanma Barranquero  <lekktu@gmail.com>

	* files.el (enable-local-variables): Doc fix.

2007-11-09  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-gdb): Remove vestigial gdba doc and code.

2007-11-09  Sven Joachim  <svenjoac@gmx.de>

	* dired-aux.el (dired-copy-file-recursive):
	Preserve directory permissions.

2007-11-09  Juanma Barranquero  <lekktu@gmail.com>

	* whitespace.el (whitespace-write-file-hook): Remove interactive spec.
	(whitespace-unload-function): New-style unload function.  When run,
	unintern `whitespace-unload-hook' and call `unload-feature' recursively
	to stop the old hook from messing with the unloading.

2007-11-09  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/elp.el (elp-report-limit, elp-restore-all)
	(elp-unset-master, elp-results): Fix typos.
	(elp-sort-by-function, elp-use-standard-output, elp-recycle-buffers-p):
	Doc fixes.

	* msb.el (msb--many-menus): Remove variable.
	(msb-max-menu-items, msb--add-to-menu): Doc fixes.
	(msb-menu-cond, msb-item-handling-function, msb--create-function-info)
	(msb--toggle-menu-type): Fix typos in docstrings.

	* shadowfile.el (shadow-inhibit-overload, shadow-remove-from-todo)
	(shadow-insert-var): Doc fixes.
	(shadow-file-match, shadow-define-cluster, shadow-define-regexp-group):
	Reflow docstrings.
	(shadow-parse-fullname, shadow-read-files): Fix typos in docstrings.

2007-11-09  Juanma Barranquero  <lekktu@gmail.com>

	* ediff-hook.el (ediff, ediff-files, ediff-buffers, ebuffers, ediff3)
	(ediff-files3, ediff-buffers3, ebuffers3, erevision, ediff-revision):
	Fix typos in autoload docstrings.

2007-11-09  Richard Stallman  <rms@gnu.org>

	* savehist.el (savehist-save): Obey savehist-ignored-variables.

2007-11-09  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-delete-out-of-scope): New option.
	(gdb-var-update-handler-1): Use it.

2007-11-09  Juanma Barranquero  <lekktu@gmail.com>

	* loadhist.el (unload-feature): Remove erroneous check for the
	FEATURE-unload-function variable; check the existence of the
	function (that's what the docstring says, and it makes more sense).

	* follow.el (follow-unload-function): Add docstring.
	(follow-unload-function): Remove variable.

	* server.el (server-unload-function): Remove variable.
	(server-unload-function): Unbind `server-edit' from `C-x #'.

	* ses.el (ses-unload-function): New function.

2007-11-09  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/unsafep.el (unsafep, unsafep-function)
	(unsafep-progn, unsafep-let): Fix typos in docstrings.

	* uniquify.el (uniquify-maybe-rerationalize-w/o-cb): Define it
	before use to avoid a warning in packages that require uniquify.
	(uniquify-unload-function): New function and var.

2007-11-09  Dan Nicolaescu  <dann@ics.uci.edu>

	* ediff-init.el (ediff-xemacs-p, ediff-emacs-p): Remove.
	(ediff-has-face-support-p, ediff-BAD-INFO, ediff-check-version)
	(ediff-current-diff-A, ediff-current-diff-B)
	(ediff-current-diff-C, ediff-fine-diff-C, ediff-fine-diff-A)
	(ediff-fine-diff-B, ediff-fine-diff-Ancestor, ediff-even-diff-A)
	(ediff-even-diff-B, ediff-even-diff-C, ediff-even-diff-Ancestor)
	(ediff-odd-diff-A, ediff-odd-diff-B, ediff-odd-diff-C)
	(ediff-odd-diff-Ancestor, ediff-reset-mouse):
	* ediff-wind.el (ediff-narrow-control-frame-leftward-shift)
	(ediff-setup-windows-plain-merge)
	(ediff-setup-windows-plain-compare, ediff-setup-control-frame)
	(ediff-refresh-control-frame, ediff-get-visible-buffer-window):
	* ediff-util.el (ediff-setup-keymap, )
	(ediff-toggle-wide-display, ediff-toggle-multiframe)
	(ediff-toggle-use-toolbar, ediff-really-quit)
	(ediff-good-frame-under-mouse)
	(ediff-highlight-diff-in-one-buffer)
	(ediff-remove-flags-from-buffer, ediff-place-flags-in-buffer1)
	(ediff-make-bullet-proof-overlay):
	* ediff-mult.el (ediff-setup-meta-map, ediff-emacs-p)
	(ediff-set-meta-overlay):
	* ediff-help.el (ediff-help-region-map, ediff-set-help-overlays):
	* ediff.el (ediff-documentation): Replace ediff-xemacs-p and
	ediff-emacs-p with their former definitions.

	* emulation/viper-init.el (viper-xemacs-p, viper-emacs-p): Remove.
	(viper-has-face-support-p, viper-inactivate-input-method)
	(viper-activate-input-method)
	(viper-use-replace-region-delimiters, viper-restore-cursor-type):
	* emulation/viper-mous.el (viper-multiclick-timeout)
	(viper-surrounding-word, viper-mouse-click-insert-word)
	(viper-mouse-click-search-word, viper-parse-mouse-key):
	* emulation/viper-macs.el (viper-char-array-to-macro):
	* emulation/viper.el (viper-go-away, viper-set-hooks)
	(viper-non-hook-settings):
	* emulation/viper-util.el (viper-get-saved-cursor-color-in-replace-mode)
	(viper-get-saved-cursor-color-in-insert-mode)
	(viper-get-saved-cursor-color-in-emacs-mode)
	(viper-check-version, viper-get-visible-buffer-window)
	(viper-file-checked-in-p, viper-set-replace-overlay)
	(viper-set-replace-overlay-glyphs, viper-set-minibuffer-overlay)
	(viper-check-minibuffer-overlay, viper-read-key-sequence)
	(viper-key-to-emacs-key): Replace viper-xemacs-p and viper-emacs-p
	with their former definitions.
	(viper-eventify-list-xemacs): Only do work for XEmacs.
	(viper-set-unread-command-events): Only do work for Emacs.
	(viper-overlay-p, viper-make-overlay, viper-overlay-live-p)
	(viper-move-overlay, viper-overlay-start, viper-overlay-end)
	(viper-overlay-get, viper-overlay-put, viper-read-event)
	(viper-characterp, viper-int-to-char, viper-get-face)
	(viper-color-defined-p, viper-iconify): New defaliases replacing
	the old fsets.

	* progmodes/fortran.el (comment-region-function)
	(uncomment-region-function): Pacify byte compiler.

	* vc.el (vc-diff-internal): Remove code for an old version of gnus.

2007-11-08  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-maybe-open-connection): Use a local copy of
	`process-environment'.

2007-11-08  David Hansen  <david.hansen@gmx.net>  (tiny change)

	* eshell/em-dirs.el (eshell-expand-multiple-dots): Change regexp to
	match dir like "a...b".

2007-11-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* smerge-mode.el (smerge-refine-subst): Pass "-d" to diff.

2007-11-07  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-substitute-in-file-name):
	Don't expand the remote connection identification.
	(tramp-find-shell, tramp-open-connection-setup-interactive-shell):
	Set also $PS2 and $PS3 when setting $PS1.  Check for shell echoing
	before calling stty.

	* net/tramp-cache.el (tramp-cache-print)
	(tramp-dump-connection-properties): Fix docstring.
	(tramp-list-connections): Rename from
	`tramp-cache-list-connections'.

	* net/tramp-cmds.el (tramp-cleanup-connection): Apply it.

	* net/tramp-ftp.el (tramp-ftp-file-name-handler): Don't expand the
	remote connection identification when setting connection property.

	* net/tramp-smb.el (tramp-smb-handle-substitute-in-file-name):
	"//" substitutes only in the local filename part.

2007-11-07  David Hansen  <david.hansen@gmx.net>

	* eshell/em-glob.el (eshell-extended-glob): Sort matches.

2007-11-07  Glenn Morris  <rgm@gnu.org>

	* emulation/tpu-mapper.el (tpu-map-key): Use unless rather than cond.
	Remove superfluous concats.  Move final set-buffer to
	non-emacs-specific code.

2007-11-07  Rob Riepel  <riepel@networking.stanford.edu>

	* emulation/tpu-mapper.el (tpu-map-key): Remove un-needed cond branch.

2007-11-07  Johan Bockg,Ae(Brd  <bojohan@gnu.org>

	* eshell/esh-mode.el (eshell-output-filter):
	* eshell/esh-proc.el (eshell-insertion-filter, eshell-sentinel):
	Use `with-current-buffer'.

2007-11-07  Andreas Schwab  <schwab@suse.de>

	* server.el (server-start): Only register cleanup after server was
	started.

2007-11-06  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (top): Don't autoload `tramp-cache-print'.

	* net/tramp-cache (tramp-cache-print): Move down.
	(tramp-cache-list-connections): New defun.

	* net/tramp-cmds.el (tramp-cleanup-connection): Use it.

2007-11-06  Juanma Barranquero  <lekktu@gmail.com>

	* ido.el (ido-save-history): Write the history file in the current
	filename coding system, and add `coding' file-local variable.

2007-11-06  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-table-formula-substitute-names):
	Remove forgotten temporary debugging code.

2007-11-05  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-wait-for-output): Ignore escape sequences in
	the prompt.

2007-10-05  Chris Moore  <christopher.ian.moore@gmail.com>

	* wdired.el (wdired-use-dired-vertical-movement): Doc fix.

2007-11-05  Simon Josefsson  <simon@josefsson.org>

	* net/tls.el (tls-end-of-info): Doc fix.

2007-11-05  Kenichi Handa  <handa@ni.aist.go.jp>

	* international/utf-7.el (utf-7-imap): New coding system.
	(utf-7-imap-post-read-conversion): New function.
	(utf-7-imap-pre-write-conversion): New function.

2007-11-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* abbrev.el (abbrev--write): Fix up typo.

2007-11-04  Juanma Barranquero  <lekktu@gmail.com>

	* abbrev.el (define-abbrev-table): Doc fix.

2007-11-04  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* info.el (Info-revert-buffer-function): New func.
	(Info-mode): Arrange to use it for reverting.
	(Info-copy-current-node-name): Add space between filename and nodename.

2007-11-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* abbrev.el (expand-abbrev): Move point back to expansion's end.

2007-11-04  Glenn Morris  <rgm@gnu.org>

	* net/tls.el: Don't require rx when compiling.
	(tls-end-of-info): Rewrite without using rx.
	(open-tls-stream): Use with-current-buffer.

2007-11-04  Riccardo Murri  <riccardo.murri@gmail.com>

	* net/tls.el: Require rx when compiling.
	(tls-end-of-info): New variable.
	(open-tls-stream): Keep reading input until `tls-end-of-info' is
	matched.

2007-11-03  Sean O'Rourke  <seano@cs.ucla.edu>

	* register.el (append-to-register, prepend-to-register):
	Don't signal error on empty register; use the text, instead.

2007-11-03  Michael Olson  <mwolson@gnu.org>

	* textmodes/remember.el (remember-buffer):
	Use define-obsolete-function-alias rather than defalias.

2007-11-03  Ulrich Mueller  <ulm@gentoo.org>  (tiny change)

	* simple.el (bad-packages-alist): Anchor semantic regexp.

2007-11-03  Glenn Morris  <rgm@gnu.org>

	* newcomment.el (comment-dwim): Call comment-insert-comment-function,
	if defined, for blank lines.  Doc fix.

	* progmodes/fortran.el (fortran-mode-map): Don't bind M-;.
	(fortran-mode): Set values for comment-region-function,
	uncomment-region-function and comment-insert-comment-function.
	(fortran-uncomment-region): New function.

	* textmodes/nroff-mode.el (nroff-mode):
	Set comment-insert-comment-function rather than indent-line-function.
	(nroff-indent-line-function): Remove.
	(nroff-insert-comment-function): New function.

2007-11-02  Michael Kifer  <kifer@cs.stonybrook.edu>

	* ediff-vers.el (ediff-vc-working-revision): Add a quote.

2007-11-02  Michael Kifer  <kifer@cs.stonybrook.edu>

	* emulation/viper-ex.el (viper-ex): Do not ignore the region.

	* emulation/viper-cmd.el (viper-prev-destructive-command)
	(viper-insert-prev-from-insertion-ring): Use ring-copy instead of
	copy-sequence.

	* ediff-util.el (ediff-make-current-diff-overlay): Do not use face-name.
	Got rid of ediff-copy-list.

	* ediff-diff.el (ediff-set-fine-diff-properties-in-one-buffer): Do not
	use face-name.
	(ediff-test-utility,ediff-diff-mandatory-option)
	(ediff-reset-diff-options): Remove to simplify the mandatory option
	handling on Windows.
	(ediff-set-diff-options): Add.
	(ediff-diff-options): Set "--binary" option as default in some cases.

	* ediff-vers.el (ediff-vc-internal): Use ediff-vc-revision-other-window.
	(ediff-vc-merge-internal): Use ediff-vc-revision-other-window and
	ediff-vc-working-revision.  Require vc-hooks.

2007-11-02  Drake Wilson  <drake@begriffli.ch>  (tiny change)

	* files.el (hack-local-variables): Fix membership tests to avoid
	treating all variables as safe if `enable-local-variables' is
	set to :safe (CVE-2007-5795).

2007-11-02  Glenn Morris  <rgm@gnu.org>

	* newcomment.el (comment-indent): Let comment-insert-comment-function,
	if defined, do all the work of inserting a new comment.

	* progmodes/etags.el (tags-table-mode): Disable undo.

	* simple.el (bad-packages-alist): Revert previous change.

2007-11-02  Dan Nicolaescu  <dann@ics.uci.edu>

	* emacs-lisp/lselect.el: Move to obsolete/lselect.el.

	* obsolete/lselect.el: Do not warn about unknown functions.

2007-11-02  Michael Olson  <mwolson@gnu.org>

	* textmodes/remember.el (remember-buffer): Make this an alias of
	remember-finalize, because Org uses it.

2007-11-01  Michael Olson  <mwolson@gnu.org>

	* textmodes/remember.el: Improve documentation in heading.
	(remember-before-remember-hook): Turn into a customizable option.
	(remember): Document INITIAL argument.
	(remember-region): Remove autoload cookie.  Improve docstring to
	mention that it is called from the *Remember* buffer, and does not
	have any functional overlap with the `remember' function.
	(remember-finalize): Remove autoload cookie.  Rename from
	remember-buffer to emphasize that this does not have any
	functional overlap with the `remember' function.
	(remember-destroy): Remove autoload cookie.
	(remember-mode-map): Define and initialize in one step.
	(remember-mode): Improve docstring.
	(remember-annotation-functions): Default to just '(buffer-file-name),
	and don't try to take the default value from Planner.

2007-11-01  Glenn Morris  <rgm@gnu.org>

	* doc-view.el (doc-view-cache-directory): Remove superfluous concat.

	* simple.el (bad-packages-alist): Add an entry for standalone vc-svn.

	* emacs-lisp/authors.el (authors-scan-change-log)
	(authors-scan-el): Don't enable local eval; enable only safe local
	variables, without querying.

	* mail/footnote.el (footnote-numeric-regexp)
	(footnote-english-upper-regexp, footnote-english-lower-regexp)
	(footnote-roman-lower-regexp, footnote-roman-upper-regexp):
	Match multi-character footnotes.

	* textmodes/nroff-mode.el (nroff-mode): Set indent-line-function.
	(nroff-indent-line-function): New function.
	(nroff-count-text-lines): Use nroff-forward-text-line rather than
	obsolete alias.

2007-11-01  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-last-quit-line, rcirc-last-line)
	(rcirc-elapsed-lines): New argument PROCESS.  Update callers.
	(rcirc-print): Only update the line count when not marking the
	line as omittable.
	(rcirc-log-write): Specify coding system when writing logfile.
	(rcirc-markup-fill): Make sure ellipsis does not cause line to wrap.

2007-11-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* printing.el (printing): Fix :version, printing.el was included
	for in emacs-22.1.
	(pr-path-style, pr-path-alist, pr-txt-name)
	(pr-txt-printer-alist, pr-ps-name, pr-ps-printer-alist)
	(pr-temp-dir, pr-ps-temp-file, pr-file-modes, pr-gv-command)
	(pr-gs-command, pr-gs-switches, pr-gs-device, pr-gs-resolution)
	(pr-print-using-ghostscript, pr-file-tumble, pr-auto-region)
	(pr-auto-mode, pr-mode-alist, pr-ps-utility)
	(pr-ps-utility-alist, pr-menu-char-height, pr-menu-char-width)
	(pr-setting-database, pr-visible-entry-list)
	(pr-delete-temp-file, pr-list-directory, pr-buffer-name)
	(pr-buffer-name-ignore, pr-buffer-verbose): Remove incorrect :version.

	* ediff-util.el (ediff-nuke-selective-display): Move definition to
	top level, make it dependent on the emacs flavor.

	* play/gamegrid.el (gamegrid-kill-timer, gamegrid-start-timer):
	Test for XEmacs not for itimer.

	* term/sun-mouse.el:
	* obsolete/sun-fns.el:
	* obsolete/sun-curs.el: Remove files.

	* term/sun.el (select-previous-complex-command): Remove obsolete code.

2007-10-31  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-cache-directory): Fix bug where an integer
	was given to concat.

2007-10-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* doc-view.el (doc-view-mode-map): Bind doc-view-goto-page to the keys
	used normally for goto-line.  Change `g' to revert the buffer.
	Add redundant `r' binding for buffer-revert.

	* mail/mailabbrev.el (mail-abbrevs-mode): Use define-minor-mode.
	(mail-abbrevs-setup): Use abbrev-expand-functions.
	(build-mail-abbrevs): Use with-temp-buffer.
	(define-mail-abbrev): Simplify.
	(mail-abbrev-expand-wrapper): Rename sendmail-pre-abbrev-expand-hook.
	Change it for use on abbrev-expand-functions.
	(mail-abbrev-complete-alias): Use with-syntax-table.

2007-10-31  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-shell-command): Call `start-file-process'
	directly.  Fix bug in deleting temp file.

2007-10-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (python-mode-abbrev-table): Use :regexp.
	Merge defvar and define-abbrev-table.
	(def-python-skeleton): Use :case-fixed and :enable-function.
	(python-abbrev-pc-hook, python-abbrev-syntax-table, python-pea-hook):
	Remove.
	(python-mode): Don't modify pre-abbrev-expand-hook.

2007-10-31  Dan Nicolaescu  <dann@ics.uci.edu>

	* ediff-util.el (ediff-file-checked-out-p)
	(ediff-file-checked-in-p): Only call vc-locking-user for XEmacs.

2007-10-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* abbrev.el (abbrev-symbol): Correct let->let*.
	(abbrev--before-point): Only use abbrev-start-location if before point.

2007-10-31  Juanma Barranquero  <lekktu@gmail.com>

	* strokes.el (strokes-alphabetic-lessp): Simplify.  Doc fix.
	(strokes-unload-hook): Remove function and variable.
	(strokes-unload-function): New-style unload function, adapted
	from `strokes-unload-hook'.

	* emacs-lisp/cl.el (cl-cannot-unload): Remove function.
	(cl-unload-hook): Remove variable.
	(cl-unload-function): New-style unload function, adapted
	from `cl-cannot-unload'.

	* emacs-lisp/elp.el (elp-unload-hook): Remove function and variable.
	(elp-unload-function): New-style unload function, adapted
	from `elp-unload-hook'.

2007-10-31  Sean O'Rourke  <sorourke@cs.ucsd.edu>

	* emacs-lisp/find-func.el (find-library): Use library at
	point as default interactive argument.

2007-10-31  Juanma Barranquero  <lekktu@gmail.com>

	* shadowfile.el (shadow-join): Remove.
	(shadow-shadows): Use `mapconcat' instead of `shadow-join'.
	(shadow-initialize): Use `write-file-functions', not `write-file-hooks'.
	(shadowfile-unload-hook): Remove function and variable.
	(shadowfile-unload-function): New-style unload function, adapted
	from `shadowfile-unload-hook'.

2007-10-31  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/mixal-mode.el (mixal-run, mixal-debug): Call mixvm
	only if it is bound.

	* textmodes/reftex.el: Move autoloads for before all uses.
	(reftex-make-overlay, reftex-overlay-put, reftex-move-overlay)
	(reftex-delete-overlay): Move to the top level with the condition
	in the body.

	* progmodes/simula.el: Use when instead of if.

	* iimage.el (iimage-locate-file): Define unconditionally.

	* mail/mailabbrev.el (mail-abbrev-next-line):
	* emulation/vip.el (vip-enlarge-region, vip-line)
	(vip-next-line-at-bol, vip-previous-line)
	(vip-previous-line-at-bol, vip-find-char, vip-put-back, ex-read):
	Wrap with-no-warnings around uses of next-line and previous-line.

	* ediff.el (run-ediff-from-cvs-buffer):
	* ediff-vers.el (cvs-run-ediff-on-file-descriptor):
	Remove function not used by pcl-cvs anymore.
	(noninteractive, generic-sc-get-latest-rev)
	(ediff-generic-sc-internal, ediff-generic-sc-merge-internal):
	Delete support for long obsolete generic-sc.el.

2007-10-31  Glenn Morris  <rgm@gnu.org>

	* cvs-status.el: No longer require pcvs when compiling.

	* doc-view.el (doc-view-conversion-refresh-interval)
	(doc-view-dvi->pdf, doc-view-pdf/ps->png, doc-view-pdf->txt)
	(doc-view-reset-slice): Doc fixes.
	(doc-view-menu): Remove deleted function doc-view-edit-doc.

2007-10-31  Juanma Barranquero  <lekktu@gmail.com>

	* help-at-pt.el (help-at-pt-unload-hook): Remove.
	Timers are automatically canceled by `unload-feature'.

	* delsel.el (delsel-unload-hook): Remove function and variable.
	(delsel-unload-function): New-style unload function, adapted
	from `delsel-unload-hook'.

	* msb.el (msb-unload-hook): Remove function and variable.
	(msb-unload-function): New-style unload function, adapted from
	`msb-unload-hook'.

2007-10-30  Juanma Barranquero  <lekktu@gmail.com>

	* desktop.el (uniquify-managed): Pacify byte compiler.
	(desktop-buffer-info): If the buffer name is managed by uniquify,
	save the base name, not the uniquified one.
	(desktop-create-buffer): Allow `rename-buffer' to generate a new
	name in case of conflict.

2007-10-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* doc-view.el: Use expand-file-name rather than concat.
	(doc-view-cache-directory): Add the UID so multiple users won't clash.
	(doc-view-current-overlay, doc-view-pending-cache-flush): New vars.
	(doc-view-goto-page, doc-view-insert-image, doc-view-buffer-message)
	(doc-view-toggle-display): Use an overlay over the whole buffer so as
	not to have to touch the buffer's content.
	(doc-view-initiate-display): New function, extracted from doc-view-mode.
	(doc-view-mode): Use it.  Don't mark as a special mode.
	Put the page numbers in the modeline.
	Set up the overlay.  Hide the cursor.  Run the mode hook.
	Use after-revert-hook rather than revert-buffer-function.
	(doc-view-search-internal): Fix typo.
	(doc-view-convert-current-doc, doc-view-insert-image): Delay the
	image-cache flush.
	(doc-view-reconvert-doc): Don't reset the whole mode.
	(doc-view-make-safe-dir): New function.
	(doc-view-current-cache-dir): Use it.

2007-10-30  Jason Rumney  <jasonr@gnu.org>

	* time.el (display-time-world-list): Test for zoneinfo support.

2007-10-30  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-maybe-open-connection): Set $LC_ALL to "C".

	* net/tramp-cache.el (tramp-flush-file-function): Check also
	`default-directory' if `buffer-file-name' does not return a
	string.  Added to `eshell-pre-command-hook'.

2007-10-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* doc-view.el (doc-view-current-doc): Remove.
	Replace all uses by buffer-file-name.
	(doc-view-menu): New menu.
	(doc-view-reconvert-doc): Don't bind inhibit-read-only and remove
	unused var `doc'.
	(doc-view-sort): Simplify.
	(doc-view-buffer-message): Don't change buffer-modified-p.
	(doc-view-mode): Change it here instead.
	Tighten scoping of prev-major-mode.  Don't re-insert the file's content.
	Don't modify the global value of revert-buffer-function.

	* image-mode.el (image-forward-hscroll, image-next-line, image-eol)
	(image-eob, image-mode, image-minor-mode, image-toggle-display-text)
	(image-toggle-display): Take overlays into account and don't assume
	point-min==1.

2007-10-30  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* vc.el (vc-annotate): Fix omission bug:
	Specify value for vc-sentinel-movepoint.

2007-10-30  Michael Olson  <mwolson@gnu.org>

	* textmodes/remember.el (remember-mode-hook)
	(remember-handler-functions, remember-annotation-functions):
	Add additional items as options, including some Org functions.

2007-10-30  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el: Remove cl-dependency.
	(doc-view-buffer-message): Mention new binding K.
	(doc-view-convert-current-doc): Use function d-v-current-cache-dir
	instead of variable.
	(doc-view-current-cache-dir): Better cache dir naming.
	(doc-view-current-display): Remove variable.
	(doc-view-edit-doc, doc-view-display-maybe): Remove functions.
	(doc-view-kill-proc): Set converter process to nil.
	(doc-view-minor-mode): New minor mode.
	(doc-view-minor-mode-map): New keymap.
	(doc-view-mode): Remove text/image switching code.  Use plain defun.
	(doc-view-mode-map): New binding K kills converter process.
	Remove C-c C-e binding.
	(doc-view-mode-text-map): Remove keymap.
	(doc-view-pdf/ps->png): Timer calls d-v-display instead of
	d-v-display-maybe.
	(doc-view-previous-major-mode): New variable.
	(doc-view-ps->pdf): Resort args to make ps2pdf happy.
	(doc-view-remove-if): New function.
	(doc-view-search-next-match, doc-view-search-previous-match): Use it.
	(doc-view-toggle-display): Toggle modes instead of display styles.
	(doc-view-reconvert-doc): Adapt to new way of doing things.

	* progmodes/ps-mode.el (ps-mode-map): Enable doc-view-minor-mode.

2007-10-30  Glenn Morris  <rgm@gnu.org>

	* dirtrack.el (dirtrack-mode): Doc fix.

	* shell.el (shell-dirtrack-verbose, shell-mode)
	(shell-directory-tracker, shell-dirtrack-mode): Doc fix.

	* emacs-lisp/bytecomp.el (byte-compile-disable-warning)
	(byte-compile-enable-warning): Doc fix.

	* emulation/tpu-mapper.el (tpu-map-key): Use with-no-warnings to
	suppress byte-opt warning.

2007-10-30  Dan Nicolaescu  <dann@ics.uci.edu>

	* emulation/edt.el (edt-emacs19-p, edt-x-emacs19-p)
	(edt-gnu-emacs19-p): Remove.
	(edt-emacs-variant, edt-window-system): Use feature 'emacs.
	(edt-xserver, edt-page-backward, edt-beginning-of-line)
	(edt-end-of-line-forward, edt-end-of-line-backward)
	(edt-one-word-forward, edt-one-word-backward, edt-character)
	(edt-line-forward, edt-next-line, edt-previous-line, edt-top)
	(edt-find-forward, edt-find-backward, edt-find-next-forward)
	(edt-find-next-backward, edt-reset, edt-advance, edt-backup)
	(edt-define-key, edt-bottom-check, edt-sentence-forward)
	(edt-sentence-backward, edt-paragraph-forward)
	(edt-paragraph-backward, edt-restore-key, edt-window-top)
	(edt-window-bottom, edt-scroll-window-forward-line)
	(edt-scroll-window-backward-line, edt-line-to-bottom-of-window)
	(edt-line-to-top-of-window, edt-paragraph-backward)
	(edt-restore-key, edt-window-top, edt-window-bottom)
	(edt-scroll-window-forward-line)
	(edt-scroll-window-backward-line, edt-line-to-bottom-of-window)
	(edt-line-to-middle-of-window, edt-goto-percentage)
	(edt-display-the-time, edt-remember, edt-split-window)
	(edt-emulation-on, edt-emulation-off)
	(edt-default-emulation-setup, edt-user-emulation-setup)
	(edt-select-default-global-map, edt-select-user-global-map):
	Replace uses of edt-x-emacs19-p and edt-gnu-emacs19-p with feature
	tests.

	* textmodes/reftex-index.el (reftex-index-selection-or-word):
	Use feature test instead of boundp test so it can be resolved at
	compile time.

	* net/newsticker.el (replace-regexp-in-string): Only define for
	XEmacs.

2007-10-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* abbrev.el: Rename `count' and `system-flag' to :count and :system.
	Update all users.
	(abbrev-get, abbrev-put): Simplify.
	(define-abbrev): Don't store the `force' value in the :system property.
	(abbrev--before-point): Obey the :enable-function of the abbrev as well.

2007-10-30  Michael Olson  <mwolson@gnu.org>

	* desktop.el (desktop-minor-mode-table): Add line for ERC.

	* textmodes/remember.el: New file that implements a mode for
	quickly jotting down things to remember.

	* textmodes/remember-diary.el: A backend for remember.el that
	implements saving notes to a Diary file.

2007-10-29  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-command-prefix, allout-inhibit-auto-fill):
	Relocate in file.
	(allout-doublecheck-at-and-shallower): Increase to include
	slightly greater depths, since yank interaction is now ok.
	Also, elaborate the docstring to explain the situation.
	(produce-allout-mode-map, allout-hotspot-key-handler): Use vconcat
	instead of concat, so we accommodate key sequences expressed as
	vectors as well as strings and lists.
	(allout-flag-region, allout-hide-by-annotation): Make the
	hidden-text overlays 'front-advance.
	(allout-overlay-insert-in-front-handler): Correct docstring's grammar.
	(allout-aberrant-container-p, allout-on-current-heading-p)
	(allout-e-o-prefix-p, allout-next-heading)
	(allout-previous-heading, allout-goto-prefix)
	(allout-end-of-prefix, allout-next-sibling-leap)
	(allout-next-visible-heading, allout-auto-fill)
	(allout-rebullet-heading, allout-kill-line, allout-kill-topic)
	(allout-yank-processing, allout-resolve-xref)
	(allout-current-topic-collapsed-p, allout-hide-region-body)
	(allout-latex-verbatim-quote-curr-line, allout-encrypt-string)
	(allout-encrypted-topic-p, allout-next-topic-pending-encryption)
	(count-trailing-whitespace-region): Preserve match data, so allout
	outline navigation doesn't disrupt other Emacs operations.
	(allout-beginning-of-line): Retreat to the beginning of the hidden
	text, so fields are respected (for submodes that care).
	(allout-end-of-line): Preserve mark activation status when jumping.
	(allout-open-topic): Account for opening after a child that
	contains a hidden trailing newline.  Preserve match data.
	Run allout-structure-added-hook
	(allout-encrypt-decrypted): Preserve match data.
	(allout-toggle-current-subtree-exposure): Add new interactive
	function for toggle subtree exposure - suggested by tassilo.
	(move-beginning-of-line, move-end-of-line): Don't use
	line-move-invisible-p, it's obsolete - substitute the code,
	instead.

2007-10-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* textmodes/flyspell.el (message-signature-separator):
	* longlines.el (message-indent-citation-function): Pacify byte
	compiler.

	* emacs-lisp/cl-loaddefs.el:
	* ldefs-boot.el: Regenerate.

	* Makefile.in (BYTE_COMPILE_EXTRA_FLAGS): New variable.
	(.el.elc, compile, compile-always, compile-calc)
	($(lisp)/progmodes/cc-mode.elc): Use it.

	* ps-print.el (ps-xemacs-color-name, ps-xemacs-face-kind-p):
	Only do work for XEmacs.
	(ps-xemacs-mapper): Rename from ps-mapper, only work on XEmacs.
	(ps-xemacs-extent-sorter): Rename from ps-extent-sorter, only work
	on XEmacs.
	(ps-x-color-instance-p, ps-x-color-instance-rgb-components)
	(ps-x-color-name, ps-x-color-specifier-p)
	(ps-x-copy-coding-system, ps-x-device-class)
	(ps-x-extent-end-position, ps-x-extent-face)
	(ps-x-extent-priority, ps-x-extent-start-position)
	(ps-x-face-font-instance, ps-x-find-coding-system)
	(ps-x-font-instance-properties, ps-x-make-color-instance)
	(ps-x-map-extents, ps-e-face-bold-p, ps-e-face-italic-p)
	(ps-e-next-overlay-change, ps-e-overlays-at, ps-e-overlay-get)
	(ps-e-overlay-end, ps-e-x-color-values, ps-e-color-values):
	(ps-generate-postscript-with-faces): Delete defaliases.
	(ps-face-foreground-name, ps-face-background-name)
	(ps-color-values, ps-face-bold-p, ps-face-italic-p):
	Move definitions to top level, make the body conditional on the Emacs
	flavor.  Replace uses of deleted aliases and renamed functions.
	(ps-generate-postscript-with-faces, ps-color-device): Replace uses
	of deleted aliases and renamed functions.

	* calc/calc.el (calc-emacs-type-lucid): Remove.
	(calc-digit-map, calcDigit-start, calc-read-key)
	(calc-clear-unread-commands):
	* calc/calc-ext.el (calc-user-key-map): Replace uses of
	calc-emacs-type-lucid with (featurep 'xemacs)

	* emulation/tpu-mapper.el: Replace tpu-lucid-emacs19-p with
	(featurep 'xemacs).
	(tpu-lucid-emacs19-p): Remove.
	(tpu-map-key): Make it a function instead of using fset.  Inline
	tpu-emacs-map-key and tpu-lucid-map-key.  Use featurep 'xemacs.
	(tpu-emacs-map-key, tpu-lucid-map-key): Remove.

	* ielm.el: Use featurep 'xemacs.

	* progmodes/cperl-mode.el (cperl-xemacs-p): Remove.
	(condition-case, cperl-can-font-lock, cperl-singly-quote-face)
	(cperl-define-key, cperl-mode-map, cperl-mode, cperl-init-faces)
	(cperl-write-tags, cperl-tags-hier-init, cperl-perldoc): Replace
	cperl-xemacs-p with (featurep 'xemacs).
	(font-lock-cache-position): Pacify byte compiler.

2007-10-29  Drew Adams  <drew.adams@oracle.com>

	* faces.el (read-color): New function.
	(face-at-point, foreground-color-at-point)
	(background-color-at-point): New functions.

2007-10-28  Richard Stallman  <rms@gnu.org>

	* net/browse-url.el (browse-url-text-xterm): Rename from
	browse-url-lynx-xterm and made generic.
	(browse-url-text-emacs): Likewise.
	(browse-url-text-browser): New variable.
	(browse-url-text-emacs-args): Rename from browse-url-lynx-emacs-args.
	(browse-url-text-input-field, browse-url-text-input-attempts)
	(browse-url-kde-program): Likewise.

2007-10-29  Glenn Morris  <rgm@gnu.org>

	* textmodes/org-publish.el (org-publish-get-plist-from-filename):
	Use mapc rather than mapcar (reinstall change deleted without log
	entry 2007-10-22).

2007-10-29  Martin Rudalics  <rudalics@gmx.at>

	* wdired.el (wdired-next-line, wdired-previous-line):
	Use next-line and previous-line wrapped in with-no-warnings.

2007-10-29  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-server-alist): Use keywords for parameter names.
	(rcirc-recent-quit-alist): New function.
	(rcirc): Print a better message when there is only one connected server.
	(rcirc-complete-nick): Do not update the nick table here.
	(rcirc-mode-map): Add M-o.
	(rcirc-current-line): Add variable.
	(rcirc-mode): Setup variables for line based omit.
	(rcirc-edit-multiline): Strip text properties.
	(rcirc-omit-responses): Add NICK.
	(rcirc-omit-threshold): Add variable.
	(rcirc-last-quit-line, rcirc-last-line, rcirc-elapsed-lines):
	Add functions.
	(rcirc-print): Keep track of current line.  Do not fill text if
	`rcirc-fill-flag' is null.  Only omit text if the last activity
	from the sender is more than `rcirc-omit-threshold' lines ago.
	(rcirc-put-nick-channel, rcirc-handler-PRIVMSG): Track line
	numbers instead of time.
	(rcirc-channel-nicks): Sort by line numbers instead of time.
	(rcirc-omit-mode): Add `...' when omitting text and recenter.
	(rcirc-handler-JOIN): Restore the joiners linestamp.
	(rcirc-maybe-remember-nick-quit): Add function.
	(rcirc-handler-QUIT): Record sender in table of recently quit nicks.

2007-10-29  Juanma Barranquero  <lekktu@gmail.com>

	* loadhist.el (unload-feature-special-hooks):
	Add `delete-frame-functions' and `suspend-tty-functions'.

	* server.el (server-unload-function): Rename from `server-unload-hook'
	and adapt to new `unload-feature' functionality.  Remove hook from
	`kill-buffer-hook' buffer-locally.
	(server-unload-hook): Remove.
	(server-unload-function): New var; replaces `server-unload-hook'.

2007-10-29  Glenn Morris  <rgm@gnu.org>

	* dirtrack.el (dirtrack-debug): Doc fix.
	(dirtrack-mode, dirtrack-debug-mode): New names for
	dirtrack-toggle and dirtrack-debug-toggle.  Use define-minor-mode.
	(dirtrack-toggle, dirtrack-debug-toggle, dirtrackp, dirtrack-debug):
	Make obsolete.
	(dirtrack-debug-message): Only print message if
	dirtrack-debug-mode is non-nil.  Use with-current-buffer.
	(dirtrack): Doc fix.  Use dirtrack-mode rather than dirtrackp.
	Remove dirtrack-debug checks now that dirtrack-debug-message does this.

2007-10-28  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-warnings): Document `not'.
	(byte-compile-warnings-safe-p): Handle `not'.
	(byte-compile-warning-enabled-p, byte-compile-disable-warning)
	(byte-compile-enable-warning): New functions.
	(byte-compile-eval-before-compile)
	(byte-compile-file-form-require): Use byte-compile-disable-warning.
	(byte-compile-close-variables): Locally bind byte-compile-warnings,
	but do not modify it.
	(byte-compile-eval, byte-compile-obsolete)
	(byte-compile-warn-about-unresolved-functions)
	(byte-compile-file-form-defvar)
	(byte-compile-file-form-custom-declare-variable)
	(byte-compile-file-form-require)
	(byte-compile-file-form-defmumble, byte-compile-lambda)
	(byte-compile-form, byte-compile-normal-call)
	(byte-compile-variable-ref, byte-compile-defvar)
	(byte-compile-make-variable-buffer-local):
	Use byte-compile-warning-enabled-p.
	* emacs-lisp/advice.el (ad-compile-function):
	Use byte-compile-disable-warning.
	* emacs-lisp/cl.el: Move local variables to end of file, and set
	byte-compile-warnings to `(not cl-functions)'.
	* emacs-lisp/cl-compat.el: Add a local variables section, and set
	byte-compile-warnings to `(not cl-functions)'.
	* emacs-lisp/cl-macs.el: Unify local variable section, and set
	byte-compile-warnings to `(not cl-functions)'.
	(cl-do-proclaim): Use byte-compile-disable-warning and
	byte-compile-enable-warning.
	* emacs-lisp/cl-seq.el: Unify local variable section, and set
	byte-compile-warnings to `(not cl-functions)'.
	* progmodes/cc-bytecomp.el (cc-bytecomp-ignore-obsolete):
	Use byte-compile-disable-warning.

2007-10-28  Dan Nicolaescu  <dann@ics.uci.edu>

	* cus-edit.el (custom-browse-insert-prefix):
	* emulation/edt.el (edt-x-emacs19-p): Use featurep 'xemacs.

2007-10-28  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-process-filter): Fix typo in docstring.
	(server-log): Reflow docstrings.
	(server-delete-client, server-kill-emacs-query-function): Doc fixes.
	(server-goto-line-column): Use `when'.

2007-10-28  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-other-meta-char): Call `isearch-edit-string'
	when mouse is clicked on the isearch message.
	(isearch-resume): Call `isearch-update' at the end.
	Rename argument `search' to `string' to conform to the
	isearch terminology.

2007-10-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	Rewrite abbrev.c in Elisp.
	* abbrev.el (abbrev-mode): Move custom group from cus-edit.el.
	(abbrev-table-get, abbrev-table-put, abbrev-get)
	(abbrev-put, make-abbrev-table, abbrev-table-p, clear-abbrev-table)
	(define-abbrev, abbrev--check-chars, define-global-abbrev)
	(define-mode-abbrev, abbrev--active-tables, abbrev-symbol)
	(abbrev-expansion, abbrev--before-point, expand-abbrev)
	(unexpand-abbrev, abbrev--write, abbrev--describe)
	(insert-abbrev-table-description, define-abbrev-table):
	New funs, largely transcribed from abbrev.c.
	(abbrev-with-wrapper-hook): New macro.
	(abbrev-table-name-list, global-abbrev-table)
	(abbrev-minor-mode-table-alist, fundamental-mode-abbrev-table)
	(abbrevs-changed, abbrev-all-caps, abbrev-start-location)
	(abbrev-start-location-buffer, last-abbrev, last-abbrev-text)
	(last-abbrev-location, pre-abbrev-expand-hook, abbrev-expand-function):
	New vars, largely transcribed from abbrev.c.
	* cus-edit.el (abbrev-mode): Remove.  Move to abbrev.el.
	* cus-start.el: Remove abbrev-all-caps and pre-abbrev-expand-hook.
	* loadup.el: Load "abbrev.el" before "lisp-mode.el".

2007-10-27  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Now detect if text foreground and background colors are
	equal and replace the foreground color by another color, so the text
	becomes visible.  Doc fix.
	(ps-print-version): New version 6.8.
	(ps-default-fg, ps-default-bg): Docstring fix.
	(ps-postscript-code-directory): Fix default value code.
	(ps-fg-list, ps-fg-validate-p): New options.
	(ps-foreground-list): New var.
	(ps-setup, ps-begin-job, ps-plot-region): Fix code.

2007-10-27  Glenn Morris  <rgm@gnu.org>

	* shell.el (shell-dirtrack-verbose, shell-directory-tracker): Doc fix.
	(shell-dirtrack-toggle): Mark as obsolete.
	(dirtrack-toggle, dirtrack-mode): No longer alias to
	shell-dirtrack-mode.

2007-10-27  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (math-standard-opers): Lower the precedence
	of negation.
	* calc/calc-lang.el (math-oper-table): Lower precedence of
	negation for C, TeX, and eqn.

2007-10-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/cc-defs.el: Reorder conditions to avoid warnings.

2007-10-27  Juanma Barranquero  <lekktu@gmail.com>

	* desktop.el (desktop-load-locked-desktop, desktop-base-lock-name)
	(desktop-not-loaded-hook): Fix :version tags.

2007-10-27  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-wrong-passwd-regexp): Tune regexp.
	(tramp-get-remote-tmpdir): New defun.
	(tramp-make-tramp-temp-file): Use it.
	(tramp-local-call-process): New defun.  Replace all calls of
	`call-process' by this when appropriate.
	(tramp-handle-write-region): Replace calls of `file-attributes' by
	`tramp-compat-file-attributes'.
	(tramp-find-shell, tramp-open-connection-setup-interactive-shell):
	Make the first command a `tramp-send-command' call, with let-bind
	of `tramp-end-of-output'.
	(tramp-version, tramp-bug, tramp-reporter-dump-variable)
	(tramp-load-report-modules, tramp-append-tramp-buffers):
	Move to tramp-cmds.el.

	* net/tramp-fish.el (tramp-fish-handle-copy-file)
	(tramp-fish-do-copy-or-rename-file)
	(tramp-fish-do-copy-or-rename-file-directly):
	* net/tramp-smb.el (tramp-smb-handle-copy-file):
	Add parameter PRESERVE-UID-GID.

2007-10-27  Eli Zaretskii  <eliz@gnu.org>

	* time.el (zoneinfo-style-world-list, legacy-style-world-list):
	New defcustoms.
	(display-time-world-list): Use them as appropriate for the current
	value of `system-type'.

2007-10-26  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* printing.el: Pacify byte compiler, that is, no compiler warnings.
	Move (again) some variable definitions before use, define some fun
	aliases, no code change.
	(pr-version): New version 6.9.2.
	(pr-path-style, pr-auto-region, pr-menu-char-height)
	(pr-menu-char-width, pr-menu-lock, pr-ps-printer-alist)
	(pr-txt-printer-alist, pr-ps-utility-alist): Options declaration
	via (defvar VAR).
	(pr-menu-lookup, pr-menu-lock, pr-menu-alist, pr-even-or-odd-pages)
	(pr-menu-get-item, pr-menu-set-item-name, pr-menu-set-utility-title)
	(pr-menu-set-ps-title, pr-menu-set-txt-title, pr-region-active-p)
	(pr-do-update-menus, pr-update-mode-line, pr-f-read-string)
	(pr-f-set-keymap-parents, pr-keep-region-active): Fun aliases.
	(pr-menu-print-item, pr-ps-printer-menu-modified)
	(pr-txt-printer-menu-modified, pr-ps-utility-menu-modified)
	(pr-even-or-odd-alist): Vars definition moved.

2007-10-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* emulation/pc-select.el (next-line-mark, next-line-nomark)
	(previous-line-mark, previous-line-nomark): Wrap with-no-warnings
	around uses of previous-line and next-line.

	* diff.el (diff-old-file, diff-new-file, diff-extra-args):
	New defvars.

	* textmodes/css-mode.el (comment-continue):
	* net/browse-url.el (url-handler-regexp):
	* progmodes/idlw-help.el (idlwave-system-routines):
	Pacify byte-compiler.

	* textmodes/fill.el (fill-nobreak-p): Replace obsolete alias
	line-move-invisible-p with its former definition: invisible-p.
	line-move-invisible-p was removed on 2007-08-29.

2007-10-26  Juanma Barranquero  <lekktu@gmail.com>

	* files.el (kill-emacs-query-functions): Doc fix;
	`save-buffers-kill-emacs' is no longer bound to a key.

2007-10-26  Richard Stallman  <rms@gnu.org>

	* isearch-multi.el (isearch-buffers-multi): New option.
	(isearch-buffers-search-fun): Test it.

	* progmodes/ps-mode.el (ps-mode-map): Delete C-c v binding.
	Put ps-run-clear on C-c C-l.

	* newcomment.el (comment-styles): New style indent-or-triple.
	(comment-style): Make that the default.
	(comment-add defvar): Doc fix.
	(comment-add): Delete arg EXTRA.
	(comment-region-default): Open code call to comment-add.
	Handle indent-or-triple style which uses `multi-char' for INDENT.

2007-10-26  Juanma Barranquero  <lekktu@gmail.com>

	* eshell/em-unix.el (nil-blank-string): Doc fix.

2007-10-26  John Wiegley  <johnw@newartisans.com>

	* eshell/em-unix.el (eshell/diff): Before calling the `diff'
	function, ensure that the third argument is turned into a nil if
	the string is otherwise completely empty (either no characters, or
	all tabs/spaces).  This fixes a bug from a user who found himself
	unable to customize `diff-switches' and still use Eshell's diff
	command.

2007-10-26  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-warnings): Autoload the
	safe-local-variable property.

2007-10-26  Gwern Branwen  <gwern0@gmail.com>  (tiny change)

	* net/browse-url.el (browse-url-browser-function): Delete grail.
	(browse-url-grail): Function and variable deleted.
	(browse-url-browser-function): Delete IXI Mosaic.
	(browse-url-default-browser): Don't try IXI Mosaic.
	(browse-url-iximosaic): Function deleted.
	(browse-url-browser-function): Delete MMM.
	(browse-url-default-browser): Don't try MMM.
	(browse-url-mmm): Function deleted.

2007-10-26  Drew Adams  <drew.adams@oracle.com>

	* custom.el (custom-note-var-changed): New function.

2007-10-25  Dan Nicolaescu  <dann@ics.uci.edu>

	* emulation/edt-mapper.el (edt-emacs-variant): Replace the only
	use with the definition.  Remove.

	* add-log.el (change-log-start-entry-re): New defconst.
	(change-log-sortable-date-at): Use it.
	(change-log-beginning-of-defun, change-log-end-of-defun):
	New functions.
	(change-log-mode): Use them for beginning-of-defun-function and
	end-of-defun-function.

2007-10-25  Jonathan Yavner  <jyavner@member.fsf.org>

	* ses.el: Make `ses--symbolic-formulas' a safe local variable.
	(ses-mode-print-map): Add `c' and `t' (suggested by Gareth Rees).
	(ses-recalculate-cell): Deal with point being just beyond end of
	data area (why does this happen?)
	(ses-set-curcell): Ditto.
	(ses-column-letter): Handle columns beyond 702.  Code written by
	Gareth Rees.

2007-10-25  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-agenda-get-restriction-and-command):
	Use `mapc' instead of `mapcar'.
	(org-agenda-list): Numeric prefix argument can specify the number
	of days.
	(remember-register, remember-buffer): Prevent byte compiler from
	complaining.
	(org-todo): Save and restore match data.
	(org-no-warnings): New macro.
	(org-columns-eval): Use `org-no-warnings'.

2007-10-25  Chris Moore  <christopher.ian.moore@gmail.com>

	* comint.el (comint-password-prompt-regexp):
	Handle `[sudo] password'-style prompt.

2007-10-25  Glenn Morris  <rgm@gnu.org>

	* custom.el (custom-declare-variable): Add :risky and :safe keywords.
	(defcustom): Doc fix.

	* progmodes/f90.el (f90-keywords-re, f90-keywords-level-3-re):
	Add `non_intrinsic'.
	(f90-constants-re): Add ieee modules.
	(f90-typedef-matcher, f90-typedec-matcher)
	(f90-imenu-type-matcher): New functions.
	(f90-font-lock-keywords-1): Give module procedures function-name face.
	Use `f90-typedef-matcher' for derived types.  Fix `abstract interface'.
	Add `use, intrinsic'.
	(f90-font-lock-keywords-2): Use `f90-typedec-matcher' for derived types.
	Move start of `enum' blocks to separate entry.
	(f90-start-block-re): Fix `type', `abstract interface'.
	(f90-imenu-generic-expression): Use `f90-imenu-type-matcher' for
	derived types.
	(f90-mode-abbrev-table): Add `abstract interface', `asynchronous',
	`elemental', change `enumerator'.
	(f90-no-block-limit): Fix `abstract interface'.

	* progmodes/f90.el (f90-indented-comment-re)
	(f90-directive-comment-re, f90-break-delimiters):
	* progmodes/fortran.el (fortran-comment-line-start-skip)
	(fortran-directive-re):
	* textmodes/conf-mode.el (conf-space-keywords): Mark these regexps
	as safe if they are strings.

2007-10-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* startup.el (window-system): Remove.  Don't make it frame-local.

2007-10-24  Richard Stallman  <rms@gnu.org>

	* savehist.el (savehist-save): Omit unreadable elements.

	* loadhist.el (unload-function-defs-list): Rename from
	unload-function-features-list.
	(unload-feature-special-hooks, unload-feature): Doc fixes.

	* indent.el (indent-to-left-margin): If point's in the indentation,
	move to the end of the indentation.

	* cus-edit.el (customize-changed-options): Make arg optional.

2007-10-24  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs-select, bs-select-other-window): Fix typos in docstrings.

2007-10-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* textmodes/org-publish.el (org-publish-attachment): Re-install
	accidentally deleted change.

2007-10-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* term/iris-ansi.el (iris-function-map): Move init into declaration.

2007-10-24  Juanma Barranquero  <lekktu@gmail.com>

	* buff-menu.el (Buffer-menu-sort-column): Doc fix.
	(Buffer-menu-mode-map): Initialize in the declaration.
	(Buffer-menu-mode): Define with `define-derived-mode'.

2007-10-24  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-version): Change to 5.13e.
	(org-agenda-file-regexp): Fix typo in docstring.
	(org-add-planning-info): Fix bug in parenthesis settings.
	(org-scan-tags): Catch the case of indirect buffers with no filename.
	(org-fast-tag-selection, org-export-as-ascii, org-export-as-html):
	Re-install switch to mapc, had been removed by accident.
	(org-columns-map): New binding `C-c C-o'.
	(org-columns-menu): Change menu text and added new entry.
	(org-columns-eval): Document the use of `next-line'.
	(org-columns-open-link): New function.
	(org-columns-follow-link): Remove function.
	(org-open-link-from-string): New function.
	(org-read-date-get-relative): Fix typo in docstring.
	(org-read-date-get-relative): Leading +/- is not optional.
	(org-agenda-get-restriction-and-command): Always resize window on
	first loop cycle.
	(org-agenda-open-link): Make sure the link abbreviations are
	present in the agenda buffer.
	(org-agenda-copy-local-variable): New function.

2007-10-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-update-changelog-rcs2log): Remove incorrect `backend' arg.

2007-10-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (reindent-then-newline-and-indent): Use a `move after
	insert' kind of marker in the save-excursion.

2007-10-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/css-mode.el: Require CL.
	(comment-continue): Declare.

	* subr.el (make-variable-frame-localizable): Remove.
	(make-variable-frame-local): Mark obsolete.

2007-10-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/tex-mode.el (tex-uptodate-p): Don't signal an error if one
	of the subdirs is unreadable.

2007-10-23  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-set-file-uid-gid): Protect `call-process'
	when we are local.

2007-10-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (python-current-defun): Remove left-over
	assignment to `start'.

2007-10-23  Juanma Barranquero  <lekktu@gmail.com>

	* ibuf-ext.el (ibuffer-auto-update-changed): Use `dolist' rather
	than `mapcar'; return value is not used.

2007-10-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/gud.el (gdb-source-window, gud-tooltip-mode)
	(hl-line-mode, hl-line-sticky-flag): Pacify byte compiler.

2007-10-23  Juanma Barranquero  <lekktu@gmail.com>

	* ibuf-ext.el (ibuffer-switch-to-saved-filters)
	(ibuffer-switch-to-saved-filter-groups): Doc fixes.

2007-10-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (terminal-init-xterm): Experiment with a longer timeout.

2007-10-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* emacs-lisp/advice.el (ad-make-advised-docstring):
	Add ad-advice-info text property to doc string.

2007-10-23  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-do-indent, f90-if-indent)
	(f90-type-indent, f90-program-indent, f90-associate-indent)
	(f90-continuation-indent, f90-comment-region)
	(f90-beginning-ampersand, f90-smart-end)
	(f90-break-before-delimiters, f90-auto-keyword-case)
	(f90-leave-line-no, f90-mode-hook):
	Give an appropriate safe-local-variable property.

	* progmodes/fortran.el (fortran-tab-mode-default)
	(fortran-tab-mode-string, fortran-do-indent, fortran-if-indent)
	(fortran-structure-indent, fortran-continuation-indent)
	(fortran-comment-indent, fortran-comment-line-extra-indent)
	(fortran-comment-line-start)
	(fortran-minimum-statement-indent-fixed)
	(fortran-minimum-statement-indent-tab)
	(fortran-comment-indent-char, fortran-line-number-indent)
	(fortran-check-all-num-for-matching-do)
	(fortran-blink-matching-if, fortran-continuation-string)
	(fortran-comment-region, fortran-electric-line-number)
	(fortran-column-ruler-fixed, fortran-column-ruler-tab)
	(fortran-analyze-depth, fortran-break-before-delimiters):
	Give an appropriate safe-local-variable property.

2007-10-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* printing.el: Move variable definitions before use.
	(pr-menu-char-width, pr-menu-char-height): Pacify byte compiler.

2007-10-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emulation/tpu-edt.el (tpu-edt-old-global-values): New var.
	(tpu-edt-off): Use it.
	(tpu-edt-on): Set it.  Make sure the tpu-global-map is not already on
	the global-map before adding it to global-map.

	* menu-bar.el (global-buffers-menu-map): New var.
	(global-map, menu-bar-update-buffers): Use it.
	* msb.el (msb-menu-bar-update-buffers): Use it.
	(msb-sort-by-directory, msb--choose-menu, msb--mode-menu-cond)
	(msb--most-recently-used-menu, msb--create-buffer-menu-2):
	Use with-current-buffer.

2007-10-22  Juri Linkov  <juri@jurta.org>

	* isearch-multi.el: New file.

	* isearch.el (isearch-search-string): After finding the next
	occurrence switch to buffer isearch-buffers-current-buffer when
	isearch-buffers-next-buffer-function is non-nil and
	isearch-buffers-current-buffer is live.

	* add-log.el (change-log-mode): Make and set buffer-local variable
	isearch-buffers-next-buffer-function to change-log-next-buffer.
	Call isearch-buffers-minor-mode.
	(change-log-next-buffer): New function.

2007-10-22  Bastien Guerry  <Bastien.Guerry@ens.fr>

	* org-export-latex.el (org-export-latex-protect-string):
	Renaming of `org-latex-protect'.
	(org-export-latex-emphasis-alist): By default, don't protect
	any emphasis formatter from further conversion.
	(org-export-latex-tables): Honor column grouping for tables.
	(org-export-latex-title-command): New option.
	(org-export-latex-treat-backslash-char): Use \textbackslash{} to
	export backslash character.

2007-10-22  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-read-date-get-relative): New function.
	(org-agenda-file-regexp): New variable.
	(org-agenda-files): Allow directories in the variable.
	(org-agenda-get-restriction-and-command): New function.
	(org-agenda): Use `org-agenda-get-restriction-and-command'.
	(org-todo-blocker-hook, org-todo-trigger-hook): New hooks.
	(org-entry-is-todo-p, org-entry-is-done-p, org-get-todo-state):
	New functions.
	(org-entry-add-to-multivalued-property)
	(org-entry-remove-from-multivalued-property)
	(org-entry-member-in-multivalued-property): New functions.
	(org-remember-apply-template): Catch C-g and make sure window
	configuration is restored.
	(org-agenda-open-link): Make it work with several links in the line.
	(org-drawers, org-set-regexps-and-options)
	(org-get-current-options): Add support for a DRAWERS in-buffer option.
	(org-agenda-window-frame-fractions): New option.
	(org-fit-agenda-window): Use `org-agenda-window-frame-fractions'.
	(org-columns-cleanup-item, org-find-entry-with-id)
	(org-insert-columns-dblock, org-listtable-to-string)
	(org-dblock-write:columnview, org-columns-capture-view)
	(org-edit-headline): New functions.
	(org-agenda-to-appt): Require calendar.
	(org-entry-get-with-inheritance): Widen for search.
	(org-columns-display-here): Don't mark buffer as modified when
	adding space characters to accomodate column overlays.
	(org-export-as-html): Better formatting of tags in the toc.
	(org-columns-display-here): Make the ITEM column as compact as possible.
	(org-remember-templates): Customization interface improved.
	(org-export-with-property-drawer): Variable removed.
	(org-export-with-drawers): New option.
	(org-complex-heading-regexp): New variable.
	(org-sort-entries): Rewrite using `sort-subr'.
	(org-set-property): More appropriate completion during interactive use.
	(org-sort-entries): Allow sorting by property.
	(org-additional-option-like-keywords): Add more values.
	(org-sort-entries-or-items): Rename from `org-sort-entries'.

2007-10-22  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-get-date-from-calendar): New function.
	(org-at-timestamp-p, org-timestamp-change)
	(org-remember-templates): First element of each entry is now a
	name for the template.
	(org-store-log-note): Check for `org-note-abort'.
	(org-kill-note-or-show-branches): New command.
	(org-fontify-priorities): New option.
	(org-fontify-priorities): New function.
	(org-cut-subtree, org-copy-subtree): New argument N to
	act on N sequential subtrees.
	(org-paste-subtree): Fix the level at which a tree is pasted.
	(org-fit-agenda-window): Limitations on window size removed.
	(org-agenda-find-same-or-today-or-agenda): Rename from
	`org-agenda-find-today-or-agenda'.
	(org-scheduled-past-days): New option.
	(org-agenda-scheduled-leaders)
	(org-agenda-deadline-leaders): New options.
	(org-agenda-get-deadlines): Use `org-agenda-deadline-leaders'.
	(org-agenda-get-scheduled): Use `org-agenda-scheduled-leaders'.
	(org-export-with-tags, org-export-plist-vars)
	(org-infile-export-plist): New "tags" option.
	(org-use-property-inheritance): New option.
	(org-cached-entry-get): Use `org-use-property-inheritance'.
	(org-remember-apply-template): Fix typo.

2007-10-22  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-find-shell)
	(tramp-open-connection-setup-interactive-shell): Improve sending
	initial commands.
	(tramp-action-terminal): Send debug message.
	(tramp-wait-for-shell-prompt, tramp-send-command-internal): Remove.
	(tramp-barf-if-no-shell-prompt): Insert code of
	`tramp-wait-for-shell-prompt'.

2007-10-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* term/AT386.el (terminal-init-AT386): Use input-decode-map.

	* term/vt200.el (terminal-init-vt200):
	* term/vt201.el (terminal-init-vt201):
	* term/vt220.el (terminal-init-vt220):
	* term/vt240.el (terminal-init-vt240):
	* term/vt300.el (terminal-init-vt300):
	* term/vt320.el (terminal-init-vt320):
	* term/vt400.el (terminal-init-vt400):
	* term/vt420.el (terminal-init-vt420): Use input-decode-map.

	* term/wyse50.el (wyse50-terminal-map): New var.
	(terminal-init-wyse50): Use it and input-decode-map.
	(enable-arrow-keys): Emasculate.

	* term/tvi970.el (tvi970-terminal-map): New var.
	(terminal-init-tvi970): Use it and input-decode-map.
	(tvi970-keypad-numeric): Remove.
	(tvi970-set-keypad-mode): Use a terminal-parameter rather than var.

	* term/sun.el (sun-raw-prefix): Fill as part of declaration.
	(terminal-init-sun): Use it and input-decode-map.

	* term/news.el (terminal-init-news):
	* term/lk201.el (terminal-init-lk201):
	* term/iris-ansi.el (terminal-init-iris-ansi): Use input-decode-map.

2007-10-22  Sean O'Rourke  <sorourke@cs.ucsd.edu>

	* complete.el (PC-expand-many-files): Remove.
	(PC-do-completion): Call file-expand-wildcards instead of
	PC-expand-many-files.

	* net/tramp.el (tramp-handle-expand-many-files): Remove.
	(PC-expand-many-files): Remove advice.

2007-10-22  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el: Remove leading "*" from defcustom doc-strings.
	Add some support for Fortran 2003 syntax:
	(f90-type-indent): Now also applies to `enum'.
	(f90-associate-indent): New user option.
	(f90-keywords-re, f90-keywords-level-3-re, f90-procedures-re):
	Add some F2003 keywords.
	(f90-constants-re): New constant.
	(f90-font-lock-keywords-1): Add `associate' blocks, and `abstract
	Interface'.
	(f90-font-lock-keywords-2): Add `enumerator', `generic', `procedure',
	`class'.  Arguments for `type'/`class' may have spaces.  Add a new
	element for functions with specified types.  Add `end enum' and
	`select type'.  Add `implicit enumerator' and `procedure'.
	Add `class default' and `type is', `class is'.  Fix `go to' regexp.
	(f90-font-lock-keywords-3): Add `asynchronous' attribute.
	(f90-font-lock-keywords-4): Add `f90-constants-re'.
	(f90-blocks-re): Add `enum' and `associate'.
	(f90-else-like-re): Add `class is', `type is', and `class default'.
	(f90-end-type-re): Add `enum'.
	(f90-end-associate-re, f90-typeis-re): New constants.
	(f90-end-block-re): Add `enum' and `associate'.  Change from
	optional whitespace to end-of-word, to avoid `enumerator'.
	(f90-start-block-re): Add `select type', `abstract interface', and
	`enum'.  Avoid `type is', and `type (sometype)'.
	(f90-mode-abbrev-table): Add `enumerator', `protected', and `volatile'.
	(f90-mode): Doc fix.
	(f90-looking-at-select-case): Doc fix.  Add `select type'.
	(f90-looking-at-associate): New function.
	(f90-looking-at-type-like): Avoid `type is' and `type (sometype)'.
	Add `enum' and `abstract interface'.
	(f90-no-block-limit): Add `select type' and `abstract interface'.
	(f90-get-correct-indent, f90-calculate-indent)
	(f90-end-of-block, f90-beginning-of-block, f90-next-block)
	(f90-indent-region, f90-match-end): Handle `associate' blocks.

2007-10-22  Martin Rudalics  <rudalics@gmx.at>

	* progmodes/fortran.el (fortran-mode-map, fortran-window-create):
	Use window-full-width-p.

2007-10-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* mail/vms-pmail.el (insert-signature): Don't use end-of-buffer.

	* tooltip.el: Use featurep 'xemacs.

	* printing.el: Move variable definitions before use, no code change.

2007-10-22  Juri Linkov  <juri@jurta.org>

	* simple.el (goto-history-element): Allow minibuffer-default to be
	a list of default values accessible by typing M-n in the minibuffer.

	* dired-x.el (dired-guess-shell-command): Put all guesses to the
	minibuffer default value list instead of pushing them temporarily
	to the history list.

2007-10-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* hexl.el (hexl-menu): New major mode menu.

2007-10-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/byte-opt.el (byte-optimize-featurep): Fix paren typo.

2007-10-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* w32-fns.el (w32-quote-process-args):
	* dos-w32.el (print-region-function, lpr-headers-switches)
	(ps-print-region-function): Pacify byte-compiler.

	* emulation/edt-mapper.el (function-key-map):
	(edt-map-key): Make it a function instead of using fset.
	Inline edt-gnu-map-key and edt-lucid-map-key.  Use featurep 'xemacs.
	(edt-gnu-map-key, edt-lucid-map-key): Remove.
	(edt-x-emacs-p): Remove.
	(edt-emacs-variant, edt-window-system, edt-xserver):
	Use featurep 'xemacs.

	* net/eudc.el: Use (featurep 'xemacs) instead of the string test.
	Replace eudc-xemacs-p with its definition.
	(eudc-xemacs-p, eudc-emacs-p, eudc-xemacs-mule-p)
	(eudc-emacs-mule-p): Remove.
	(eudc-install-menu, eudc-mode): Replace eudc-emacs-p and
	eudc-xemacs-p with feature tests.

	* net/eudc-bob.el (eudc-bob-generic-menu, eudc-bob-mail-keymap)
	(eudc-bob-url-keymap, eudc-bob-sound-keymap)
	(eudc-bob-generic-keymap, eudc-bob-popup-menu)
	(eudc-bob-toggle-inline-display):
	* net/eudc-hotlist.el (eudc-hotlist-emacs-menu):
	Replace eudc-emacs-p and eudc-xemacs-p with feature tests.

	* net/eudcb-ph.el (eudc-ph-open-session):
	Replace eudc-xemacs-mule-p with its former definition.

	* progmodes/octave-mod.el (octave-xemacs-p): Remove.
	(octave-abbrev-start): Replace octave-xemacs-p with (featurep 'xemacs).

	* progmodes/vera-mode.el (vera-xemacs): Remove.
	(vera-mode-syntax-table): Replace vera-xemacs with (featurep 'xemacs).

	* progmodes/vhdl-mode.el (vhdl-xemacs): Remove.
	(vhdl-doc-mode, vhdl-doc-variable, vhdl-compile-init)
	(vhdl-speedbar-initialize, vhdl-ps-print-init)
	(vhdl-forward-comment, vhdl-mode-map-init, vhdl-show-messages)
	(vhdl-emacs-22, vhdl-emacs-21): Replace vhdl-xemacs
	with (featurep 'xemacs).

	* progmodes/antlr-mode.el (cond-emacs-xemacs-macfn, defunx)
	(save-buffer-state-x):
	* obsolete/fast-lock.el (fast-lock-verbose):
	* emulation/viper-init.el (viper-xemacs-p)
	(viper-cond-compile-for-xemacs-or-emacs):
	* emacs-lisp/checkdoc.el (checkdoc-minor-mode-map):
	* ps-print.el (case-fold-search):
	* ediff-hook.el (ediff-cond-compile-for-xemacs-or-emacs):
	* calculator.el (calculator-help): Use featurep 'xemacs.

	* progmodes/prolog.el: Undo previous change.
	(comint-prompt-regexp, comint-process-echoes): Pacify byte-compiler.

	* progmodes/dcl-mode.el:
	* play/yow.el:
	* calendar/todo-mode.el:
	* calendar/cal-hebrew.el:
	* vc-hg.el: Undo previous change.

	* vms-patch.el: Likewise.
	(print-region-function): Pacify byte-compiler.

2007-10-21  Michael Albinus  <michael.albinus@gmx.de>

	* files.el (backup-buffer-copy): Call `copy-file' with non-nil
	preserve-uid-gid.

	* net/ange-ftp.el (ange-ftp-copy-file): Add PRESERVE-UID-GID for
	compatibility.  It is not used, though.

	* net/tramp.el (top): Put load of all tramp-* files into a dolist.
	Require tramp-cmds.el.
	(tramp-make-tramp-temp-file): We can get rid of DONT-CREATE.
	(tramp-handle-file-name-all-completions): Expand DIRECTORY.
	 (tramp-do-copy-or-rename-file-directly): Make more rigid checks.
	(tramp-do-copy-or-rename-file-out-of-band)
	(tramp-maybe-open-connection): Use `make-temp-name'.  This is
	possible, because we don't need to create the temporary file, but
	we need a prefix for ssh, which has its own temporary file handling.
	(tramp-handle-delete-directory): Add "-f" to rmdir.
	(tramp-handle-dired-recursive-delete-directory): Call "rm -rf".
	(tramp-handle-insert-file-contents): Don't raise a tramp-error but
	a signal, in order to give the callee a chance to suppress.
	(tramp-handle-write-region): Set owner also in case of short
	track.  Don't use compatibility calls for `write-region' anymore.
	(tramp-clear-passwd): Add parameter VEC.  Adapt all callees.
	(tramp-append-tramp-buffers): Apply `tramp-list-tramp-buffers'.

	* net/tramp-cmds.el: New file.

	* net/tramp-gw.el (tramp-gw-basic-authentication): Apply VEC to
	`tramp-clear-passwd'.

	* net/trampver.el: Update release number.

2007-10-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/gud.el (gud-target-name): Move definition before use.

	* progmodes/dcl-mode.el: Require imenu at compile time.

	* progmodes/cc-engine.el (c-maybe-stale-found-type):
	Pacify byte-compiler.

	* obsolete/fast-lock.el: Use featurep test instead of string-match.

	* eshell/esh-mode.el (eshell-handle-ansi-color):
	Require ansi-color at compile time too.

	* eshell/em-unix.el (eshell/info): Require info at compile time too.

	* w32-fns.el: Require w32-vars.

	* diff-mode.el (diff-refine-hunk): Require smerge-mode at compile
	time too.

2007-10-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* double.el ([ignore]): Use `ignore'.
	(double-setup): Inline into double-mode.
	(double-mode): Use define-minor-mode.

2007-10-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* textmodes/reftex.el: Move require easymenu before first use.
	(reftex-info): Require info at compile too.

	* textmodes/org-publish.el (org-publish-org-to-html)
	(org-publish-org-to): Require org at compile time too.
	(org-publish-attachment): Require at compile time too.

	* term/tty-colors.el (w32-tty-standard-colors):
	Pacify byte-compiler.

	* term/pc-win.el (frame-creation-function-alist): Add to this
	instead of setting frame-creation-function.

	* play/blackbox.el (bb-up, bb-down): Use forward-line.

	* net/rcirc.el (rcirc-markup-text-functions): Move definition earlier.

	* calendar/todo-mode.el: Require calendar at compile time.

	* calendar/cal-hebrew.el: Require holidays at compile time.

	* w32-vars.el: Provide w32-vars.

	* term/w32-win.el: Require w32-vars.
	(w32-color-map): Pacify byte-compiler.

	* loadup.el: Load w32-vars before term/w32-win.

2007-10-20  Juri Linkov  <juri@jurta.org>

	* textmodes/fill.el (fill-paragraph): When the region is active,
	don't try other `or' branches regardless of the value returned by
	fill-region; just return t.

2007-10-20  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc.el (vc-do-command): Condition out a misleading message when
	running asynchronously.
	(vc-deduce-fileset): New argument enables using an unregistered
	visited file as a singleton fileset if nothing else is available.
	(vc-next-action): Restore file-registering behavior.

2007-10-20  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/README: Add recent news.

2007-10-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/x-win.el (x-gtk-stock-map, icon-map-list)
	(x-gtk-map-stock): Delete duplicated definitions from merge.

	* progmodes/compile.el (compilation-skip-to-next-location)
	(compilation-skip-threshold, compilation-skip-visited):
	Move definitions earlier.

	* play/decipher.el (decipher-keypress):
	* play/zone.el (zone-fall-through-ws):
	* play/landmark.el (lm-move-down, lm-move-up):
	* play/handwrite.el (handwrite):
	* mail/mspools.el (mspools-visit-spool):
	* wdired.el (wdired-next-line, wdired-previous-line):
	* tar-mode.el (tar-subfile-save-buffer):
	* scroll-lock.el (scroll-lock-next-line)
	(scroll-lock-previous-line):
	* image-dired.el (image-dired-next-line)
	(image-dired-previous-line):
	* ediff-help.el (ediff-help-message-line-length):
	Use forward-line.

	* smerge-mode.el (smerge-auto-refine):
	* diff-mode.el (diff-auto-refine): Add :group.

	* play/yow.el: Require doctor at compile time.

	* vmsproc.el: Provide vmsproc.
	(command-send-input): Use forward-line.

	* vms-patch.el: Require ps-print and vmsproc at compile time.

	* vc-mtn.el (log-view-message-re, log-view-file-re)
	(log-view-font-lock-keywords): Pacify byte-compiler.

	* vc-hg.el: Require log-view at compile time.

2007-10-20  Eric S. Raymond  <esr@snark.thyrsus.com>

	* log-view.el (log-view-diff): Adapt log-view-diff for new VC API.

2007-10-20  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-font-lock-keywords-2)
	(f90-looking-at-type-like): Fix regexp typos.

2007-10-19  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs--track-window-changes): Don't refresh the whole list.
	(bs-mode): Set mode-class property to special.

2007-10-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-auto-refine): New var.
	(diff-hunk): Use it.
	(diff-ignore-whitespace-hunk): Rename diff-refine-ignore-spaces-hunk.
	(diff-refine-change): Rename from diff-fine-change.  Change it.
	(diff-refine-preproc): Rename from diff-fine-highlight-preproc.
	(diff-refine-hunk): Rename from diff-fine-highlight.

2007-10-20  John Paul Wallington  <jpw@pobox.com>

	* help-fns.el (describe-variable-custom-version-info): New function
	to return variable's version or package version note.
	(describe-variable): Use it, display result.

2007-10-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* smerge-mode.el (smerge-auto-refine): New var.
	(smerge-next, smerge-prev): Use it.
	(smerge-batch-resolve): Ad-hoc trick for Arch's .rej files.

	* emacs-lisp/easy-mmode.el (easy-mmode-define-navigation):
	Add `body' arg.  Cleanup the check-narrow-maybe/re-narrow-maybe mess.

	* vc-bzr.el (vc-bzr-diff-tree):
	* vc-git.el (vc-git-diff-tree):
	* vc-hg.el (vc-hg-diff-tree):
	* vc-mcvs.el (vc-mcvs-diff-tree):
	* vc-mtn.el (vc-mtn-diff-tree):
	* vc-svn.el (vc-svn-diff-tree): Remove.

	* vc-mtn.el (vc-mtn-revision-completion-table):
	* vc-cvs.el (vc-cvs-revision-completion-table):
	* vc-arch.el (vc-arch-revision-completion-table):
	* vc-hg.el (vc-hg-revision-completion-table, vc-hg-revision-table):
	* vc-git.el (vc-git-revision-completion-table, vc-git-revision-table):
	Make it work when the arg is a list of files.

2007-10-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el: Remove `diff-tree' operation, now subsumed by `diff'.
	Also `revision-completion-table' now takes a list of files.
	(vc-deduce-fileset): Remove unused var `regexp'.
	Only obey allow-directory-wildcard in dired buffers.
	(vc-default-diff-tree): Remove.
	(vc-diff-added-files): New var.
	(vc-diff-internal): Use it.  Remove arg `backend'.  Update callers.
	(vc-version-diff): Revert from `vc-history-diff' to the original name.
	Remove the `backend' arg.
	(vc-contains-version-controlled-file): Remove.
	(vc-diff): Bring it closer to the version in Emacs-22.
	(vc-revert): Fix typo in let-binding.
	(vc-default-unregister): Remove.
	(vc-dired-buffers-for-dir): Remove N^2 behavior.

2007-10-19  Dan Nicolaescu  <dann@ics.uci.edu>

	* textmodes/two-column.el (2C-split, 2C-merge):
	* textmodes/bib-mode.el (bib-find-key, mark-bib):
	* progmodes/idlw-shell.el (idlwave-shell-move-or-history):
	* progmodes/etags.el (find-tag-in-order, etags-tags-apropos)
	* progmodes/ada-xref.el (ada-get-all-references):
	* obsolete/mlsupport.el (ml-next-line, ml-previous-line):
	* emulation/vi.el (vi-previous-line-first-nonwhite)
	(vi-effective-range, vi-put-before):
	* emulation/edt.el (edt-next-line, edt-previous-line)
	(edt-paragraph-forward): Use forward-line.

	* progmodes/etags.el (tags-apropos): Require apropos at compile
	time too.

	* progmodes/prolog.el: Require comint when compiling.
	(inferior-prolog-flavor): Move defvar before use.

2007-10-19  Richard Stallman  <rms@gnu.org>

	* font-core.el (turn-on-font-lock-if-desired):
	Rename from `turn-on-font-lock-if-enabled'.
	Fully obey `font-lock-global-modes'.

2007-10-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-fine-highlight-preproc): Stick to minimal changes
	which will not affect the behavior of things like forward-word.
	(diff-fine-highlight): Preserve point.

	* doc-view.el (doc-view-mode-map): Use remapping.
	Don't rebind C-v, M-v to their default value.
	Don't bind mouse-4 and mouse-5: it's mwheel.el's job.

	* smerge-mode.el: Add word-granularity refinement.
	(smerge-refine-forward-function, smerge-refine-ignore-whitespace)
	(smerge-refine-weight-hack): New vars.
	(smerge-refine-forward): New fun.
	(smerge-refine-chopup-region, smerge-refine-highlight-change): Use them.
	(smerge-refine-subst): Use them as well.  Preserve point.

2007-10-19  Juanma Barranquero  <lekktu@gmail.com>

	* follow.el (follow-unload-function): New function.

	* loadhist.el (unload-function-features-list):
	Rename from `unload-hook-features-list'.
	(unload-hook-features-list): Add as obsolete alias.
	(unload-feature): Use `unload-function-features-list'
	and new FEATURE-unload-function.

2007-10-19  Glenn Morris  <rgm@gnu.org>

	* bindings.el (mouse-minor-mode-menu)
	(minor-mode-menu-from-indicator): Move to mouse.el.
	* mouse.el (mouse-minor-mode-menu, minor-mode-menu-from-indicator):
	Move here from bindings.el.

2007-10-19  Richard Stallman  <rms@gnu.org>

	* help-fns.el (describe-function-1): Don't use the advice origname
	if it has no function definition.

2007-10-18  Johan Bockg,Ae(Brd  <bojohan@gnu.org>

	* net/tramp.el (tramp-rfn-eshadow-update-overlay): Save excursion.
	Use `save-restriction' rather than `widen'.

2007-10-18  Richard Stallman  <rms@gnu.org>

	* time.el (display-time-world-time-format): Display day # not month #.

2007-10-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* files.el (auto-mode-alist): Don't use doc-view for PS and EPS.

	* doc-view.el: Remove version keyword.
	(doc-view-ghostscript-program, doc-view-dvipdfm-program)
	(doc-view-ps2pdf-program): Use executable-find.  Simplify custom type.
	(doc-view-ghostscript-options): Improve custom type.
	(doc-view-cache-directory, doc-view-conversion-buffer)
	(doc-view-conversion-refresh-interval): Simplify custom type.

2007-10-18  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-dvi->pdf-sentinel, doc-view-dvi->pdf)
	(doc-view-pdf/ps->png-sentinel, doc-view-pdf/ps->png)
	(doc-view-pdf->txt-sentinel, doc-view-pdf->txt)
	(doc-view-ps->pdf-sentinel, doc-view-ps->pdf):
	Remove superfluous messages.
	(doc-view-mode-map): Use the image-mode scrolling commands.
	Don't rebind C-x k.

2007-10-18  Reiner Steib  <Reiner.Steib@gmx.de>

	* doc-view.el (doc-view-ghostscript-options, doc-view-ps->pdf):
	Add comment about "-dSAFER".

2007-10-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* term/xterm.el: Don't require xt-mouse.
	(terminal-init-xterm): Run terminal-init-xterm-hook rather than
	calling turn-on-xterm-mouse-tracking-on-terminal directly.

	* xt-mouse.el: Don't change the global function-key-map anny more.
	(xterm-mouse-mode): Use terminal-init-xterm-hook.
	Don't use after-make-frame-functions now that term/xterm.el calls
	us directly.
	(turn-on-xterm-mouse-tracking, turn-off-xterm-mouse-tracking):
	Use turn-*-xterm-mouse-tracking-on-terminal.  Only once per terminal.
	(turn-on-xterm-mouse-tracking-on-terminal): Make param optional.
	Setup input-decode-map and remember that xterm-mouse-mode was
	enabled in this terminal.
	(turn-off-xterm-mouse-tracking-on-terminal): Only disable on those
	terminals where it has been enabled.

	* faces.el (tty-create-frame-with-faces): Make sure not only
	tty-run-terminal-initialization but also set-locale-environment
	are run only once per terminal.
	(tty-run-terminal-initialization): Don't check if the terminal was
	already initted.

	* international/encoded-kb.el (encoded-kbd-setup-display): Be careful
	not to remove keymaps that just happen to inherit from one of ours.
	When setting up our keymap, make sure it won't be accidentally
	modified by someone else.

2007-10-18  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* textmodes/artist.el (artist-previous-line, artist-next-line):
	* dired.el (dired-next-line, dired-previous-line):
	* progmodes/delphi.el (delphi-newline):
	* textmodes/org.el (org-columns-eval):
	Use forward-line.

	* emerge.el (emerge-setup): Use insert-buffer-substring.
	(emerge-prepare-error-list, emerge-setup-with-ancestor): Likewise.

2007-10-18  Juanma Barranquero  <lekktu@gmail.com>

	* textmodes/fill.el (fill-individual-paragraphs): Doc fix.
	(adaptive-fill-function): Doc fix.  Remove * from docstring.

2007-10-18  Tom Horsley  <tom.horsley@att.net>

	* simple.el (interprogram-paste-function): Doc fix.
	(current-kill): Accept list of strings as well
	as single string from `interprogram-paste-function'.

2007-10-18  Glenn Morris  <rgm@gnu.org>

	* ibuf-ext.el (ibuffer-saved-filter-groups): Doc fix.

2007-10-18  Drew Adams  <drew.adams@oracle.com>

	* bindings.el (mode-line-minor-mode-keymap):
	Add mouse-minor-mode-menu on mouse-1.
	(mode-line-modes): Add mouse-1 to help-echo text.
	(mouse-minor-mode-menu, minor-mode-menu-from-indicator):
	New functions.
	(mode-line-minor-mode-help): Doc fix.

2007-10-17  Juri Linkov  <juri@jurta.org>

	* textmodes/fill.el (fill-paragraph-or-region): Remove function
	at the request of RMS.
	(fill-paragraph): Change `arg' to optional `justify'.  Add interactive
	arg `region'.  Fix docstring.  At the first `or' branch add call to
	`fill-region' if it the region is active in transient-mark-mode.

	* bindings.el (esc-map): Bind M-q to fill-paragraph
	instead of fill-paragraph-or-region.

	* tutorial.el (tutorial--default-keys): Replace fill-paragraph-or-region
	with fill-paragraph.

	* textmodes/ispell.el (ispell-word): Add interactive arg `region'.
	Fix docstring.

	* indent.el (indent-for-tab-command): Change interactive spec from
	"P" to "p".  Add check for interactive arg before indenting the
	active region.

	* files.el (auto-mode-alist): Add \\. before PDF/PS/DVI extensions.
	Regroup.

2007-10-17  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/find-func.el: Don't require loadhist.

	* loadhist.el (feature-symbols, file-provides, file-requires)
	(file-set-intersect, file-dependents): Simplify.
	(unload-feature-special-hooks): Update list of special hooks.

2007-10-17  Tassilo Horn  <tassilo@member.fsf.org>

	* bindings.el (completion-ignored-extensions): Remove pdf and dvi
	extensions since they can be viewed with doc-view.

	* files.el (auto-mode-alist): Make doc-view-mode the default mode
	for pdf, ps and dvi files.

	* doc-view.el: Make doc-view-mode the standard mode for viewing
	pdf, [e]ps and dvi files and add binding C-c C-c to toggle between
	text and image display.  Add binding C-c C-e to switch to an
	editing mode.
	(doc-view-ghostscript-options, doc-view-ps->pdf): Add "-dSAFER" to
	avoid security problems when rendering files from untrusted sources.

2007-10-17  Aaron Hawley  <aaronh@garden.org>

	* tutorial.el (tutorial--save-tutorial): Display message when tutorial
	position is not saved.

2007-10-17  Reiner Steib  <Reiner.Steib@gmx.de>

	* doc-view.el: Mention xpdf.  Fix spelling of Ghostscript.
	(doc-view-ghostscript-options): Fix typo in doc string.

2007-10-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation-next-error-function): Fix timestamp
	handling, so compilation-fake-loc works again.

	* server.el (server-select-display): Nop if we do not support m-f-o-d.
	(server-process-filter): Revert last change.

	* vc.el (vc-diff-sentinel, vc-diff-internal): Revert some change in the
	behavior unrelated to filesets.

2007-10-17  Chong Yidong  <cyd@stupidchicken.com>

	* longlines.el (longlines-wrap-follows-window-size): Integer value
	specifies wrapping margin.
	(longlines-mode, longlines-window-change-function):
	Set window-specific wrapping margin based on the above.

2007-10-17  John Wiegley  <johnw@newartisans.com>

	* eshell/esh-cmd.el (eshell-complex-commands): Add "ls".

2007-10-17  Dan Nicolaescu  <dann@ics.uci.edu>

	* server.el (server-process-filter): Only set display if X11 is
	supported.

2007-10-17  Glenn Morris  <rgm@gnu.org>

	* progmodes/cc-menus.el (cc-imenu-c++-generic-expression):
	Tweak regexp to avoid stack overflow.

2007-10-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (reindent-then-newline-and-indent): Don't assume that
	indent-according-to-mode preserves point.

2007-10-16  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs--make-header-match-string, bs-show-in-buffer)
	(bs--nth-wrapper): Simplify.
	(bs-select, bs--insert-one-entry): Simplify.  Use `when'.
	(bs-buffer-list): Simplify.  Use `when'.  Use `string-match-p'.
	(bs-sort-buffer-interns-are-last): Use `string-match-p'.
	(bs-attributes-list, bs-max-window-height, bs-must-always-show-regexp)
	(bs-maximal-buffer-name-column, bs-minimal-buffer-name-column)
	(bs-configurations, bs-default-configuration)
	(bs-alternative-configuration, bs-cycle-configuration-name)
	(bs-string-show-always, bs-string-show-never, bs-string-current)
	(bs-string-current-marked, bs-string-marked, bs-string-show-normally)
	(bs-sort-functions, bs-default-sort-name): Remove * in docstrings.
	(bs--redisplay, bs--goto-current-buffer, bs--current-buffer, bs-delete)
	(bs-apply-sort-faces, bs-next-config-aux): Use `when'.
	(bs--window-config-coming-from): Revert 2006-11-09 change.
	(bs--restore-window-config): Keep the selected frame.
	(bs--track-window-changes, bs--remove-hooks): New functions.
	(bs-mode): Use `define-derived-mode'.  Set hook to track window changes.
	(bs--create-header): Remove.
	(bs--create-header-line): New function, based on `bs--create-header'.
	(bs--show-header): Use `bs--create-header-line'.
	(bs--show-with-configuration): Revert 2006-11-09 change.
	Don't reuse window unless it is visible on the selected frame.
	Restore window configuration (possibly in a different frame)
	before creating any window.

2007-10-16  Glenn Morris  <rgm@gnu.org>

	* simple.el (blink-matching-open): Don't report false errors with
	the `$' syntax class.

2007-10-16  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/advice.el (ad-get-advice-info): Change to a function.
	(ad-get-advice-info-macro): New macro, like old ad-get-advice-info.
	(ad-is-advised, ad-get-advice-info-field)
	(ad-set-advice-info-field): Use ad-get-advice-info-macro.

2007-10-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-workfile-version): Compatibility alias.
	(vc-default-working-revision): Compatibility for backends.

2007-10-15  Juanma Barranquero  <lekktu@gmail.com>

	* filesets.el (filesets-alist-get): Use `let' rather than `let*'.
	(filesets-ormap, filesets-sort-case-sensitive-flag)
	(filesets-remake-shortcut, filesets-ingroup-collect-files):
	Fix typos in docstrings.
	(filesets-conditional-sort, filesets-find-or-display-file)
	(filesets-data-get-name, filesets-data-get-data)
	(filesets-data-set, filesets-cmd-query-replace-getargs)
	(filesets-ingroup-collect): Doc fixes.

2007-10-15  Sam Steingold  <sds@gnu.org>

	* mail/sendmail.el (sendmail-error-reporting-interactive)
	(sendmail-error-reporting-non-interactive): New variables for
	sendmail error reporting options to simplify support for imperfect
	sendmail emulators.
	(sendmail-send-it): Use them instead of list literals.

2007-10-15  Juanma Barranquero  <lekktu@gmail.com>

	* help-fns.el: Revert previous change; it creates a
	dependency loop between advice.el and help-fns.el.

2007-10-15  Juanma Barranquero  <lekktu@gmail.com>

	* help-fns.el: Require advice when compiling.

2007-10-14  Drew Adams  <drew.adams@oracle.com>

	* emacs-lisp/ring.el (ring-convert-sequence-to-ring)
	(ring-insert+extend, ring-remove+insert+extend, ring-member)
	(ring-next, ring-previous): New functions.

2007-10-14  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/advice.el (documentation): Advice deleted.
	Doc for advised functions is now handled at C level.
	(ad-stop-advice, ad-start-advice): Don't enable or disable
	advice for `documentation'.
	(ad-advised-definition-docstring-regexp): Var deleted.
	(ad-make-advised-definition-docstring): Store orig name
	as text property of string.
	(ad-advised-definition-p): Check for text property of docstring.

	* help-fns.el (describe-function-1): Find source of advised functions.

2007-10-14  Juri Linkov  <juri@jurta.org>

	* faces.el (describe-face): Allow handling a string as the face name.

	* textmodes/ispell.el (ispell-word): Call `ispell-region' on the
	active region in transient-mark-mode.
	(ispell-region): Change messages displayed at the start and end of
	the spell-checking to be the same.

	* startup.el (fancy-startup-tail): Say exactly what does the button
	dismiss ("Dismiss this startup screen").  Use text "Never show
	it again" for the checkbox after this button.
	(fancy-startup-screen, fancy-about-screen): Put point before the
	first link, so the user can quickly select links with the keyboard.
	(normal-mouse-startup-screen): Add more useful text describing how
	to follow a link.

2007-10-14  Glenn Morris  <rgm@gnu.org>

	* progmodes/etags.el (select-tags-table): Disable undo in the
	`*Tags Table List*' buffer.

2007-10-13  Eli Zaretskii  <eliz@gnu.org>

	* dired.el (dired-warn-writable): New face.
	(dired-warn-writable-face): New variable.
	(dired-font-lock-keywords): Use dired-warn-writable-face, instead
	of dired-warning-face, for group- and world-writable files.

2007-10-13  Richard Stallman  <rms@gnu.org>

	* files.el (directory-abbrev-alist): Doc fix.

2007-10-13  Jari Aalto  <jari.aalto@cante.net>

	* comint.el (comint-password-prompt-regexp): Add 'LDAP'.

2007-10-12  Martin Rudalics  <rudalics@gmx.at>

	* frame.el (set-frame-configuration): Assign name parameter only
	if it has been set explicitly before.

2007-10-11  Tom Tromey  <tromey@redhat.com>

	* progmodes/gdb-ui.el (gdb-info-stack-custom): Ensure current
	frame is visible.

2007-10-10  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/debug.el (debugger-setup-buffer): Disable undo
	in *Backtrace*.

	* faces.el (face-font-selection-order): Doc fix.

	* loadhist.el (unload-feature): Doc fix.

2007-10-13  Glenn Morris  <rgm@gnu.org>

	* progmodes/octave-mod.el (octave-looking-at-kw): Add doc string.
	(octave-re-search-forward-kw, octave-re-search-backward-kw):
	Add doc string, and an explicit COUNT argument.
	(octave-scan-blocks, octave-beginning-of-defun): Explicitly pass
	`inc' to search functions.

	* faces.el (face-spec-set): When FRAME is nil, set the default for
	new frames (restores pre-2007-09-17 behavior).  Doc fix.

2007-10-13  John W. Eaton  <jwe@octave.org>

	* progmodes/octave-mod.el (octave-looking-at-kw)
	(octave-re-search-forward-kw, octave-re-search-backward-kw):
	New functions.
	(octave-in-defun-p, calculate-octave-indent)
	(octave-blink-matching-block-open, octave-beginning-of-defun)
	(octave-auto-fill): Use octave-looking-at-kw instead of looking-at,
	to search for regexps that contain case-sensitive keywords.
	(octave-beginning-of-defun): Likewise, for octave-re-search-backward-kw.
	(octave-scan-blocks): Likewise, for octave-re-search-forward-kw.

2007-10-13  Dan Nicolaescu  <dann@ics.uci.edu>

	* frame.el (select-frame-set-input-focus): Fix typo "max" -> "mac".
	Do not use a single clause cond.

	* cus-start.el (all): Use test that does not match the X11 version
	for mac.

2007-10-13  Markus Gritsch  <m.gritsch@gmail.com>  (tiny change)

	* progmodes/ebrowse.el (ebrowse-tree-mode): Disable undo in the
	BROWSE buffer.

2007-10-13  Dan Nicolaescu  <dann@ics.uci.edu>

	* cus-start.el (all): Undo previous change.

2007-10-13  Glenn Morris  <rgm@gnu.org>

	* woman.el (woman0-rename): Fix paren typo.

	* mail/feedmail.el (feedmail-run-the-queue)
	(feedmail-look-at-queue-directory):
	* mail/reporter.el (reporter-dump-state):
	* net/eudc-hotlist.el (eudc-edit-hotlist):
	* net/eudc.el (eudc-display-records)
	(eudc-filter-duplicate-attributes)
	(eudc-distribute-field-on-records, eudc-query-form, eudc-process-form):
	* net/eudcb-bbdb.el (eudc-bbdb-filter-non-matching-record)
	(eudc-bbdb-query-internal):
	* net/eudcb-ldap.el (eudc-ldap-simple-query-internal):
	* net/socks.el (socks-build-auth-list):
	* progmodes/cc-cmds.el (top level):
	* progmodes/cc-styles.el (c-make-styles-buffer-local, c-set-style):
	* progmodes/cperl-mode.el (top level, cperl-imenu-addback)
	(cperl-write-tags, cperl-tags-treeify):
	* progmodes/ebnf-yac.el (ebnf-yac-token-table):
	* progmodes/ebnf2ps.el (ebnf-map-name, ebnf-dimensions):
	* progmodes/idlw-shell.el (idlwave-shell-filter-bp, top level):
	* progmodes/idlw-toolbar.el (idlwave-toolbar-add-everywhere)
	(idlwave-toolbar-remove-everywhere):
	* progmodes/idlwave.el (idlwave-indent-line)
	(idlwave-sintern-keyword-list, idlwave-scan-user-lib-files)
	(idlwave-write-paths, idlwave-all-method-classes)
	(idlwave-all-method-keyword-classes, idlwave-entry-keywords)
	(idlwave-fix-keywords, idlwave-display-calling-sequence)
	(idlwave-complete-in-buffer):
	* textmodes/org.el (org-export-as-html, org-export-as-ascii)
	(org-fast-tag-selection):
	* textmodes/reftex-sel.el (reftex-select-item): Use mapc rather
	than mapcar.

2007-10-13  Dan Nicolaescu  <dann@ics.uci.edu>

	* diff-mode.el (diff-fine-change): Add :group.

2007-10-12  Dan Nicolaescu  <dann@ics.uci.edu>

	* cus-start.el (all): Use the same test as the 22.2 branch.

2007-10-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-current-defun): Force recomputation of
	change-log-default-name.

2007-10-12  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (fancy-startup-screen): Remove an unnecessary newline
	and some leftover logic regarding dedicated frames.  If showing
	concise startup screen, fit window to buffer.
	(command-line-1): If we will be using the splash screen, use
	find-file instead of find-file-other-window to find additional files.
	Comment out unused code for coping with the old sit-for behavior.

2007-10-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* term/xterm.el (xterm-function-map, xterm-alternatives-map): Use the
	`meta' modifier consistently, rather than using sometimes meta
	sometimes alt.

2007-10-12  Martin Rudalics  <rudalics@gmx.at>

	* window.el (handle-select-window): Revert part of 2007-10-08
	change setting the input focus.

2007-10-12  Glenn Morris  <rgm@gnu.org>

	* startup.el (command-line): Do not read abbrev file in batch mode.

	* emacs-lisp/byte-opt.el (top level):
	* mail/rmail.el (rmail-list-to-menu):
	* obsolete/hilit19.el (hilit-mode):
	* progmodes/cc-mode.el (c-postprocess-file-styles)
	(c-submit-bug-report):
	* textmodes/org-publish.el (org-publish-get-plist-from-filename):
	* textmodes/reftex.el (reftex-erase-all-selection-and-index-buffers)
	(reftex-access-parse-file):
	* textmodes/reftex-cite.el (reftex-do-citation)
	(reftex-insert-bib-matches):
	* textmodes/reftex-ref.el (reftex-offer-label-menu):
	* textmodes/reftex-sel.el (reftex-select-unmark):
	* textmodes/reftex-toc.el (reftex-toc-do-promote):
	* vc-mcvs.el (vc-mcvs-checkin): Use mapc rather than mapcar.

	* cus-edit.el (custom-variable-menu, custom-face-menu)
	(custom-group-menu): Check init-file-user rather than
	user-init-file, in case cus-edit is loaded by site-run-file.

2007-10-11  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-deduce-fileset): Delete unused code.
	(vc-next-action): Fix typos.

2007-10-11  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs--mark-unmark): New function.
	(bs-mark-current, bs-unmark-current): Use it.

2007-10-11  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc.el (vc-diff):
	(vc-diff-internal): Merge a patch by Juanma Barranquero.  Also,
	temporarily disable the check for his edge case of
	vc-diff (stopping it from grinding when called from $HOME), as
	it's calling some brittle code in vc-hooks.el.
	(with-vc-properties): Fix evaluation time of a macro argument.
	* ediff-vers.el (ediff-vc-internal):
	* vc-hooks.el:
	* loaddefs.el: Follow up on VC terminology change.

2007-10-11  Juanma Barranquero  <lekktu@gmail.com>

	* follow.el (follow-stop-intercept-process-output):
	Use `follow-call-process-filter' rather than `process-filter'.
	Simplify.

2007-10-11  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc-hooks.el (vc-registered): Robustify this function a bit
	against filenames with no directory component.

2007-10-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/characters.el: Undo unwanted and unexplained change.

2007-10-10  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Fix the usage of :foreground and :background face
	attributes.  Reported by Nikolaj Schumacher <n_schumacher@web.de>.
	(ps-print-version): New version 6.7.6.
	(ps-face-attributes, ps-face-attribute-list, ps-face-background):
	Fix code.
	(ps-face-foreground-color-p, ps-face-background-color-p)
	(ps-face-color-p): New inline funs.

2007-10-10  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-additional-option-like-keywords): New constant.
	(org-complete): Use `org-additional-option-like-keywords'.
	(org-parse-local-options): New function.

2007-10-10  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-in-clocktable-p): New function.
	(org-clock-report): Only update the table at point, or insert a new one.
	(org-clock-goto): New function.
	(org-open-file): Use `start-process-shell-command' instead of
	`shell-command' with an ampersand.
	(org-deadline, org-schedule): New argument REMOVE to remove the
	date from the entry.
	(org-agenda-schedule, org-agenda-deadline): Pass the prefix
	argument to `org-schedule' and `org-deadline'.
	(org-trim): Use the correct expressions for beginning and end of
	the string.
	(org-get-cleaned-entry): Trim the string before returning it.
	(org-clock-find-position): New function.
	(org-clock-into-drawer): New option.
	(org-agenda-tags-column): Rename from
	`org-agenda-align-tags-to-column'.
	(org-agenda-align-tags): Allow negative values for
	`org-agenda-tags-column'.
	(org-insert-labeled-timestamps-before-properties-drawer): Remove var.
	(org-agenda-to-appt): New optional argument FILTER.
	(org-completion-fallback-command): New variable.
	(org-complete): Use `org-completion-fallback-command'.
	(org-find-base-buffer-visiting): Catch the case that there is no
	buffer visiting the file.
	(org-property-or-variable-value): New function.
	(org-todo): Use `org-property-or-variable-value'
	(org-agenda-compact-blocks): New option.
	(org-prepare-agenda, org-agenda-list): Use `org-agenda-compact-blocks'.
	(org-agenda-schedule, org-agenda-deadline):
	Call `org-agenda-show-new-time'.
	(org-agenda-show-new-time): New argument PREFIX.
	(org-colgroup-info-to-vline-list): Fix but that cause a
	shift in the vertical lines.
	(org-buffer-property-keys): New argument INCLUDE-DEFAULTS.
	(org-maybe-renumber-ordered-list, org-cycle-list-bullet)
	(org-indent-item): No arg in call to `org-fix-bullet-type'.
	(org-fix-bullet-type): Remove argument.
	(org-read-date): Check for am/pm twice, to catch the end time.
	(org-goto-map): Use `suppress-keymap'.
	(org-remember-apply-template): Respect the dynamically scoped
	selection character.

2007-10-10  Bastien Guerry  <Bastien.Guerry@ens.fr>

	* textmodes/org-export-latex.el (org-export-latex-protect-string):
	Renaming of `org-latex-protect'.
	(org-export-latex-emphasis-alist): By default, don't protect
	any emphasis formatter from further conversion.
	(org-export-latex-tables): Honor column grouping for tables.
	(org-export-latex-title-command): New option.
	(org-export-latex-treat-backslash-char): Use \textbackslash{} to
	export backslash character.

2007-10-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* frame.el (frame-inherited-parameters): Remove unused `environment'
	parameter, and let server.el add `client' when needed.

	* server.el (server-create-tty-frame)
	(server-create-window-system-frame): Set frame-inherited-parameters.

	* frame.el (frame-inherited-parameters): New var.
	(make-frame): Use it.

	* font-lock.el (lisp-font-lock-keywords-2): Remove let-environment.

	* env.el (let-environment): Remove.  Unused.
	(read-envvar-name): Simplify.
	(setenv): Remove unused arg `frame'.

	* help-fns.el (describe-variable): Add missing "  " for multiline
	obsolescence info and missing EOL after global value.

2007-10-10  Eric S. Raymond  <esr@snark.thyrsus.com>

	* add-log.el:
	* ediff-vers.el:
	* log-view.el:
	* pcvs.el:
	* vc-arch.el:
	* vc-bzr.el:
	* vc-cvs.el:
	* vc.el:
	* vc-git.el:
	* vc-hg.el:
	* vc-hooks.el:
	* vc-mcvs.el:
	* vc-mtn.el:
	* vc-rcs.el:
	* vc-sccs.el:
	* vc-svn.el: Terminology cleanup: workfile-version -> working-revision,
	{find,init,next,previous,annotate-*,log}-version ->
	{find,init,next,previous,annotate-*,log}-revision,
	annotate-focus-version -> annotate-working-revision, The term
	'focus' is gone.  The term 'revision' is now used consistently
	everywhere that reference to a revision ID is intended, replacing
	older use of 'version'.

2007-10-10  Juanma Barranquero  <lekktu@gmail.com>

	* follow.el: Change all instances of "Follow Mode" to "Follow
	mode" in docstrings and messages.
	(follow-menu-filter): Fix arg passed to `bound-and-true-p'.

2007-10-10  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc.el (vc-next-action): Rewrite completely; this principal
	entry point now operates on a current fileset selected either
	explicitly via VC-Dired or implicitly by visiting a file buffer,
	rather than always operating on the file of the current buffer as
	in older versions.  Rewrite the rest of the mode to match.
	(with-vc-properties): Rewrite to operate on a file list.
	(with-vc-file): vc-checkin takes a file list argument now.
	(vc-post-command-functions): This hook now receives a file list.
	(vc-do-command): Take a either a file or a file list as argument.
	(vc-deduce-fileset): New function for deducing a file list to
	operate on.
	(vc-next-action-on-file, vc-next-action-dired): Remove.
	Merge into vc-next-action.
	(vc-register): Adapt to the fact that vc-start-entry now takes a
	file list.
	(vc-register-with): New function.
	(vc-start-entry): Take a file list argument rather than a
	file argument.
	(vc-checkout): Cope with vc-start-entry taking a file list.
	(vc-steal-lock): Cope with with-vc-properties taking a
	file list.
	(vc-checkin): Take a file list argument rather than a file argument.
	(vc-finish-logentry): Use the filelist passed by vc-start-entry.
	(vc-diff-internal): Rewrite for filesets.
	(vc-diff-sentinel): New function, tests whether changes were
	written into a diff buffer.
	(vc-diff): Rewrite for filesets.
	(vc-version-diff): Rewrite for filesets.
	(vc-print-log): Take a fileset argument.
	(vc-revert): Revert the entire selected fileset, not just the
	current buffer.
	(vc-rollback): Roll back the entire selected fileset, if
	possible.  No longer accepts a prefix argument.
	(vc-update): Merge new changes for the entire selected
	fileset, not just the current buffer.
	(vc-revert-file): Cope with with-vc-properties taking a file list.
	(vc-default-dired-state-info): Add + status suffix if the file is
	modified.
	(vc-annotate-warp-version): Use the new diff machinery.
	(vc-log-edit): Take a file list argument rather than a file argument.

2007-10-10  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.1.11.

	* net/tramp.el (tramp-open-connection-setup-interactive-shell):
	Pacify byte compiler.

	* net/trampver.el: Update release number.

2007-10-09  Richard Stallman  <rms@gnu.org>

	* play/gamegrid.el (gamegrid-setup-default-font): Use face-spec-set.

2007-10-09  Juanma Barranquero  <lekktu@gmail.com>

	* follow.el: Require easymenu.
	(follow-mode-hook, follow-mode): Doc fixes.
	(follow-mode-off-hook): Mark as obsolete.

2007-10-08  Martin Rudalics  <rudalics@gmx.at>

	* window.el (mouse-autoselect-window-cancel): Don't cancel for
	select-window or select-frame events.
	(handle-select-window): When autoselecting window set input
	focus.  Restructure.

	* frame.el (focus-follows-mouse): Move to frame.c.
	* cus-start.el (all): Add focus-follows-mouse.

2007-10-08  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs-mode): Make sure global-font-lock-mode doesn't
	activate font-locking in the *buffer-selection* buffer.
	(bs-show-sorted): Doc fix.

	* bs.el (bs--get-marked-string, bs--get-modified-string)
	(bs--get-readonly-string, bs--get-size-string, bs--get-name)
	(bs--get-mode-name, bs-mode): Fix typos in docstrings.
	(bs--format-aux): Doc fix.

2007-10-08  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* progmodes/gud.el (gud-gud-gdb-command-name): Fix typo in docstring.

2007-10-08  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-gud-gdb-command-name): New option.
	(gud-gdb): New function for old M-x gdb (text command mode).
	(gud-gdb-command-name, gdb): Move to...

	* progmodes/gdb-ui.el: ...here and adapt doc string.
	(gud-gdba-command-name, gdba): Delete.

2007-10-08  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el: Don't defvar `font-lock-verbose'.
	(bs-config-clear, bs-kill, bs-string-show-normally, bs-sort-functions)
	(bs--get-file-name): Fix typos in docstrings.
	(bs--show-header): Use `dolist' instead of `mapcar'.
	(bs-mode): Set `show-trailing-whitespace' to nil.
	(bs-buffer-sort-function, bs-mouse-select-other-frame)
	(bs-visits-non-file, bs-sort-buffer-interns-are-last, bs-show):
	Doc fixes.

2007-10-08  Adam Hupp  <adam@hupp.org>  (tiny change)

	* progmodes/gdb-ui.el (pdb): Specify file for gud-break.

2007-10-08  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gdb): Make graphical mode the default and
	switch to text command mode if appropriate, i.e., reverse previous
	arrangement.
	(gud-gdb-marker-filter): Adapt for above change.

	* progmodes/gdb-ui.el (gdb-init-1): Don't set the values
	gud-minor-mode and gud-marker-filter.
	(gdb-fullname-regexp): New variable.
	(gud-gdba-marker-filter): Use it to switch to text command
	mode if appropriate.

2007-10-08  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-display-line): Find source buffer even when
	GUD buffer has its own frame.

2007-10-08  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (icon-map-list): Set to nil for 22.1 compatibility.

2007-10-08  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (x-gtk-stock-map): Version is 22.2.

2007-10-08  Martin Rudalics  <rudalics@gmx.at>

	* allout.el (allout-before-change-handler): Replace got-char by
	goto-char.

2007-10-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-svn.el (vc-svn-resolve-when-done, vc-svn-find-file-hook): New funs.
	Used to try and automatically enabled smerge-mode in the presence of
	conflicts and to call `svn resolved' when the conflicts are gone.
	(vc-svn-parse-status): Remember the svn-specific status.

2007-10-08  Eli Zaretskii  <eliz@gnu.org>

	* menu-bar.el (menu-bar-search-documentation-menu): Rename from
	menu-bar-apropos-menu.  All users changed.
	(menu-bar-help-menu): Change menu symbols to better match the text
	displayed by the menu.

2007-10-08  Dan Nicolaescu  <dann@ics.uci.edu>

	* files.el (file-name-sans-versions): Use [:alnum:] and also allow
	#, @, : and ^.

2007-10-08  Dan Nicolaescu  <dann@ics.uci.edu>

	* pcvs-defs.el (cvs-mode-map): Bind TAB and backtab.

	* log-view.el (log-view-mode-map): Likewise.

	* diff-mode.el (diff-mode-shared-map): Likewise.

2007-10-08  Dan Nicolaescu  <dann@ics.uci.edu>

	* files.el (file-name-sans-versions): Also allow `A-Z'.

	* vc.el: Mention all supported VC backends.

2007-10-08  Richard Stallman  <rms@gnu.org>

	* wid-edit.el (widget-specify-button): Don't merge mouse-face with
	neighbouring buttons.

2007-10-08  Andreas Schwab  <schwab@suse.de>

	* files.el (file-name-sans-versions): Also allow `_'.

2007-10-08  Dan Nicolaescu  <dann@ics.uci.edu>

	* files.el (file-name-sans-versions): Allow - and a-z in version names.

	* log-view.el (log-view-mode-map, log-view-mode-menu):
	Bind log-view-annotate-version.
	(log-view-beginning-of-defun, log-view-end-of-defun)
	(log-view-annotate-version): New functions.
	(log-view-mode): Use log-view-beginning-of-defun and
	log-view-end-of-defun.

2007-10-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/easy-mmode.el (define-minor-mode): Fix staging.

2007-10-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* wid-edit.el (widget-image-insert): Don't merge mouse-face with
	neighbouring buttons.

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Recognize gcc's use of "note" for informational messages.

2007-10-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/css-mode.el (css-electric-keys): electrick->electric.
	(css-mode): Update correspondingly.

2007-10-08  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-git.el (vc-git-log-view-mode): Add font-lock patterns for
	Signed-off-by, Acked-by and Merge.

2007-10-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ediff-init.el (ediff-verbose-p): This var is not a constant.

2007-10-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-mtn.el: New file.

	* vc-hooks.el (vc-handled-backends): Add Mtn.

2007-10-08  Eli Zaretskii  <eliz@gnu.org>

	* files.el (find-file, find-file-other-window)
	(find-file-other-frame, find-file-existing, find-file-read-only)
	(find-file-read-only-other-window)
	(find-file-read-only-other-frame)
	(find-alternate-file-other-window, find-alternate-file): Doc fixes.

2007-10-08  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gdb-ready): New variable.
	(gdb): Set it to nil.  Set gud-running to nil here...
	(gud-common-init): ...instead of here.

	* progmodes/gdb-ui.el (gdba, gdb-send, gdb-source-info):
	Use gdb-ready.  Discard input until GDB is ready to accept it.

2007-10-08  Martin Rudalics  <rudalics@gmx.at>

	* dired.el (dired-warning): Inherit from font-lock-warning-face to
	make it show up with eight colors.

2007-10-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-sanity-check-hunk): Fix up the case when unified
	diffs are concatenated with no intervening line.

2007-10-08  Dave Love  <fx@gnu.org>

	* progmodes/python.el: Merge changes from Dave Love's v2007-Sep-10.
	(python-font-lock-keywords): Update to the 2.5 version of the language.
	(python-quote-syntax): Let-bind font-lock-syntactic-keywords to nil.
	(python-backspace): Only behave funny in code.
	(python-compilation-regexp-alist): Add PDB stack trace regexp.
	(inferior-python-mode): Add PDB prompt regexp.
	(python-fill-paragraph): Refine the fenced-string regexp.
	(python-find-imports): Handle imports spanning several lines.
	(python-mode): Add `class' to hideshow support.

2007-10-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs.el (cvs-mode-add-change-log-entry-other-window):
	Use add-log-buffer-file-name-function rather than binding
	buffer-file-name, so we don't end up calling change-log-mode in *cvs*
	when `fi' is the ChangeLog file itself.

	* outline.el (outline-flag-region): Use front-advance.

2007-10-08  Ilya Zakharevich  <ilyaz@cpan.org>

	* progmodes/cperl-mode.el: Merge upstream 5.23.
	(cperl-where-am-i): Remove function.
	(cperl-backward-to-noncomment): Don't go too far when skipping POD/HEREs
	(cperl-sniff-for-indent): De-invert [string] and [comment].
	When looking for label, skip s:m:y:tr.
	(cperl-indent-line): Likewise.
	(cperl-mode): Don't assume `font-lock-multiline' is auto-local.
	(cperl-windowed-init): Wrong `ps-print' handling.
	Both thanks to Chong Yidong.
	(cperl-look-at-leading-count): Could fail with unfinished RExen.
	(cperl-find-pods-heres): If the second part of s()[] is missing,
	don't try to highlight delimiters...

2007-10-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation-get-file-structure): Complete last
	change by also using spec-directory in the puthash.

2007-10-08  Riccardo Murri  <riccardo.murri@gmail.com>

	* vc-bzr.el (vc-bzr-file-name-relative): Use 'when' instead of 'and'.
	(vc-bzr-status): Fix shadowing of variable 'status'.
	(vc-bzr-workfile-version): Use correct path to 'last-revision' file.
	Use `expand-file-name' instead of `concat'.
	(vc-bzr-annotate-command): Use option name '--long' instead of '-l'.
	Update annotation line regexp.  Fixes launchpad.net [Bug 137435].

2007-10-08  Jason Rumney  <jasonr@gnu.org>

	* frame.el (focus-follows-mouse): Doc-fix. Change default on w32.

2007-10-08  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/lisp-mode.el (lisp-indent-offset): Make defcustom.
	Add `safe-local-variable' property.
	(lisp-body-indent): Likewise.

2007-10-08  Richard Stallman  <rms@gnu.org>

	* files.el (hack-local-variables-confirm): Rename arg VARS to ALL-VARS.
	Add doc string.

2007-10-08  Martin Rudalics  <rudalics@gmx.at>

	* files.el (backup-buffer-copy): Try to overwrite old backup first.

2007-10-08  Martin Rudalics  <rudalics@gmx.at>

	* repeat.el (repeat): Use last-repeatable-command instead of
	real-last-command.  Run pre- and post-command hooks for
	self-insertion.  Update doc-string.

2007-10-08  Alexandre Julliard  <julliard@winehq.org>

	* vc-git.el (vc-git-state): Call git-add --refresh to update the
	state of the file.
	(vc-git-workfile-unchanged-p): Delegate implementation to vc-git-state.
	(vc-git-create-repo): Fix invalid command.

2007-10-08  Richard Stallman  <rms@gnu.org>

	* textmodes/flyspell.el (flyspell-mode):
	Catch errors in flyspell-mode-on.

2007-10-09  Juanma Barranquero  <lekktu@gmail.com>

	* term/x-win.el (x-alternatives-map): Remove spurious parenthesis.

2007-10-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/encoded-kb.el (encoded-kbd-setup-display):
	Use input-decode-map rather than local-key-translation-map.

	* term/rxvt.el (rxvt-alternatives-map): New map.
	(terminal-init-rxvt): Use it.
	Bind rxvt-function-map in input-decode-map.

	* term/xterm.el (xterm-alternatives-map): New map.
	(terminal-init-xterm): Use it.
	Bind xterm-function-map in input-decode-map.

	* term/x-win.el (x-alternatives-map): New var.
	(x-setup-function-keys): Use it.

	* help-fns.el (describe-variable): Slightly change the layout of
	meta-info to separate it better from the docstring.
	Standardize insertion of extra empty lines in various circumstances.

	* diff-mode.el (diff-hunk-style): New fun.
	(diff-end-of-hunk): Use it.
	(diff-context->unified): Use the new `apply' undo element,
	if applicable, so as to save undo-log space.
	(diff-fine-change): New face.
	(diff-fine-highlight-preproc): New function.
	(diff-fine-highlight): New command.
	(diff-mode-map, diff-mode-menu): Add diff-fine-highlight.

	* smerge-mode.el (smerge-refine-chopup-region): Add `preproc' argument.
	(smerge-refine-highlight-change): Add `props' argument.
	(smerge-refine-subst): New function holding most of smerge-refine.
	(smerge-refine): Use it.

2007-10-08  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc.el (vc-default-wash-log): Remove unused code, the
	log washers all live in the backends now.
	(vc-default-comment-history): Correct for the fact
	that wash-log is argumentless in the new API.

2007-10-08  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-find-foreign-file-name-handler): Check also host.
	(tramp-maybe-send-script): Apply `member' but `memq'.
	(tramp-advice-file-expand-wildcards): Simplify implementation.

2007-10-08  Juanma Barranquero  <lekktu@gmail.com>

	* follow.el (follow-mode): Don't run hooks twice.  Use `when'.

	* mb-depth.el (minibuf-depth-indicator-function): New variable.
	(minibuf-depth-setup-minibuffer): Use it.

2007-10-07  Glenn Morris  <rgm@gnu.org>

	* simple.el (bad-packages-alist): Clarify Semantic and CEDET
	version numbers.

2007-10-06  Juri Linkov  <juri@jurta.org>

	* textmodes/fill.el (fill-paragraph-or-region): New function.

	* bindings.el (esc-map): Bind M-q to fill-paragraph-or-region
	instead of fill-paragraph.

	* tutorial.el (tutorial--default-keys): Replace fill-paragraph
	with fill-paragraph-or-region.  Suspend command is now the same
	`suspend-frame' on window systems and on tty.

	* image.el (image-type): Check if image-types is bound to not fail
	on tty.

	* delsel.el (delete-selection-pre-hook):
	* emulation/cua-base.el (cua-paste): Check if mouse-region-match
	is fbound to not fail on mouseless tty.

2007-10-06  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (top): Move loading of tramp-util.el and
	tramp-vc.el to tramp-compat.el.
	(tramp-make-tramp-temp-file): Complete rewrite.  Create remote
	temporary file if possible, in order to avoid a security hole.
	(tramp-do-copy-or-rename-file-out-of-band)
	(tramp-maybe-open-connection): Call `tramp-make-tramp-temp-file'
	with DONT-CREATE, because the connection is not setup yet.
	(tramp-handle-process-file): Rewrite temporary file handling.
	(tramp-completion-mode): New defvar.
	(tramp-completion-mode-p): Use it.

	* net/tramp-compat.el (top): Load tramp-util.el and tramp-vc.el.

	* net/tramp-fish.el (tramp-fish-handle-process-file):
	Rewrite temporary file handling.

2007-10-06  Eric S. Raymond  <esr@snark.thyrsus.com>

	* vc.el: Workfile version -> focus version change.  Port various
	comments from new VC to reduce the noise in the diff.
	Patch in the new vc-create-repo function to go with the
	header comment about it already present.
	There are no changes to existing logic in this patch.
	(vc-revert-buffer1): Rename to vc-revert-buffer-internal.

2007-10-06  Aaron Hawley  <aaronh@garden.org>

	* autoinsert.el (auto-insert-alist): Add a Texinfo entry.

2007-10-05  Chris Moore  <dooglus@gmail.com>

	* server.el (server-kill-new-buffers): Doc fix.

2007-10-05  John W. Eaton  <jwe@octave.org>

	* progmodes/octave-mod.el (octave-abbrev-table): Add "until".
	(octave-begin-keywords): Add "do".
	(octave-end-keywords): Remove "end".
	(octave-reserved-words): Add "end".  Remove "all_va_args",
	"gplot", and 'gsplot".
	(octave-text-functions): Remove "gset", "gshow", "set", and "show".
	(octave-variables): Remove "IMAGEPATH", "INFO_FILE",
	"INFO_PROGRAM", "LOADPATH", "__error_text__", "automatic_replot",
	"default_return_value", "define_all_return_values",
	"do_fortran_indexing", "empty_list_elements_ok",
	"gnuplot_has_multiplot", "implicit_str_to_num_ok",
	"ok_to_lose_imaginary_part", "prefer_column_vectors",
	"prefer_zero_one_indexing", "propagate_empty_matrices",
	"resize_on_range_error", "treat_neg_dim_as_zero",
	"warn_assign_as_truth_value", "warn_comma_in_global_decl",
	"warn_divide_by_zero", "warn_function_name_clash",
	"warn_missing_semicolon", "whitespace_in_literal_matrix".
	Add "DEFAULT_EXEC_PATH", "DEFAULT_LOADPATH", "IMAGE_PATH",
	"crash_dumps_octave_core", "sighup_dumps_octave_core",
	"sigterm_dumps_octave_core".
	(octave-block-match-alist): Remove "end" from block-end keywords.
	(octave-mode): Update ftp site address.

2007-10-05  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el: Reorder functions, no code changes.

2007-10-04  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-make-temp-file): Move to tramp-compat.el.
	(tramp-do-copy-or-rename-file-directly): Handle tmpfile only in
	the cond clauses where needed.
	(tramp-handle-write-region): Rearrange code for proper handling of
	tmpfile.

	* net/tramp-compat.el (tramp-compat-make-temp-file): New defsubst.

	* net/tramp.el:
	* net/tramp-fish.el:
	* net/tramp-ftp.el:
	* net/tramp-smb.el: Rename `tramp-make-temp-file' to
	`tramp-compat-make-temp-file'.

2007-10-04  Juanma Barranquero  <lekktu@gmail.com>

	* image-dired.el (image-dired-image-at-point-p): Fix typo in docstring.

2007-10-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/copyright.el (copyright-update): Don't update if the file
	already uses a more recent copyright version than the "current" one.

2007-10-03  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* doc-view.el (doc-view-dvi->pdf-sentinel, doc-view-reset-slice)
	(doc-view-insert-image): Minor aesthetical docstring changes.

2007-10-03  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view): Don't ignore pdf and dvi files when
	completing filename.
	(doc-view-search-internal): Docstring change.

2007-10-03  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (top): Add tramp-compat to `tramp-unload-hook'.
	(tramp-file-name-handler-alist):
	Add `tramp-handle-insert-file-contents-literally'.  Needed for XEmacs.
	(tramp-make-temp-file): Use `make-temp-name'.  `make-temp-file',
	used before, creates the file already, which is not desired.
	(tramp-do-copy-or-rename-file-directly): Simplify handling of
	temporary file.
	(tramp-handle-insert-file-contents): Assign the result in the
	short track case.
	(tramp-handle-insert-file-contents-literally): New defun.
	(tramp-completion-mode-p): Revert change from 2007-09-24.
	Checking for `return' etc as last character is not sufficient, for
	example in dired-mode when entering <g> (revert-buffer) or
	<s> (dired-sort).

	* net/tramp-compat.el (top): Add also compatibility code for loading
	appropriate timer package.
	(tramp-compat-copy-tree): Check for `subrp' and `symbol-file' in
	order to avoid autoloading problems.

	* net/tramp-fish.el:
	* net/tramp-smb.el: Move further compatibility code to tramp-compat.el.

	* net/tramp-ftp.el (tramp-ftp-file-name-handler): Handle the case
	where the second parameter of `copy-file' or `rename-file' is a
	remote file but not via ftp.

2007-10-02  Richard Stallman  <rms@gnu.org>

	* frame.el (cursor-in-non-selected-windows): Doc fix.

2007-10-01  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* play/zone.el (zone): Let-bind show-trailing-whitespace to nil.
	Suggested by Chris Moore <christopher.ian.moore@gmail.com>.

2007-10-01  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-math.el (math-largest-emacs-expt): Handle the cases
	when `expt' doesn't give range errors.

2007-10-01  Markus Triska  <markus.triska@gmx.at>

	* calc/calc-math.el (math-smallest-emacs-expt):
	Make the computation more robust.

2007-09-30  David Kastrup  <dak@gnu.org>

	* startup.el (argv): Alias for `command-line-args-left' to use as
	`(pop argv)' inside of --eval command sequences.  Allows for
	passing shell commands into Emacs verbatim without need for Lisp
	quoting.

	* autorevert.el (auto-revert-handler): In `auto-revert-tail-mode',
	check only for changed size.
	(auto-revert-tail-handler): Get size from caller.  If the file has
	shrunk, tail the whole file again (the file presumably has been
	rewritten).

	* woman.el (woman-topic-all-completions, woman-mini-help):
	Fix fallout from 2007-09-07 introduction of `dolist' when the list
	actually was being manipulated in the loop.
	(woman-Cyg-to-Win, woman-pre-process-region)
	(woman-horizontal-escapes, woman-if-body, woman-unescape)
	(woman-strings, woman-special-characters, woman1-hc)
	(woman-change-fonts, woman-find-next-control-line):
	Use `match-beginning' rather than `match-string' when the result is
	just used as a flag.

2007-09-30  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-compat.el: New file.

	* net/tramp.el:
	* net/tramp-fish.el:
	* net/tramp-smb.el:
	* net/tramp-uu.el:
	* net/trampver.el: Move compatibility code to tramp-compat.el.
	Apply `mapc' instead of `mapcar' when the code needs side effects
	only.  Move utf-8 coding cookie to the second line.

2007-09-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* term/x-win.el (x-gtk-stock-map): Add Gnus and MH-E icons.
	Improve custom type.
	(icon-map-list): Make it customizable.  Document how to disable
	stock icons.

2007-09-30  Richard Stallman  <rms@gnu.org>

	* play/zone.el (zone-hiding-modeline): Use mode-line-format.

2007-09-29  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (x-gtk-stock-map): Version is 22.2.

2007-09-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* t-mouse.el (gpm-mouse-mode): Rename from t-mouse-mode.  Rewrite.
	(t-mouse-mode): New compatibility alias.

2007-09-28  Dan Nicolaescu  <dann@ics.uci.edu>

	* server.el (server-delete-client): Only delete the terminal if it
	is non-nil.

2007-09-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (with-file-property, with-connection-property):
	Highlight as keyword.
	(tramp-rfn-eshadow-setup-minibuffer)
	(tramp-rfn-eshadow-update-overlay, tramp-handle-set-file-times)
	(tramp-set-file-uid-gid, tramp-do-copy-or-rename-file-via-buffer)
	(tramp-do-copy-or-rename-file-directly)
	(tramp-do-copy-or-rename-file-out-of-band)
	(tramp-handle-shell-command, tramp-get-debug-buffer)
	(tramp-send-command-and-read, tramp-equal-remote)
	(tramp-get-local-gid): Pacify byte-compiler.
	(tramp-handle-file-name-directory): Result shall not be expanded.
	(tramp-find-foreign-file-name-handler): Rewrite.
	(tramp-dissect-file-name): Add optional parameter NODEFAULT.

	* net/tramp-cache.el (tramp-cache-print): Pacify byte-compiler.

	* net/tramp-fish.el (tramp-fish-handle-expand-file-name):
	Apply `tramp-completion-mode-p'.
	(tramp-fish-handle-set-file-times)
	(tramp-fish-handle-executable-find)
	(tramp-fish-handle-process-file, tramp-fish-get-file-entries)
	(tramp-fish-retrieve-data): Pacify byte-compiler.

	* net/tramp-gw.el (tramp-gw-basic-authentication):
	Call `tramp-read-passwd' with first parameter `nil'.

2007-09-28  Glenn Morris  <rgm@gnu.org>

	* mail/supercite.el (sc-attribs-filter-namelist): Use mapc rather
	than mapcar.

	* textmodes/tex-mode.el (tex-suscript-height-ratio)
	(tex-suscript-height-minimum): New customizable variables.
	(tex-suscript-height): New function.
	(superscript, subscript): Set height using tex-suscript-height
	rather than fixing at 0.8.
	(tex-fontify-script, tex-font-script-display): Add :version tag.

2007-09-27  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/python.el (python-eldoc-function): Doc fix.

2007-09-27  Glenn Morris  <rgm@gnu.org>

	* image.el (image-type-auto-detected-p): Doc fix.  Don't detect an
	image if it is not in image-type-auto-detectable, or is there with
	a nil value.

2007-09-27  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-maybe-open-connection): Make test for alive
	connection more robust.

2007-09-26  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/eldoc.el (eldoc-function-argstring-format):
	Deal with the case that special &keywords are at the beginning or
	end of the argument list.  Also add some (incomplete) support for
	non-standard arglists.

2007-09-26  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/eldoc.el (eldoc-message-commands-table-size)
	(eldoc-message-commands, eldoc-current-idle-delay)
	(eldoc-function-argstring-format): Fix typos in docstrings.

2007-09-26  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-units.el (calc-convert-units)
	(calc-convert-temperature): Remove unnecessary colons.

2007-09-26  Bastien Guerry  <bzg@altern.org>

	* textmodes/org-export-latex.el (org-export-latex-tables-verbatim):
	New function.
	(org-export-latex-remove-from-headlines): Name changed because of typo.
	(org-export-latex-quotation-marks-convention): Option removed.
	(org-export-latex-make-preamble): Handle the DATE option.
	(org-export-latex-cleaned-string): Now the only cleaning function,
	synched up with org.el.
	(org-export-latex-lists, org-export-latex-parse-list)
	(org-export-list-to-latex): New functions.

2007-09-26  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-kill-is-subtree-p): Use `org-outline-regexp'.
	(org-outline-regexp): New constant.
	(org-remember-handler): Throw error when the target file is not in
	org-mode.
	(org-cleaned-string-for-export): No longer call
	`org-export-latex-cleaned-string' with an argument.
	(org-get-tags): Returns now a list, not a string.
	(org-get-tags-string): New function.
	(org-archive-subtree): No need to split return of `org-get-tags'.
	(org-set-tags, org-entry-properties): Call `org-get-tags-string'
	instead of `org-get-tags'.
	(org-agenda-format-date): Rename from `org-agenda-date-format'.
	(org-time-from-absolute, org-agenda-format-date-aligned): New funs.
	(org-compatible-face): New argument INHERITS.  Inherit from this
	face if possible.
	(org-level-1, org-level-2, org-level-3, org-level-4)
	(org-level-5, org-level-6, org-level-7, org-level-8)
	(org-special-keyword, org-drawer, org-column, org-warning)
	(org-archived, org-todo, org-done, org-headline-done, org-table)
	(org-formula, org-code, org-agenda-structure)
	(org-scheduled-today, org-scheduled-previously)
	(org-upcoming-deadline, org-time-grid): Call `org-compatible-face'
	in the new way.
	(org-get-heading): New argument NO-TAGS.
	(org-fast-tag-selection-include-todo): Made defvar instead of
	defcustom, feature is not deprecated.
	(org-remember-store-without-prompt): New default value t.
	(org-todo-log-states): New variable.
	(org-set-regexps-and-options): #+TODO is an alias for SEQ_TODO.
	Compute the log states.
	(org-goto-map): More commands copied from global map.  Also bind
	`org-occur'.
	(org-goto): Made into a general lookup command.
	(org-get-location): Complete rewrite.
	(org-goto-exit-command): New variable.
	(org-goto-selected-point): New variable.
	(org-goto-ret, org-goto-left, org-goto-right, org-goto-quit):
	Set the new variables.
	(org-paste-subtree): Whitespace insertion strategy revised.
	(org-remember-apply-template): Protect v-A from the possibility
	that v-a might be nil.
	(org-remember-handler): Insertion rules revised.
	(org-todo): Respect org-todo-log-states.
	(org-up-heading-safe): New function.
	(org-entry-get-with-inheritance): Use `org-up-heading-safe'.

2007-09-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/cc-cmds.el (c-indent-line-or-region): Only indent the
	region if in transient-mark-mode.

2007-09-26  Juanma Barranquero  <lekktu@gmail.com>

	* calc/calc-ext.el (calc-init-extensions, calc-reset):
	* calc/calc-help.el (calc-full-help):
	* calc/calc-misc.el (another-calc):
	* calc/calc-store.el (calc-var-name-map):
	* calc/calc-stuff.el (calc-flush-caches):
	* calc/calc-units.el (math-build-units-table):
	* calc/calc.el (calc-digit-map, calc-dispatch-map, calc-mode)
	(calc-quit):
	* calendar/icalendar.el (icalendar--format-ical-event)
	(icalendar--convert-ical-to-diary):
	* emacs-lisp/authors.el (authors):
	* emacs-lisp/cust-print.el (custom-print-install)
	(custom-print-uninstall):
	* emacs-lisp/disass.el (disassemble-1):
	* emacs-lisp/easy-mmode.el (easy-mmode-define-syntax):
	* emacs-lisp/edebug.el (byte-compile-resolve-functions):
	* emacs-lisp/elint.el (elint-current-buffer, elint-check-defun-form)
	(elint-check-let-form, elint-check-condition-case-form)
	(elint-initialize):
	* emacs-lisp/elp.el (elp-results):
	* emacs-lisp/generic.el (generic-mode-internal):
	* emacs-lisp/re-builder.el (reb-delete-overlays):
	* emacs-lisp/regi.el (regi-interpret):
	* emacs-lisp/sregex.el (sregex--char-aux):
	* emulation/cua-rect.el (cua--deactivate-rectangle)
	(cua--highlight-rectangle, cua--rectangle-post-command):
	* emulation/viper-keym.el (viper-toggle-key, viper-ESC-key):
	* emulation/viper-macs.el (viper-describe-kbd-macros)
	(viper-describe-one-macro):
	* emulation/viper-util.el (viper-setup-master-buffer):
	* emulation/viper.el (set-viper-state-in-major-mode):
	* international/mule-diag.el (describe-current-coding-system):
	* language/ethio-util.el (ethio-fidel-to-sera-buffer):
	* mail/emacsbug.el (report-emacs-bug):
	* net/ange-ftp.el (ange-ftp-call-chmod, ange-ftp-parse-bs2000-listing):
	* obsolete/hilit19.el (hilit-unhighlight-region)
	(hilit-set-mode-patterns):
	* play/solitaire.el (solitaire-check, solitaire-solve):
	* play/zone.el (zone-pgm-rotate):
	* progmodes/ada-mode.el (ada-save-exceptions-to-file):
	* progmodes/ada-prj.el (ada-prj-display-page):
	* progmodes/delphi.el (delphi-search-directory, delphi-find-unit-file)
	(delphi-debug-mode-map, delphi-mode-map, delphi-mode):
	* progmodes/ebrowse.el (ebrowse-tree-mode, ebrowse-view-exit-fn)
	(ebrowse-member-mode, ebrowse-save-tree-as, ebrowse-save-class):
	* progmodes/sh-script.el (sh-make-vars-local)
	(sh-reset-indent-vars-to-global-values):
	* progmodes/sql.el (top):
	* progmodes/vhdl-mode.el (vhdl-set-style, vhdl-regress-line):
	* progmodes/xscheme.el (top):
	* textmodes/artist.el (artist-mt-get-symbol-from-keyword-sub)
	(artist-go-retrieve-from-symbol-sub, artist-go-get-symbol-shift-sub)
	(artist-fc-retrieve-from-symbol-sub, artist-vaporize-line)
	(artist-vaporize-lines, artist-ellipse-compute-fill-info)
	(artist-submit-bug-report):
	* textmodes/flyspell.el (flyspell-delay-commands)
	(flyspell-deplacement-commands):
	* textmodes/table.el (table--generate-source-epilogue, table-insert)
	(table--generate-source-cells-in-a-row, table--make-cell-map)
	(*table--cell-describe-bindings): Use `mapc' rather than `mapcar'.

2007-09-25  Juanma Barranquero  <lekktu@gmail.com>

	* allout.el (produce-allout-mode-map, allout-process-exposed):
	* ansi-color.el (ansi-color-make-color-map):
	* autoinsert.el (auto-insert):
	* bookmark.el (bookmark-bmenu-list, bookmark-show-all-annotations):
	* dired-aux.el (dired-create-files):
	* dired.el (dired-restore-desktop-buffer):
	* ediff-diff.el (ediff-setup-fine-diff-regions):
	* ediff-mult.el (ediff-intersect-directories)
	(ediff-redraw-directory-group-buffer, ediff-dir-diff-copy-file)
	(ediff-redraw-registry-buffer):
	* ediff-ptch.el (ediff-fixup-patch-map):
	* ediff-util.el (ediff-toggle-multiframe, ediff-toggle-use-toolbar)
	(ediff-really-quit, ediff-clear-diff-vector):
	* emerge.el (emerge-really-quit):
	* ffap.el (ffap-replace-file-component):
	* filecache.el (file-cache-add-directory)
	(file-cache-add-directory-recursively)
	(file-cache-add-from-file-cache-buffer, file-cache-delete-file-regexp)
	(file-cache-delete-directory, file-cache-files-matching-internal)
	(file-cache-display):
	* files.el (cd):
	* find-lisp.el (find-lisp-insert-directory):
	* finder.el (finder-compile-keywords):
	* help.el (view-emacs-news):
	* hi-lock.el (hi-lock-write-interactive-patterns):
	* ido.el (ido-to-end, ido-set-matches-1):
	* image-dired.el (image-dired-display-thumbs, image-dired-remove-tag)
	(image-dired-mark-tagged-files):
	* jka-cmpr-hook.el (jka-compr-get-compression-info):
	* printing.el (pr-eval-local-alist, pr-eval-setting-alist):
	* ps-print.el (ps-background, ps-begin-file)
	(ps-build-reference-face-lists):
	* simple.el (clone-buffer):
	* startup.el (command-line):
	* tempo.el (tempo-insert-template, tempo-is-user-element)
	(tempo-forward-mark, tempo-backward-mark):
	* woman.el (woman-dired-define-keys): Use `mapc' rather than `mapcar'.

2007-09-25  Glenn Morris  <rgm@gnu.org>

	* textmodes/tex-mode.el (tex-font-script-display): Doc fix.

	* view.el (view-search-no-match-lines): Add a doc string.
	Rewrite to simplify and work better.

2007-09-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/cc-mode.el (c-mode-base-map):
	Use c-indent-line-or-region instead of c-indent-line.

	* indent.el (indent-for-tab-command): First check if the region is
	active.

2007-09-24  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* whitespace.el (whitespace-tickle-timer): Don't install the timer if
	whitespace-rescan-timer-time is 0.

2007-09-24  Karl Berry  <karl@gnu.org>

	* international/mule.el (coding-system-base): Fix doc string grammar.

2007-09-24  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-completion-mode-p): Rename from
	`tramp-completion-mode'.  Revert logic, check `return', `newline'
	and such alike.  Packages like Icicles tend to use other completion
	characters but `tab' and `space' only.

2007-09-24  Adam Hupp  <adam@hupp.org>

	* progmodes/python.el (run-python): Import emacs module without
	waiting; prevents lockup on error.

2007-09-23  Richard Stallman  <rms@gnu.org>

	* mail/sendmail.el (mail-bury): Delete the frame
	if this frame looks like it was made for this message.

	* completion.el (completion-separator-self-insert-command)
	(completion-separator-self-insert-autofilling):
	If `self-insert-command' has been remapped, use the substitute.

	* simple.el (copy-region-as-kill): Doc fix.

	* textmodes/org.el (org-confirm-shell-link-function)
	(org-confirm-elisp-link-function): Doc fixes.

2007-09-23  Glenn Morris  <rgm@gnu.org>

	* ses.el (ses-calculate-cell): Don't evaluate unsafe formulae.

2007-09-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/w32-win.el (w32-drag-n-drop): Use mapc instead of mapcar.

	* term/tvi970.el (terminal-init-tvi970): Likewise.

	* term/sun-mouse.el (print-mouse-format): Likewise.

	* term/sun.el (scroll-down-in-place, scroll-up-in-place):
	Use forward-line instead of previous-line and next-line.

2007-09-22  Juri Linkov  <juri@jurta.org>

	* textmodes/org.el (org-confirm-shell-link-function): Doc fix.

	* tutorial.el (tutorial--default-keys): Update standard bindings:
	rename `iconify-or-deiconify-frame' to `suspend-frame',
	and `save-buffers-kill-emacs' to `save-buffers-kill-terminal'.

2007-09-22  Juri Linkov  <juri@jurta.org>

	* startup.el (fancy-startup-text, fancy-about-text, fancy-startup-tail):
	Add help-echo to external links and to links without description.
	(fancy-splash-insert): Use help-echo from the 3rd element of the
	link specification list, or "Follow this link" if it's nil.  Doc fix.

2007-09-22  Juri Linkov  <juri@jurta.org>

	* startup.el (command-line): Rename `inhibit-startup-message' to
	`inhibit-startup-screen'.
	(fancy-about-text): Use shorter label for "Ordering Manuals".
	(fancy-startup-tail): Add optional arg `concise'.  When `concise'
	is nil, display a line with "To start..." and 3 links to useful
	tasks.  Display the "Dismiss" button and "Don't show this message
	again" only when concise is non-nil.
	(fancy-startup-screen): Call `fancy-startup-tail' with optional
	arg `concise'.  If CONCISE is non-nil, display a concise version
	of the splash screen in another window.  Otherwise, switch to the
	startup buffer in the same window.
	(startup-echo-area-message): Change displayed binding from
	C-h C-p (describe-project) to C-h C-a (about-emacs), and change
	text "about the GNU system and GNU/Linux" to "about GNU Emacs and
	the GNU system".
	(display-startup-screen): Fix buffer name from "*About GNU Emacs*"
	to "*GNU Emacs*".
	(display-about-screen): Don't check the existence of the buffer
	"*About GNU Emacs*".
	(display-splash-screen): Make alias to `display-startup-screen'.
	(command-line-1): Rename `inhibit-startup-message' to
	`inhibit-startup-screen'.  Inhibit startup screen when Emacs is
	started with command line options "-f", "-funcall", "-e", "-eval",
	"-execute", "-insert", "-find-file", "-file", "-visit".
	Inhibit startup screen when Emacs is started with a file name only
	on tty (i.e. don't inhibit it when started with a file name like
	"emacs FILE..." on a window system).
	(command-line-1): Simplify logic of displaying the startup screen:
	if file-count > 0, then display the concise version in another
	window, otherwise display full version in the same window.

	* help.el (help-map): Bind C-h C-a to about-emacs.
	(help-for-help-internal): Add C-a description to C-h help text.

2007-09-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* emacs-lisp/checkdoc.el (checkdoc-force-docstrings-flag)
	(checkdoc-permit-comma-termination-flag): Autoload the
	safe-local-variable setting.

	* bookmark.el (bookmark-xemacsp): Remove.
	(bookmark-make): Don't use bookmark-xemacsp,
	use (featurep 'xemacs) instead.

	* speedbar.el (speedbar-frame-mode)
	(speedbar-frame-reposition-smartly)
	(speedbar-set-mode-line-format, speedbar-reconfigure-keymaps)
	(speedbar-check-vc): Remove use of non-existent variable
	dframe-xemacsp, use (featurep 'xemacs) instead.

	* indent.el (indent-for-tab-command): Indent the region if
	transient-mark-mode and the region is active.

2007-09-21  Francesco Potort,Al(B  <pot@gnu.org>

	* progmodes/octave-inf.el (inferior-octave-mode): Use add-hook to
	add inferior-octave-directory-tracker to the buffer-local value
	of comint-input-filter-functions.

2007-09-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* xt-mouse.el (xterm-mouse-mode): Re-enable suspend-tty-functions.

2007-09-21  Juanma Barranquero  <lekktu@gmail.com>

	* frame.el (suspend-frame): Call `iconify-or-deiconify-frame' also
	on w32 frames.

2007-09-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* startup.el (normal-top-level): Remove DISPLAY from
	process-environment to let it be computed dynamically in callproc.c.

	* frame.el (frame-initialize, make-frame):
	* faces.el (tty-set-up-initial-frame-faces):
	* env.el (setenv): Don't set display-environment-variable.

	* server.el (server-getenv-from): Remove.  Use getenv-internal instead.
	(server-create-tty-frame): Don't set unused `tty' property.
	Set `display' instead of display-environment-variable.
	(server-create-window-system-frame): No display-environment-variable.

2007-09-21  Michael Albinus  <michael.albinus@gmx.de>

	* rfn-eshadow.el (rfn-eshadow-setup-minibuffer-hook)
	(rfn-eshadow-update-overlay-hook): New defvars.
	(rfn-eshadow-setup-minibuffer, rfn-eshadow-update-overlay):
	Run the hooks.

	* net/tramp.el (tramp-rfn-eshadow-overlay): New defvar.
	(tramp-rfn-eshadow-setup-minibuffer)
	(tramp-rfn-eshadow-update-overlay): New defuns.  Hook into
	rfn-eshadow.el.

	* net/tramp-smb.el (tramp-smb-errors): Add error message for call
	timeout.

2007-09-21  Glenn Morris  <rgm@gnu.org>

	* obsolete/sun-fns.el (emacs-quit-menu): Remove emacstool-related code.
	* term/sun-mouse.el (suspend-emacstool): Remove.
	* term/sun.el: Remove emacstool-related code.

	* emacs-lisp/bytecomp.el (byte-compile-warnings)
	(byte-compile-warnings-safe-p): Add `mapcar'.
	(byte-compile-warning-types): Add mapcar and make-local.
	(byte-compile-normal-call): Add option to suppress mapcar warning.
	(top-level): Use mapc rather than mapcar in eval-when-compile.

	* textmodes/tex-mode.el (tex-validate-region): Handle escaped parens.
	(tex-next-unmatched-eparen, tex-last-unended-eparen): New functions.
	(latex-forward-sexp-1, latex-backward-sexp-1): Doc fix.
	Handle escaped parens.
	(latex-forward-sexp): Doc fix.

	* eshell/esh-mode.el (eshell-output-filter-functions):
	Add eshell-postoutput-scroll-to-bottom.

	* loadup.el: Remove termdev.

	* progmodes/fortran.el (fortran-mode-abbrev-table, fortran-line-length):
	* progmodes/f90.el (f90-mode-abbrev-table): Use mapc rather than mapcar.

2007-09-21  Markus Triska  <markus.triska@gmx.at>

	* emacs-lisp/bytecomp.el (byte-compile-normal-call): Warn when
	`mapcar' is called for effect.

2007-09-21  Kevin Ryde  <user42@zip.com.au>

	* international/mule.el (sgml-html-meta-auto-coding-function):
	Bind `case-fold-search' to t.

2007-09-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* termdev.el: Remove.

	* frame.el (get-device-terminal): New function.  Moved from termdev.el.
	(frames-on-display-list): Use it.

	* bindings.el: Bind C-z to suspend-frame instead of suspend-emacs.

	* termdev.el (terminal-id): Ask terminal-live-p before giving up.

2007-09-20  Richard Stallman  <rms@gnu.org>

	* newcomment.el (comment-add): If EXTRA, double `comment-add' value.

2007-09-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* add-log.el (add-log-current-defun): Fix thinko w.r.t derived-mode-p.

2007-09-20  Glenn Morris  <rgm@gnu.org>

	* textmodes/tex-mode.el (tex-validate-buffer): Use paragraph
	motion functions, rather than hard-coding "\n\n".
	(tex-validate-region): Check for eobp, to speed up.
	(tex-next-unmatched-end): Doc fix.

2007-09-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (auto-mode-alist): Use archive-mode for .rar files.

	* international/mule.el (auto-coding-alist): Rar archives are binary.

	* arc-mode.el: Add basic support for Rar.
	(archive-find-type): Recognize Rar's signature.
	(archive-desummarize): New fun.
	(archive-summarize): Use it to restore the buffer's data in case
	someone wants to switch to some other major mode.
	(archive-resummarize): Use it as well.
	(archive-rar-summarize, archive-rar-extract): New functions.

	* filesets.el: Remove spurious * in docstrings.
	(filesets-running-xemacs): Remove.  Use (featurep 'xemacs) instead.
	(filesets-conditional-sort): Remove unused arg `simply-do-it'.
	(filesets-ingroup-collect): Remove unused arg `depth'.
	(filesets-update): Remove unused arg `version'.

	* finder.el (finder-compile-keywords): Fix up comment style.
	(finder-mouse-face-on-line): previous-line -> forward-line.

	* recentf.el: Remove spurious * in docstrings.
	(recentf-save-list): Fix up comment style.

	* progmodes/octave-mod.el: Remove spurious * in docstrings.
	(octave-mode-map): Move init into declaration and remove \t binding.
	(octave-mode-startup-message): Remove unused var.
	(octave-scan-blocks): Remove unused arg `from'.
	(octave-forward-block, octave-down-block, octave-up-block):
	Update callers.

	* progmodes/meta-mode.el (meta-mode-syntax-table): Move init into decl.
	(meta-mode-map): Likewise and remove \t binding.

	* net/snmp-mode.el: Remove spurious * in docstrings.
	(snmp-rfc1155-types, snmp-rfc1213-types, snmp-rfc1902-types)
	(snmp-rfc1903-types, snmp-rfc1155-access, snmp-rfc1902-access)
	(snmp-rfc1212-status, snmp-rfc1902-status): Remove list wrappers now
	that completion accepts lists of strings.
	(snmp-mode-syntax-table): Move initialization into declaration.
	(snmp-mode-map): Likewise and remove \t binding.
	(snmp-common-mode): Set tab-always-indent according to snmp-t-a-i.
	(snmp-indent-line, snmp-mode-imenu-create-index): Remove unused var.
	(snmp-indent-command): Remove.

	* emacs-lisp/lisp-mode.el (lisp-mode-shared-map): Use the default TAB
	binding, so tab-always-indent works right.

2007-09-19  Johannes Weiner  <hannes@saeurebad.de>

	* net/browse-url.el (browse-url-elinks-new-window): New function.
	(browse-url-elinks): Use browse-url-elinks-new-window.
	Accept optional second argument `new-window'.  Fix typo in doc-string.
	(browse-url-elinks-sentinel): Use browse-url-elinks-new-window.
	Improve error message.

2007-09-19  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* net/browse-url.el (browse-url-url-encode-chars): Use the right
	parameter name in the function body.
	Reported by Johannes Weiner.

2007-09-19  Glenn Morris  <rgm@gnu.org>

	* net/socks.el (socks-open-network-stream): Signal an explicit
	error if the port associated with a service string can't be found.

	* textmodes/tex-mode.el (tex-terminate-paragraph):
	Use backward-paragraph.

2007-09-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* server.el (server-running-p): New function.

2007-09-18  Jason Rumney  <jasonr@gnu.org>

	* term/w32-win.el (w32-focus-frame): Make obsolete alias for
	x-focus-frame.

	* frame.el (select-frame-set-input-focus, select-frame-by-name):
	Use x-focus-frame for w32.

2007-09-17  David Kastrup  <dak@gnu.org>

	* textmodes/tex-mode.el (tex-verbatim-environments):
	Eliminate CL dependency.

2007-09-17  Richard Stallman  <rms@gnu.org>

	* newcomment.el (comment-add): New arg EXTRA.
	(comment-region-default): Pass EXTRA if not indenting lines.

2007-09-17  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* net/browse-url.el (browse-url-url-encode-chars): New function.
	URL-encode some chars in a string.
	(browse-url-encode-url): Rewrite using the previous function.
	(browse-url-file-url): Use `browse-url-url-encode-chars'.
	(browse-url-elinks-sentinel): Fix typo.
	(browse-url-new-window-flag): Doc change.

2007-09-17  Glenn Morris  <rgm@gnu.org>

	* textmodes/tex-mode.el (tex-compilation-parse-errors): Prefer the
	filename from `--file-line-error', if it is available.

2007-09-17  Joe Wells  <jbw@macs.hw.ac.uk>  (tiny change)

	* textmodes/tex-mode.el (tex-compilation-parse-errors): Also match
	TeX `--file-line-error' format.

2007-09-17  Dan Nicolaescu  <dann@ics.uci.edu>

	* xt-mouse.el: Delete add-hook calls that were moved to
	xterm-mouse-mode.
	(xterm-mouse-mode): Disable resume-tty-functions, explain why it
	does not work.

2007-09-17  Richard Stallman  <rms@gnu.org>

	* cus-face.el (custom-theme-set-faces): Undo previous change.

	* faces.el (face-spec-set): When FRAME nil, look up each frame in SPEC.

2007-09-17  Glenn Morris  <rgm@gnu.org>

	* textmodes/tex-mode.el (tex-region): Simplify previous change,
	handling the case where the region is not in `tex-main-file'.
	(tex-region-1): Delete.
	(tex-region-header): New function, doing the header part of the
	old tex-region-1.

2007-09-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (newline): Simplify use of prefix-numeric-value.
	(line-move-partial): Remove unused var `ppos'.
	(line-move-1): Replace 9999 with most-positive-fixnum.
	(move-end-of-line): Use more efficient single-property search.
	(move-beginning-of-line): Remove unused var `start'.
	(blink-matching-open): Restructure in a more functional style.

2007-09-16  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* calendar/holidays.el (list-holidays): Remove the cyclic alias.

2007-09-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* server.el (server-clients): Only keep procs, no properties any more.
	(server-client): Remove.
	(server-client-get, server-client-set): Remove, replace all callers by
	process-get and process-put resp.
	(server-clients-with, server-add-client, server-delete-client)
	(server-create-tty-frame, server-create-window-system-frame)
	(server-process-filter, server-execute, server-visit-files)
	(server-buffer-done, server-kill-buffer-query-function)
	(server-kill-emacs-query-function, server-switch-buffer)
	(server-save-buffers-kill-terminal): Update accordingly.

	* server.el (server-with-environment): Simplify.
	(server-select-display, server-unselect-display): Re-add functions that
	seem to have been lost in the multi-tty merge.
	(server-eval-and-print, server-create-tty-frame)
	(server-create-window-system-frame, server-goto-toplevel)
	(server-execute, server-return-error): New functions extracted from
	server-process-filter.
	(server-execute-continuation): New functions.
	(server-process-filter): Restructure so that all arguments are analysed
	first and then acted upon in a subsequent stage.  This way
	server-goto-toplevel can be executed later, when we know if
	it's necessary.
	Remove the "-version" and "-version-good" support.

2007-09-16  Drew Adams  <drew.adams@oracle.com>

	* cus-edit.el (custom-face-edit-activate): Doc fix.

2007-09-16  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-menu.el, calendar/calendar.el, calendar/diary-lib.el:
	Following cal-bahai renaming, update all instances of
	list-bahai-diary-entries to diary-bahai-list-entries,
	mark-bahai-diary-entries to diary-bahai-mark-entries,
	calendar-goto-bahai-date to calendar-bahai-goto-date,
	insert-bahai-diary-entry to diary-bahai-insert-entry,
	insert-monthly-bahai-diary-entry to diary-bahai-insert-monthly-entry,
	insert-yearly-bahai-diary-entry to diary-bahai-insert-yearly-entry, and
	calendar-print-bahai-date to calendar-bahai-print-date.

	* textmodes/tex-mode.el (tex-region): Handle the case where the
	region is not in `tex-main-file'.  Move the old code that applies
	to both cases...
	(tex-region-1): ...to this new function.

2007-09-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-process-sentinel): New function.
	(vc-exec-after): Use it instead of using ugly hackish analysis and
	construction of Elisp code.
	(vc-sentinel-movepoint): New dynamically scoped var.
	(vc-print-log, vc-annotate): Set it to move the user's point.

	* vc-cvs.el (vc-cvs-annotate-time): Use inhibit-read-only and
	inhibit-modification-hooks.

	* calendar/cal-bahai.el (mark-bahai-diary-entries): Fix up typo.
	(calendar-bahai-print-date, calendar-bahai-goto-date)
	(diary-bahai-list-entries, diary-bahai-insert-entry):
	New names to clean up the namespace a bit more.
	(calendar-goto-bahai-date, calendar-print-bahai-date): Compat aliases.

2007-09-15  Glenn Morris  <rgm@gnu.org>

	* calendar/holidays.el (holiday-list): Rename it back to
	`list-holidays', but leave `holiday-list' as an alias.

	* textmodes/bibtex-style.el (bibtex-style-indent-basic): Specify a
	custom group.

	* textmodes/css-mode.el (css): New custom group.
	(css-electrick-keys, css-selector, css-property)
	(css-indent-offset): Specify custom group.

2007-09-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs.el (cvs-tags-list, cvs-retrieve-revision, cvs-find-modif)
	(cvs-execute-single-file): Use process-file.
	(cvs-run-process): Use start-file-process.

2007-09-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* xt-mouse.el (xterm-mouse-mode): Add hooks here not at the top
	level.  Remove the hooks when turning off the mode.

	* term/xterm.el: Require xt-mouse at compile time.
	(terminal-init-xterm): Turn on xterm mouse tracking for this
	terminal if xterm-mouse-mode is enabled.

2007-09-14  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (xterm-function-map): Replace bindings that were
	deleted by the merge.

2007-09-14  Ulf Jasper  <ulf.jasper@web.de>

	* play/bubbles.el (bubbles-version): Bump value to "0.5".
	(bubbles-mode-map): Move define-key statements here.
	(bubbles-game-theme-menu): Ditto.
	(bubbles-graphics-theme-menu): Ditto.
	(bubbles-menu): Ditto.
	(bubbles-mode): Initialize buffer-undo-list, redisplay.
	(bubbles--initialize): Reset buffer-undo-list, redisplay.
	(bubbles-plop): Set buffer-undo-list, redisplay.
	(bubbles-undo): Reset buffer-undo-list, redisplay.
	(bubbles--show-images): Take care of missing text properties.

2007-09-14  Glenn Morris  <rgm@gnu.org>

	* startup.el (fancy-startup-text, fancy-about-text): Fix face
	quoting.

	* calendar/cal-hebrew.el, calendar/cal-menu.el
	* calendar/calendar.el, calendar/diary-lib.el
	* calendar/holidays.el: Rename all instances of
	list-calendar-holidays callers to calendar-list-holidays,
	list-holidays to holiday-list, check-calendar-holidays to
	calendar-check-holidays, mark-calendar-holidays to
	calendar-mark-holidays, and filter-visible-calendar-holidays to
	holiday-filter-visible-calendar.

2007-09-14  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (xterm-function-map): Add C-M- bindings.

2007-09-13  Sascha Wilde  <wilde@sha-bang.de>  (tiny change)

	* play/bubbles.el (bubbles--initialize-images): Fix bug:
	Use transparent background for empty cells in graphics mode.

2007-09-13  Jari Aalto  <jari.aalto@cante.net>

	* man.el (Man-default-man-entry): At end of line, continue looking
	to the next line for possible end of hyphenated command.

2007-09-13  Chris Moore  <dooglus@gmail.com>

	* shell.el (shell-resync-dirs): Don't move the cursor relative to
	the command being edited.

2007-09-12  Jim Meyering  <jim@meyering.net>  (tiny change)

	* emacs-lisp/copyright.el (copyright-names-regexp): Doc fix: typo.

2007-09-12  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (xterm-function-map): Add bindings for M-S- and
	C-M-S- keys.

	* term/rxvt.el (rxvt-function-map): Initialize in the declaration.

2007-09-12  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* net/browse-url.el (browse-url-encode-url): Fix an infinite loop.
	New argument `filename-p' to use one set of confusing chars or another.
	(browse-url-file-url): Use the argument.
	Suggested by Johannes Weiner.

2007-09-12  Romain Francoise  <romain@orebokech.com>

	* cus-start.el (all): Revert 2007-09-08 change.

2007-09-12  Aaron Hawley  <aaronh@garden.org>

	* jka-cmpr-hook.el (jka-compr-compression-info-list): Use gzip to
	extract .Z files, since it is more common than uncompress.

2007-09-12  Glenn Morris  <rgm@gnu.org>

	* textmodes/org-publish.el (org-publish-org-to-html): Remove
	duplicate function definition.

2007-09-10  Chris Moore  <dooglus@gmail.com>

	* diff-mode.el (diff-sanity-check-hunk):
	Also accept single-line hunks.

2007-09-10  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (startup-screen-inhibit-startup-screen)
	(pure-space-overflow-message): New vars.
	(fancy-splash-insert): Allow functions for face and link specs.
	(fancy-splash-head): Remove unused arg.  Move splash text...
	(fancy-startup-text, fancy-about-text): ...here.
	(fancy-startup-tail): Rename from fancy-splash-tail.
	(fancy-startup-screen, fancy-about-screen): Split off from
	fancy-splash-screens.
	(display-startup-screen): New function.
	(display-about-screen): Rename from display-splash-screen.
	(command-line-1): Use concise startup screen if necessary.

2007-09-10  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* net/browse-url.el (browse-url-encode-url): Use copy-sequence.
	Reported by Jan Dj,Ad(Brv <jan.h.d@swipnet.se>.

2007-09-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el: Merge changes from Dave Love's v2007-Sep-10.
	(python-font-lock-keywords): Update to the 2.5 version of the language.
	(python-quote-syntax): Let-bind font-lock-syntactic-keywords to nil.
	(python-backspace): Only behave funny in code.
	(python-compilation-regexp-alist): Add PDB stack trace regexp.
	(inferior-python-mode): Add PDB prompt regexp.
	(python-fill-paragraph): Refine the fenced-string regexp.
	(python-find-imports): Handle imports spanning several lines.
	(python-mode): Add `class' to hideshow support.

2007-09-10  Dave Love  <fx@gnu.org>

	* outline.el (outline-4, outline-5, outline-7):
	Move font-lock-builtin-face down from 4 to 7 to better keep the
	progression of color brightness, and to better match Org-mode's faces.

2007-09-10  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* progmodes/meta-mode.el (meta-font-lock-keywords)
	(font-lock-match-meta-declaration-item-and-skip-to-next)
	(meta-comment-indent, meta-indent-previous-line)
	(meta-indent-unfinished-line, meta-beginning-of-defun)
	(meta-end-of-defun, meta-common-initialization): Handle \f.
	(meta-indent-unfinished-line): Do not handle a `%' in a string as
	a comment-start.

	* files.el (file-modes-char-to-who, file-modes-char-to-right)
	(file-modes-rights-to-number): Auxiliary functions for symbolic to
	numeric notation of file modes.
	(file-modes-symbolic-to-number): New.  Convert symbolic modes to its
	numeric value.
	(read-file-modes): New.  Read either an octal value of a file mode or a
	symbolic value, and return its numeric value.

	* dired-aux.el (dired-do-chmod): Change to use the built-in
	`set-file-modes' and the previous symbolic mode parsing functions.

2007-09-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/texinfo.el: Remove spurious * in docstrings.
	(texinfo-mode-syntax-table, texinfo-mode-map):
	Initialize in the declaration.

	* tmm.el: Remove spurious * in docstrings.
	(tmm-prompt): Use with-current-buffer.

	* vcursor.el: Remove spurious * in docstrings.
	(vcursor-map): Initialize in the declaration.
	(vcursor-use-vcursor-map): Use define-minor-mode.
	(vcursor-toggle-vcursor-map): Keep as an obsolete alias.

	* wid-browse.el (widget-browse-mode-map, widget-minor-mode-map):
	Initialize in the declaration.
	(widget-minor-mode): Use define-minor-mode.

	* woman.el (woman-mode-map, woman-syntax-table):
	Initialize in the declaration.

2007-09-09  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el: New file.

2007-09-09  Juri Linkov  <juri@jurta.org>

	* Makefile.in (update-authors): Add etc/ to AUTHORS.

	* makefile.w32-in (update-authors): Add etc/ to AUTHORS.

	* startup.el (initial-buffer-choice): Rename choice "Splash screen"
	to "Startup screen".  Fix docstring.
	(inhibit-startup-screen): Rename from `inhibit-splash-screen'.
	(inhibit-splash-screen): Make alias to `inhibit-startup-screen'.
	(inhibit-startup-message): Change alias to `inhibit-startup-screen'.
	(initial-scratch-message): Fix docstring.
	(fancy-startup-text): Move link to Emacs Manual below Emacs Guided
	Tour (which is a kind of tutorial and will be next to Emacs Tutorial).
	Add link to "Customize Startup" and set interval between links to
	5 spaces.
	(fancy-about-text): Add links "Authors" and "Contributing".
	(fancy-splash-head): Add text "Welcome to " on the startup screen,
	and "This is " on the about screen.  Add link to
	"http://www.gnu.org/software/emacs/" for "GNU Emacs".
	For the about screen move emacs version to the header from
	`fancy-splash-tail' (as it's done already for normal about screen).
	(fancy-splash-tail): Insert emacs version only for startup screen.
	(normal-splash-screen): Remove duplicate empty lines.
	(normal-about-screen): Add links "Authors" and "Contributing".

	* menu-bar.el (menu-bar-help-menu):
	Move "About Emacs" and "About GNU" to the end of the Help menu.
	Move "Emacs Psychotherapist" after "Send Bug Report...".
	Move "External Packages" after "Find Emacs Packages".

2007-09-09  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (top): Remove declarations of `tramp-gw-*' symbols,
	they are useless with the byte compiler.
	(tramp-make-temp-file, tramp-make-tramp-temp-file): Move up.
	(tramp-do-copy-or-rename-file-directly): Rearrange let-bindings.
	(tramp-compute-multi-hops): Mask `tramp-gw-*' symbols.
	(tramp-file-name-real-host, tramp-file-name-port)
	(tramp-find-method, tramp-find-user, tramp-find-host): Make them
	defuns.

	* net/tramp-cache.el (top): Improve error message when
	`tramp-persistency-file-name' is corrupted.

2007-09-09  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-re): Also replace the :alpha: class.
	(org-todo-tag-alist): Variable removed.
	(org-todo-key-alist, org-todo-key-trigger): New variables.
	(org-use-fast-todo-selection): New option.
	(org-log-done): Docstring fixed.
	(org-deadline-warning-days): New default value 14.
	(org-edit-timestamp-down-means-later): New option.
	(org-tag-alist): Docstring fixed.
	(org-fast-tag-selection-include-todo): New option.
	(org-export-language-setup): New languages added.
	(org-set-regexps-and-options): Compute the new variables.
	(org-paste-subtree): Cleaning up.
	(org-remember-apply-template): New escape %A.
	(org-todo): Call fast TODO selection.
	(org-fast-todo-selection): New function.
	(org-add-log-note): Allow prefix for abort exit.
	(org-at-property-p, org-entry-properties)
	(org-columns-get-autowidth-alist): Use :alpha: class.
	(org-get-wdays): New function.
	(org-agenda-remove-date): New variable.
	(org-agenda-get-deadlines): Use `org-get-wdays'.
	(org-agenda-get-deadlines): Reverse ee before returning.
	(org-format-agenda-item): New argument REMOVE-RE.
	(org-agenda-convert-date): Baha'i calendar added.
	(org-infile-export-plist): Also find DATE line.
	(org-get-min-level): New function.
	(org-export-as-html, org-export-as-ascii): Use the date format.
	(org-shiftup, org-shiftdown): Use.
	`org-edit-timestamp-down-means-later'.
	(org-assign-fast-keys): New function.

2007-09-08  Fredrik Axelsson  <f.axelsson@gmail.com>

	* cus-start.el (all): Add prefer-window-split-horizontally from
	window.c.

2007-09-08  Eli Zaretskii  <eliz@gnu.org>

	* net/browse-url.el (browse-url-galeon): Fix last change.
	(top-level): Require cl when compiling.

2007-09-08  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org-export-latex.el: arch-tag restored.

	* textmodes/org-publish.el: arch-tag restored.

2007-09-08  Masatake YAMATO  <jet@gyve.org>

	* progmodes/which-func.el (which-func-modes): Add diff-mode.

	* progmodes/cc-langs.el: Support new keywords added to
	objective-c frontend of gcc.
	(c-simple-stmt-kwds): Add @throw.
	(c-block-stmt-2-kwds): Add @synchronized.
	(c-block-stmt-1-kwds): Add @finally and @try.

2007-09-07  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-edit-timestamp-down-means-later): New option.
	(org-agenda-after-show-hook): New variable.
	(org-columns-compile-format)
	(org-columns-get-autowidth-alist, org-buffer-property-keys)
	(org-entry-properties, org-at-property-p): Allow [:alnum:] in
	property names.
	(org-get-wdays): New function.

2007-09-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (normal-erase-is-backspace-setup-frame): Massage.

	* term/xterm.el (xterm-function-map): Initialize in the declaration.

	* vc-arch.el (vc-arch-checkin): Fix typo.

2007-09-07  Johan Bockg,Ae(Brd  <bojohan@gnu.org>

	* cus-face.el (custom-theme-set-faces): Set face attributes
	locally for each frame.

2007-09-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/fortran.el (fortran-mode): Set font-lock-syntactic-keywords
	via font-lock-defaults.

	* emacs-lisp/bytecomp.el (byte-compile-log-file): Check major-mode via
	derived-mode-p.

2007-09-07  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* progmodes/autoconf.el (autoconf-definition-regexp):
	Handle optional square brackets around definition name.

2007-09-07  Johannes Weiner  <hannes@saeurebad.de>

	* net/browse-url.el (browse-url-browser-function): Add elinks.
	(browse-url-elinks-wrapper): New option.
	(browse-url-encode-url, browse-url-elinks)
	(browse-url-elinks-sentinel): New functions.
	(browse-url-file-url, browse-url-netscape, browse-url-mozilla)
	(browse-url-firefox, browse-url-galeon, browse-url-epiphany):
	Use new function browse-url-encode-url.

2007-09-07  Glenn Morris  <rgm@gnu.org>

	* version.el (emacs-version): Revert 2007-08-29 change: no need to
	say if multi-tty is present.

2007-09-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* cus-start.el (split-window-preferred-function): Add custom info.

	* calendar/holidays.el (holiday-list, calendar-check-holidays)
	(calendar-mark-holidays, calendar-list-holidays)
	(holiday-filter-visible-calendar): New names to clean up namespace.
	(filter-visible-calendar-holidays, list-calendar-holidays)
	(mark-calendar-holidays, check-calendar-holidays, list-holidays):
	Add compatibility aliases.
	(calendar-check-holidays, calendar-mark-holidays)
	(calendar-holiday-list, holiday-filter-visible-calendar): Use dolist.
	(holiday-sexp): Replace append with list.
	(holiday-filter-visible-calendar): Replace append with push.

	* woman.el: Remove spurious * in docstrings.
	(woman-mini-help, woman-non-underline-faces, woman0-rename)
	(woman-topic-all-completions-merge, woman-file-name-all-completions)
	(woman-select-symbol-fonts, woman-expand-directory-path): Use dolist.
	(woman-write-directory-cache, woman-display-extended-fonts)
	(WoMan-log-begin, WoMan-log-1): Use with-current-buffer.
	(woman-really-find-file): Use pop-to-buffer if switch-to-buffer fails.
	(woman-mode): Use inhibit-read-only.
	(woman-negative-vertical-space): Use dotimes.
	(woman2-tagged-paragraph, woman-tab-to-tab-stop): Use insert-char.

2007-09-06  Romain Francoise  <romain@orebokech.com>

	* vc-bzr.el (vc-bzr-admin-lastrev): New defconst.
	(vc-bzr-workfile-version): Use it.

2007-09-06  Sean O'Rourke  <sorourke@cs.ucsd.edu>

	* complete.el (PC-do-completion): Don't try to treat
	empty string as an abbreviation.

2007-09-06  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* help-fns.el (describe-variable): Keep doc's text properties.

2007-09-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-default-diff-tree): Pass a list to the diff vc command
	instead of a file.

2007-09-06  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/checkdoc.el (checkdoc-minor-mode-string): New.
	(checkdoc-minor-mode): Allow user to specify lighter via
	checkdoc-minor-mode-string.

2007-09-05  Richard Stallman  <rms@gnu.org>

	* startup.el (fancy-startup-text): Rename from fancy-splash-text.
	Several items removed, simplified, or put on one line.
	(fancy-about-text): Add substantial contents, part of startup text.
	(fancy-splash-head): Make "GNU" or "GNU/Linux" a link.
	(normal-splash-screen): Call normal-mouse-startup-screen,
	normal-no-mouse-startup-screen, or normal-about-screen.
	(normal-mouse-startup-screen): New fn, broken out, shortened.
	(normal-no-mouse-startup-screen): New fn, broken out.
	(normal-about-screen): New function, contents all new.

2007-09-05  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* emacs-lisp/rx.el (rx): Fix typo in docstring.

2007-09-05  Glenn Morris  <rgm@gnu.org>

	* cus-edit.el (custom-buffer-create-internal): Check tool-bar-mode
	is bound.

2007-09-05  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* emacs-lisp/advice.el (ad-make-advised-docstring): Highlight note
	in doc string.

2007-09-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* server.el (server-start, server-unload-hook): Undo previous change.

	* xt-mouse.el: Undo previous change.

2007-09-04  Juri Linkov  <juri@jurta.org>

	* startup.el (fancy-about-text): New variable.
	(fancy-splash-delay, fancy-splash-max-time): Remove user options.
	(fancy-current-text, fancy-splash-stop-time)
	(fancy-splash-outer-buffer): Remove variables.
	(fancy-splash-head, fancy-splash-tail): Add new optional argument
	`startup' and use it to conditionally display different texts for
	Startup and About screens.  Don't display Help commands on the About
	screen.
	(fancy-splash-screens-1): Remove function and move its content to
	`fancy-splash-screens' to the part that dislpays the About screen.
	(exit-splash-screen): Don't treat specially exiting from
	alternating screens.
	(fancy-splash-screens): Rename argument `static' to `startup'.
	Fix docstring.  Remove code for displaying alternating screens.
	Use arg `startup' in calls to `fancy-splash-head', `fancy-splash-tail'.
	Remove let-bind for `fancy-splash-outer-buffer' and add let-bind
	for `inhibit-read-only'.
	(normal-splash-screen): Rename argument `static' to `startup'.
	Fix docstring.  Use argument `startup' to conditionally display
	different texts for Startup and About screens.  Don't display Help
	commands on the About screen.  Remove `unwind-protect' `sit-for'
	delay and `kill-buffer' after it.
	(display-startup-echo-area-message): Remove call to
	`use-fancy-splash-screens-p' because image.el is preloaded and
	doesn't display "Loading image... done".
	(display-splash-screen): Rename argument `static' to `startup'.
	Fix docstring.

2007-09-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* server.el (server-start, server-unload-hook):
	suspend-tty-functions has been renamed to suspend-tty-hook.

	* xt-mouse.el: Likewise. resume-tty-functions has been renamed to
	resume-tty-hook.

2007-09-03  Emanuele Giaquinta  <e.giaquinta@glauco.it>  (tiny change)

	* loadup.el: Fix merge problem, only load "button" once.

2007-09-03  Glenn Morris  <rgm@gnu.org>

	* vc-svn.el (vc-svn-print-log): If there is only one file, use
	"Working file:" as the prefix, for the sake of
	log-view-current-file.

2007-09-02  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (xterm-modify-other-keys-terminal-list): New variable.
	(xterm-turn-on-modify-other-keys): Only turn on modify-other-keys
	if the selected frames is in
	xterm-modify-other-keys-terminal-list.
	(xterm-turn-off-modify-other-keys): Add an optional frame
	parameter.  Only turn off modify-other-keys if FRAME is in
	xterm-modify-other-keys-terminal-list.
	(xterm-remove-modify-other-keys): New function.
	(terminal-init-xterm): Use it.  Deal with delete-frame hook.
	Add the selected frame to xterm-modify-other-keys-terminal-list.

2007-09-02  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (x-gtk-stock-map): Map diropen to system-file-manager.
	(icon-map-list): New variable.
	(x-gtk-map-stock): Use icon-map-list.

2007-09-02  Romain Francoise  <romain@orebokech.com>

	* log-view.el (log-view-current-file): Balance parens.

2007-09-02  Glenn Morris  <rgm@gnu.org>

	* comint.el (comint-mode): Don't set scroll-conservatively.

	* eshell/em-unix.el (eshell/time): Stringify and flatten the
	non-command arguments.

	* log-view.el (log-view-current-file): Give a more explicit error
	if log-view-file-re fails to find a match.

2007-09-01  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* emacs-lisp/bytecomp.el (byte-recompile-directory):
	Fix bug: Don't expand top-level file name more than once.
	Reported by Dmitry Antipov <dmantipov@yandex.ru>.

2007-09-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* server.el (server-process-filter): Don't display the splash screen.
	It's annoying enough on the initial screen and becomes positively
	obnoxious here.

2007-08-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/avl-tree.el: Use defstruct rather than macros.
	Change naming to use "avl-tree--" for internal functions.

2007-08-31  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/x-win.el (x-menu-bar-open): Delete duplicated function from
	the merge.
	(global-set-key): Delete f10 mapping, now done in menu-bar.el.
	(provide): Move to the end of file.

	* vc-svn.el (vc-svn-diff-tree): Pass a list to vc-svn-diff.

2007-08-31  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* textmodes/flyspell.el (flyspell-mark-duplications-exceptions):
	New variable.  List of exceptions for the duplicated word rule.
	(flyspell-mark-duplications-flag): Mention it.
	(flyspell-word): Treat it.

	* files.el (create-file-buffer): If the filename sans directory starts
	with spaces, remove them.

2007-08-31  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (x-gtk-stock-map): Add etc/images to keys.
	(x-gtk-map-stock): Use two directory elements when matching
	file name.

2007-08-31  James Wright  <james@chumsley.org>

	* eshell/em-unix.el (eshell/info): New function.

2007-08-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* frame.el (frame-initialize, make-frame):
	* server.el (server-process-filter):
	* faces.el (tty-set-up-initial-frame-faces): Don't set
	term-environment-variable since it's not used any more.

	* env.el (setenv): Don't treat $TERM specially.

	* startup.el (normal-top-level): Set $TERM to `dumb' so that unless
	stated otherwise, subprocesses do not send back escape sequences
	corresponding to the terminal from which Emacs was started.

2007-08-31  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* calculator.el: Require cl for compilation.

2007-08-30  Daniel Pfeiffer  <occitan@esperanto.org>

	* outline.el (outline-font-lock-levels): Comment out unused var.
	(outline-font-lock-face): Wrap around face list to handle any
	nesting depth gracefully.

2007-08-30  Michael Albinus  <michael.albinus@gmx.de>

	* net/ange-ftp.el: Add ange-ftp property to `set-file-modes' and
	`set-file-times'.

2007-08-30  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-export-visible): Fix drawers before export.
	(org-do-sort): Allow sorting by priority.
	(org-agenda-files): Ignore non-existing files.
	(org-agenda-skip-unavailable-files): New variable.
	(org-ellipsis): All a face as value.
	(org-mode): Interprete the face value of `org-ellipsis'.
	(org-archive-save-context-info): New option.
	(org-archive-subtree): Store context info in archived entry.
	(org-fast-tag-selection-can-set-todo-state): New variable.
	(org-fast-tag-selection): Allow setting TODO states through this
	interface.
	(org-cycle): Docstring updated.
	(org-todo-keyword-faces): New option.
	(org-get-todo-face): New function.
	(org-set-font-lock-defaults, org-agenda-highlight-todo):
	Use `org-get-todo-face'.
	(org-switch-to-buffer-other-window): New function.
	(org-table-edit-field, org-table-show-reference)
	(org-table-edit-formulas, org-add-log-note)
	(org-fast-tag-selection, org-agenda, org-prepare-agenda)
	(org-timeline): Use `org-switch-to-buffer-other-window' instead of
	`switch-to-buffer-other-window' to make sure that the temporary
	windows show up on the current frame.
	(org-mhe-get-message-real-folder, org-batch-store-agenda-views)
	(org-get-entries-from-diary, org-replace-region-by-html):
	Don't allow pop-up frames.
	(org-agenda-get-deadlines, org-agenda-get-scheduled):
	Fix problems with time-of-day.
	(org-export-get-title-from-subtree): New function.
	(org-agenda-get-scheduled, org-agenda-get-deadlines): Fix problems
	with listing items that are DONE.
	(org-change-tag-in-region): New command.
	(org-agenda-skip-scheduled-if-done)
	(org-agenda-skip-deadline-if-done): Docstring clarified.
	(org-mode): Hide drawers on startup.
	(org-get-todo-face): New function.
	(org-todo-keyword-faces): New option.
	(org-set-regexps-and-options): Use `org-remove-keyword-keys'.
	(org-remove-keyword-keys): New function.

2007-08-30  Jari Aalto  <jari.aalto@cante.net>  (tiny change)

	* progmodes/grep.el (grep-find-ignored-directories):
	Add monotone _MTN bookkeeping directory in workspaces.
	Add RCS control directory.  List items in alphabetical order.

	* progmodes/grep.el (grep-files-aliases): Add cc alias.
	Sort items in alphabetical order.  Fix parens.

2007-08-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-extra-menu-map): New variable.
	(vc-hg-extra-menu, vc-hg-outgoing, vc-hg-incoming, vc-hg-push)
	(vc-hg-pull): New functions.
	(vc-hg-outgoing-mode, vc-hg-incoming-mode): New derived modes.

	* term/mac-win.el: Don't require url, only autoloaded url
	functions are used in this file.

2007-08-29  Andreas Schwab  <schwab@suse.de>

	* shell.el (shell): Return correct value from interactive spec.

2007-08-29  Glenn Morris  <rgm@gnu.org>

	* version.el (emacs-version): Increase to 23.0.50.

2007-08-29  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (x-gtk-stock-map): :version changed to 23.1.

2007-08-29  Juri Linkov  <juri@jurta.org>

	* loadup.el: Add "button" loading after "faces" and move "startup"
	to load after "button".

2007-08-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* loadup.el: Load term/mac-win on a Mac using Carbon.

	* term/mac-win.el: Provide mac-win.
	(mac-initialized): New variable.
	(mac-initialize-window-system): New function.  Move global setup here.
	(handle-args-function-alist, frame-creation-function-alist):
	(window-system-initialization-alist): Add mac entries.
	(x-setup-function-keys): New function containing all the
	top level function key definitions.

	* term/x-win.el (x-menu-bar-open): Use accelerate-menu.

	* env.el (read-envvar-name): Don't consider the environment frame param.

	* env.el (setenv):
	* frame.el (frame-initialize, make-frame):
	* faces.el (tty-set-up-initial-frame-faces):
	* server.el (server-process-filter): Set
	display-environment-variable and term-environment-variable.

	* server.el (server-process-filter): Set COLORFGBG and COLORTERM.

2007-08-29  Jason Rumney  <jasonr@gnu.org>

	* loadup.el: Only load term/x-win when X is compiled in.
	Load term/w32-win and dependencies on windows-nt.

	* term/w32-win.el: Reorder to match x-win.el more closely.
	Provide w32-win.  Don't throw error when global window-system not w32.
	(internal-face-interactive): Remove obsolete function.
	(x-setup-function-keys): Use local-function-key-map.
	(w32-initialized): New variable.
	(w32-initialize-window-system): Set it.
	Move more global setup here.
	(x-setup-function-keys): New function.
	(w32-initialize-window-system): Move non function key global setup here.
	(x-cut-buffer-max): Remove.
	(w32-initialize-window-system): New function.
	(handle-args-function-alist, frame-creation-function-alist):
	(window-system-initialization-alist): Add w32 entries.

2007-08-29  David Kastrup  <dak@gnu.org>

	* env.el (getenv): Pass frame to getenv-internal.

2007-08-29  K,Aa(Broly L$,1 q(Brentey  <lorentey@elte.hu>

	* version.el (emacs-version): Show if multi-tty is present.

	* loadup.el: Delay loading env; mule-conf gets confused by cl
	during bootstrap.  Also load termdev and term/x-win.

	* bindings.el (mode-line-client): New variable.
	(help-echo): Add it to the default mode-line format.

	* cus-start.el: Remove bogus window-system reference from GTK test.

	* progmodes/ebrowse.el (ebrowse-electric-list-mode-map)
	(ebrowse-electric-position-mode-map):
	* ebuff-menu.el (electric-buffer-menu-mode-map):
	* echistory.el (electric-history-map): Bind C-z to `suspend-frame',
	not `suspend-emacs'.

	* ediff-wind.el (ediff-setup-windows-automatic): New function.
	(ediff-window-setup-function): Use it as default.

	* files.el (save-buffers-kill-terminal): New function.
	(ctl-x-map): Change binding of C-x C-c to save-buffers-kill-terminal.

	* font-lock.el (lisp-font-lock-keywords-2): Add `let-environment'
	and `with-selected-frame'.

	* help-fns.el (describe-variable): Describe frame-local variables
	correctly.

	* simple.el (normal-erase-is-backspace-mode): Rewrite for multiple
	display support.
	(normal-erase-is-backspace-setup-frame): New function.

	* subr.el (with-selected-frame): New function.
	(read-quoted-char): Use terminal-local binding of
	local-function-key-map instead of function-key-map.

	* talk.el (talk): New function.
	(talk-handle-delete-frame): New function.
	(talk-add-display): Open a new frame only if FRAME was not a frame.

	* termdev.el: New file.

	* menu-bar.el (menu-bar-open): New function.  Bind it to f10.
	* term/x-win.el: Don't bind f10.
	* tmm.el: Remove autoload binding for f10.

	* international/encoded-kb.el (encoded-kbd-setup-display): Use
	`set-input-meta-mode'.  Fix broken condition before set-input-mode.
	Store the saved input method as a terminal parameter.  Add keymap
	parameter.  Use it instead of changing key-translation-map directly.
	(saved-key-translation-map, encoded-kbd-mode, saved-input-mode):
	Remove.
	(encoded-kbd-setup-display): New function.

	* international/mule-cmds.el (set-locale-environment): Fix getenv
	call.  Use save-buffers-kill-terminal.  Ignore window-system; always
	set the keyboard coding system.  Add DISPLAY parameter.
	(set-display-table-and-terminal-coding-system): Add DISPLAY
	parameter.  Pass it to set-terminal-coding-system.

	* international/mule.el (keyboard-coding-system): Test for
	encoded-kbd-setup-display, not encoded-kbd-mode.
	(set-terminal-coding-system, set-keyboard-coding-system): Add
	DISPLAY parameter.
	(set-keyboard-coding-system): Use encoded-kbd-setup-display.

	* term/README: Update.

	* term/linux.el (terminal-init-linux): Use `set-input-meta-mode'.

	* term/x-win.el (x-setup-function-keys): New function.  Move
	function-key-map tweaks here.  Protect against multiple calls on
	the same terminal.  Use terminal-local binding of
	local-function-key-map instead of function-key-map.
	(x-initialize-window-system): Make a copy of pure list.  Pass a
	frame getenv.

	* term/vt200.el, term/vt201.el, term/vt220.el, term/vt240.el:
	* term/vt300.el, term/vt320.el, term/vt400.el, term/vt420.el:
	* term/AT386.el, term/internal.el, term/iris-ansi.el, term/lk201.el:
	* term/mac-win.el, term/news.el, term/rxvt.el, term/sun.el:
	* term/tvi970.el, term/wyse50.el: Use terminal-local binding of
	local-function-key-map instead of function-key-map.

	* term/rxvt.el, term/xterm.el: Speed up load time by protecting
	`substitute-key-definition' and `define-key' calls against
	multiple execution.  Use terminal-local binding of
	local-function-key-map instead of function-key-map.  Pass a frame
	to getenv.

	* edmacro.el (edmacro-format-keys):
	* emulation/cua-base.el (cua--pre-command-handler):
	* isearch.el (isearch-other-meta-char):
	* xt-mouse.el: Use terminal-local binding of
	local-function-key-map instead of function-key-map.

	* fringe.el (set-fringe-mode): Simplify and fix using
	`modify-all-frames-parameters'.
	* scroll-bar.el (set-scroll-bar-mode): Ditto.
	* tool-bar.el (tool-bar-mode): Ditto.  Remove 'tool-bar-map length
	check before calling `tool-bar-setup'.
	(tool-bar-setup): New variable.
	(tool-bar-setup): Use it to guard against multiple calls.  Add
	optional frame parameter, and select that frame before adding items.
	(toggle-tool-bar-mode-from-frame): New function.

	* menu-bar.el (toggle-menu-bar-mode-from-frame): New function.
	(menu-bar-showhide-menu): Use toggle-menu-bar-mode-from-frame and
	toggle-tool-bar-mode-from-frame to change "Menu-bar" and
	"Tool-bar" toggles to reflect the state of the current frame.
	(menu-bar-mode): Simplify and fix using `modify-all-frames-parameters'.

	* env.el: Require cl for byte compilation (for `block' and `return').
	(environment, setenv-internal): New functions.
	(let-environment): New macro.
	(setenv, getenv): Add optional terminal parameter.  Update docs.
	(setenv): Use setenv-internal.  Always set process-environment.
	Handle `local-environment-variables'.
	(read-envvar-name, setenv, getenv): Use frame parameters
	to store the local environment, not terminal parameters.  Include
	`process-environment' as well.

	* faces.el (tty-run-terminal-initialization): New function.
	(tty-create-frame-with-faces): Use it.  Set up faces and
	background mode only after the terminal has been initialized.
	Call terminal-init-*.  Don't load the initialization file more
	than once.  Call set-locale-environment.
	(frame-set-background-mode): Handle the 'background-mode terminal
	parameter.
	(tty-find-type): New function.
	(x-create-frame-with-faces): Remove bogus check for
	first frame.  Call `tool-bar-setup'.  Don't make frame visible
	until we are done setting up all its parameters.  Call
	x-setup-function-keys.

	* frame.el (make-frame): Always inherit 'environment and 'client
	parameters.  Set up the 'environment frame parameter, when needed.
	Also inherit 'client parameter.  Don't override explicitly
	specified values with inherited ones.  Add 'terminal frame
	parameter.  Append window-system-default-frame-alist to parameters
	before calling frame-creation-function.
	(frame-initialize): Copy the environment from the initial frame.
	(window-system-default-frame-alist): Enhance doc string.
	(frame-notice-user-settings): Don't put 'tool-bar-lines in
	`default-frame-alist' when initial frame is on a tty.
	(modify-all-frames-parameters): Simplify using `assq-delete-all'.
	Remove specified parameters from `window-system-default-frame-alist'.
	(make-frame-on-tty, framep-on-display, suspend-frame):
	Extend doc string, update parameter names.
	(frames-on-display-list): Use terminal-id to get the display id.
	(frame-notice-user-settings): Extend to apply
	settings in `window-system-default-frame-alist' as well.
	(terminal-id, terminal-parameters, terminal-parameter)
	(set-terminal-parameter, terminal-handle-delete-frame): New functions.
	(delete-frame-functions): Add to `delete-frame-functions' hook.
	(blink-cursor-mode): Adapt blink-cursor-mode default
	value from startup.el.
	(make-frame-on-display): Protect condition on x-initialized when
	x-win.el is not loaded.  Update doc.
	(suspend-frame): Use display-controlling-tty-p to decide between
	suspend-emacs and suspend-tty.
	(frames-on-display-list): Update for display ids.
	(framep-on-display): Ditto.
	(suspend-frame): Use display-name, not frame-tty-name.
	(selected-terminal): New function.

	* server.el: Use `device' instead of `display' or `display-id' in
	variable and client parameter names.
	(server-select-display): Remove (unused).
	(server-tty-live-p, server-handle-delete-tty): Remove.
	(server-unquote-arg, server-quote-arg, server-buffer-clients):
	Update docs.
	(server-getenv-from, server-with-environment, server-send-string)
	(server-save-buffers-kill-terminal): New functions.
	(server-delete-client): Handle quits in kill-buffer.  Don't kill
	modified buffers.  Add extra logging.  Delete frames after
	deleting the tty.  Clear 'client parameter before deleting a frame.
	Use delete-display, not delete-tty.
	(server-visit-files): Don't set `server-existing-buffer' if the
	buffer already has other clients.  Return list of buffers
	created.  Update doc.  Don't set client-record when nowait.
	(server-handle-delete-frame): Delete the client if this was its
	last frame.  Check that the frame is alive.  Remove bogus comment.
	Add note on possible race condition.  Delete tty clients, if needed.
	(server-handle-suspend-tty): Use server-send-string.  Kill the
	client in case of errors from process-send-string.  Use the display
	parameter.
	(server-unload-hook): Remove obsolete delete-tty hook.
	(server-start): Ask before restarting if the old server still has
	clients.  Add feedback messages.  Remove obsolete delete-tty hook.
	(server-process-filter): Use server-send-string.  Accept `-dir'
	command.  Switch to *scratch* immediately after creating the frame,
	before evaluating any -evals.  Protect `display-splash-screen'
	call in a condition-case.  Explain why.  Call
	`display-startup-echo-area-message' before
	`display-splash-screen'.  Don't display the splash screen when no
	frame was created.  Show the Emacs splash screen and startup echo
	area message.  Display the *scratch* buffer by default.  Store the
	local environment in a frame (not terminal) parameter.  Do not try
	to decode environment strings.  Fix reference to the 'display
	frame parameter.  Change syntax of environment variables.  Put
	environment into terminal parameters, not client parameters.  Use
	a dummy client with --no-wait's X frames.  In `-position LINE'
	handler, don't ruin the request string until the line number is
	extracted.  Log opened files.  Handle -current-frame command.
	Don't create frames when it is given.  Don't bind X frames to the
	client when we are in -no-wait mode.  Set locale environment
	variables from client while creating tty frames.  Disable call to
	configure-display-for-locale.  When processing -position command,
	don't change the request string until the parameters are
	extracted.  Don't try to create an X frame when Emacs does not
	support it.  Improve logging.  Temporarily set ncurses-related
	environment variables to those of the client while creating a new
	tty frame.  Select buffers opened by nowait clients, don't leave
	them buried under others.  Set the display parameter, and use it
	when appropriate.

	* startup.el (display-startup-echo-area-message): Handle
	`inhibit-startup-echo-area-message' here.
	(command-line-1): Moved from here.
	(fancy-splash-screens): Use `overriding-local-map' instead of
	`overriding-terminal-local-map' for now; the latter doesn't work
	right, it looses keypresses to another terminal.  Use
	`overriding-terminal-local-map' to set up keymap.  Install a
	`delete-frame-functions' hook to catch `delete-frame' events.
	Ignore `select-window' events to cope better with
	`focus-follows-mouse'.  Don't switch back to the original buffer
	if the splash frame has been killed.  Restore previous buffer, even
	if it's *scratch*.
	(normal-splash-screen): Don't let-bind `mode-line-format'; it
	changes the global binding - setq it instead.  Use
	`save-buffers-kill-terminal'.
	(display-splash-screen): Don't do anything if the splash screen is
	already displayed elsewhere.
	(fancy-splash-exit, fancy-splash-delete-frame): New functions.
	(command-line): Replace duplicated code with a call to
	tty-run-terminal-initialization.  Don't load the terminal
	initialization file more than once.  Remove call to nonexistent
	function `set-locale-translation-file-name'.

	* xt-mouse.el (xterm-mouse-x, xterm-mouse-y): Convert to terminal
	parameters.
	(xterm-mouse-position-function, xterm-mouse-event): Update.
	(xterm-mouse-mode): Don't depend on current value of window-system.
	(turn-on-xterm-mouse-tracking, turn-off-xterm-mouse-tracking):
	Update for multi-tty.
	(turn-on-xterm-mouse-tracking-on-terminal)
	(turn-off-xterm-mouse-tracking-on-terminal)
	(xterm-mouse-handle-delete-frame): New functions.
	(delete-frame-functions, after-make-frame-functions)
	(suspend-tty-functions, resume-tty-functions): Install extra hooks
	for multi-tty.

2007-08-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (invisible-p): Remove: implemented in C now.
	(line-move-invisible-p): Remove obsolete alias.

2007-08-28  Juri Linkov  <juri@jurta.org>

	* image-mode.el (image-type): New variable.
	(image-mode): Set default major mode name to "Image[text]".
	(image-minor-mode): Change LIGHTER to display image-type in the
	mode line.
	(image-minor-mode): Set default image-type to "text".
	(image-toggle-display): After switching to text mode, set
	image-type to "text" and major mode name to "Image[text]".
	After switching to image mode, set image-type to actual image
	type, and add image type to major mode name.  Let-bind the same
	variable names as arguments of `image-type' and `create-image'.
	Bind `type' to the result of `image-type' and use it as arg
	of `create-image' to not determine the image type twice.

2007-08-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-set-file-times): Flush the file properties.
	(tramp-set-file-uid-gid, tramp-get-local-uid)
	(tramp-get-local-gid): New defuns.
	(tramp-handle-copy-file): Handle new parameter PRESERVE-UID-GID.
	(tramp-do-copy-or-rename-file): New parameter PRESERVE-UID-GID.
	Improve fast track.
	(tramp-do-copy-or-rename-file-directly): Sync parameter list with
	the other tramp-do-copy-or-rename-file-* functions.  Major rewrite.
	(tramp-handle-file-local-copy, tramp-handle-insert-file-contents)
	(tramp-handle-write-region): Improve fast track.
	(tramp-handle-file-remote-p): IDENTIFICATION can also be `localname'.
	(tramp-maybe-open-connection): Let `process-adaptive-read-buffering'
	be nil.

2007-08-28  Ivan Kanis  <apple@kanis.eu>

	* time.el: New feature to display several time zones in a buffer.
	(display-time-world-mode, display-time-world-display)
	(display-time-world, display-time-world-timer): New functions.
	(display-time-world-list, display-time-world-time-format)
	(display-time-world-buffer-name, display-time-world-timer-enable)
	(display-time-world-timer-second, display-time-world-mode-map):
	New variables.

2007-08-28  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (x-gtk-stock-map): New variable.
	(x-gtk-map-stock): New function.

	* info.el (info-tool-bar-map): Add :rtl keyword to right/left-arrow and
	prev/next-node.

2007-08-28  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>  (tiny change)

	* play/gamegrid.el (gamegrid-init): Set line-spacing to 0.

2007-08-28  Glenn Morris  <rgm@gnu.org>

	* progmodes/cc-langs.el (c-constant-kwds): Add java: null, true, false.

2007-08-27  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* progmodes/modula2.el (m2-definition, m2-module):
	Don't use previous-line.  Reported by T. V. Raman.

2007-08-27  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-handle-toolbar-switch-mode): Add explicit
	argument to tool-bar-mode call.

2007-08-27  Glenn Morris  <rgm@gnu.org>

	* diff-mode.el (diff-find-file-name): Only accept regular files,
	to rule out /dev/null, directories, etc.

	* vc-svn.el (vc-svn-diff): If the repository version of all the
	files is the same as the specified OLDVERS, do a local diff.

2007-08-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* uniquify.el (uniquify-rationalize-file-buffer-names): Check liveness
	of buffers in uniquify-managed.

	* simple.el (invisible-p): Rename from text-invisible-p.
	Update callers.

2007-08-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/cperl-mode.el (defcustom, x-color-defined-p, cperl-is-face)
	(cperl-is-face, cperl-force-face, cperl-etags-snarf-tag, cperl-mode)
	(cperl-etags-snarf-tag, cperl-etags-goto-tag-location, cperl-init-faces)
	(cperl-etags-goto-tag-location): Use new style backquotes.

	* net/browse-url.el: Remove spurious * in custom docstrings.
	(browse-url-filename-alist): Use new-style backquote.

	* emacs-lisp/backquote.el (backquote-unquote-symbol)
	(backquote-splice-symbol): Clarify they're not new-style unquotes.

	* emacs-lisp/edebug.el (edebug-list-form, edebug-match-symbol, \,)
	(\,@): Backslash the , and ,@ which are not new-style unquotes.

	* textmodes/texinfmt.el (\,): Clarify it's not a new-style unquote.

	* net/socks.el (socks-username/password-auth-filter):
	Remove unused vars `state' and `desired-len'.
	(socks-parse-services, socks-nslookup-host): Use with-current-buffer.
	(socks-wait-for-state-change): Use new-style backquotes.

	* pcvs.el (cvs-mode-status): Fix long-standing typo.

	* emacs-lisp/bytecomp.el (byte-compile-from-buffer): Check old-style
	backquotes after each `read' rather than once per buffer.

	* dframe.el: Remove spurious * in custom docstrings.
	(dframe-xemacsp): Remove, use (featurep 'xemacs) instead.
	(dframe-xemacs20p): Remove, inline at the sole use point.
	(defface): Don't defvar the face, don't use old-style backquote.
	(defcustom): Don't use old-style backquote.
	(dframe-frame-parameter, dframe-mouse-event-p):
	Make it obvious that it's always defined.
	(dframe-popup-kludge): New function to replace
	dframe-xemacs-popup-kludge and dframe-xemacs-popup-kludge.
	(dframe-frame-mode, dframe-set-timer-internal)
	(dframe-mouse-set-point): Remove use of with-no-warnings from
	XEmacs-specific code.
	(dframe-set-timer-internal): Fix very old bug with
	post-command-idle-hook.

	* emacs-lisp/byte-opt.el (byte-optimize-featurep): Handle `sxemacs'.

2007-08-27  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* emacs-lisp/avl-tree.el: New file.

2007-08-26  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* hi-lock.el (hi-lock-unface-buffer): Show a x-menu only if the mouse
	was used.

2007-08-26  Sean O'Rourke  <seano@cs.ucsd.edu>

	* complete.el (PC-do-completion): Make RET accept a non-unique but
	complete expansion again.

2007-08-26  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* eshell/esh-opt.el (eshell-eval-using-options):
	Add debug declaration.

2007-08-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* log-view.el (log-view-toggle-mark-entry): Add docstring.
	(log-view-get-marked): Likewise.

	* vc-hooks.el (vc-registered): Use mapc instead of mapcar.
	(vc-delete-automatic-version-backups): Likewise.

	* vc.el (vc-dired-buffers-for-dir): Likewise.

2007-08-25  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/cperl-mode.el (cperl-indent-level): Autoload the
	safe-local-variable setting.
	* progmodes/perl-mode.el (perl-indent-level): Likewise.

	* log-view.el (log-view-marked-list): Delete variable.
	(log-view-mode): Don't use it.
	(log-view-toggle-mark-entry): Likewise, simplify.
	(log-view-current-tag): Don't return properties.
	(log-view-get-marked): New function.

2007-08-25  Alexandre Julliard  <julliard@winehq.org>

	* vc-git.el (vc-git-mode-line-string): New function.

2007-08-25  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-langs.el (c-other-decl-block-key-in-symbols-alist):
	new language variable.

	* progmodes/cc-engine.el (c-brace-anchor-point): new function.
	(c-add-stmt-syntax): Give accurate anchor points for "namespace",
	"extern" etc., rather than BOI.  Fix addition of spurious
	syntactic-symbol 'defun-block-intro, replacing it with
	'innamespace, etc.

2007-08-25  Juri Linkov  <juri@jurta.org>

	* files.el (auto-mode-alist): Move "\\.x[bp]m\\'" to image-mode.el.

	* image-mode.el: Add autoloads to put associations in auto-mode-alist:
	associate "\\.x[bp]m\\'" with c-mode and image-mode-maybe, and
	"\\.svgz?\\'" with xml-mode and image-mode-maybe.

	* image.el (image-type-header-regexps): Use more complex regexp for svg.
	(image-type-file-name-regexps): Add ("\\.svgz?\\'" . svg).
	(image-type-auto-detectable): Add (svg . maybe).

	* jka-cmpr-hook.el (jka-compr-compression-info-list): Add .svgz
	to treat it like .tgz.

	* calendar/cal-bahai.el: Add file coding cookie.

2007-08-25  Reiner Steib  <Reiner.Steib@gmx.de>

	* pcvs.el (cvs-query-directory): Only prompt when prefix is given.
	Don't behave differently when executed via M-x.  Add doc string.

	* sort.el (sort-fold-case, sort-numeric-base): Mark as
	safe-local-variable.

2007-08-25  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-forms.el (var-TimeZone): Make nil explicitly
	the default value.
	(math-calendar-tzinfo): New variable.
	(math-get-calendar-tzinfo): New function.
	(calcFunc-tzone, calcFunc-dst): Use Emacs's calendar
	to get information when zone is nil.

2007-08-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* log-view.el (log-view-toggle-mark-entry): New function.
	(log-view-mode-map): Bind it.
	(log-view-marked-list): New variable.
	(log-view-mode): Make it local.

2007-08-24  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* play/zone.el (zone-pgm-rat-race): New func.
	(zone-programs): Add `zone-pgm-rat-race'.

2007-08-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/byte-opt.el (byte-optimize-if): Don't presume `clause' is
	a list.

2007-08-24  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* progmodes/hideshow.el (hs-match-data): Delete alias.
	(hs-hide-block-at-point, hs-find-block-beginning)
	(hs-show-block): Use `match-data' directly.

2007-08-24  Martin Rudalics  <rudalics@gmx.at>

	* format.el (format-alist): Fix typo in doc-string.

2007-08-24  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-local-host-p): New defun.
	(tramp-handle-file-local-copy, tramp-handle-write-region):
	Implement fast track when being on the local host.
	(tramp-file-name-handler): Don't set "started" property.  It shall
	be reserved for the "ftp" method.
	(tramp-make-copy-program-file-name): Use `tramp-file-name-real-host'.

	* net/tramp-ftp.el (top): Autoload `tramp-set-connection-property'.
	(tramp-ftp-file-name-handler): Set "started" property.

2007-08-24  Ulrich Mueller  <ulm@gentoo.org>  (tiny change)

	* files.el (backup-buffer-copy): Don't wrap delete in
	condition-case, only try to delete if file exists.

2007-08-24  Glenn Morris  <rgm@gnu.org>

	* files.el (backup-buffer-copy): Revert 2007-08-22 change.

	* startup.el (tutorial-directory): Set with eval-at-startup so it
	gets the right value in an installed Emacs.

2007-08-24  Nikolaj Schumacher  <n_schumacher@web.de>  (tiny change)

	* emacs-lisp/eldoc.el (eldoc-highlight-function-argument): New face.
	(eldoc-highlight-function-argument): Use it.

2007-08-23  Masatake YAMATO  <jet@gyve.org>

	* progmodes/cc-fonts.el (gtkdoc-font-lock-doc-comments): Highlight
	name of parameters in document body.

2007-08-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/bytecomp.el (byte-compile-output-docform)
	(byte-compile-output-as-comment): Use with-current-buffer rather than
	a weird set-buffer&prog1 combination.

	* emacs-lisp/byte-opt.el (byte-optimize-if): Move `progn' out of the
	test so as to optimise cases where the `progn's result is constant.

2007-08-23  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* locate.el (locate-get-file-positions):
	Use line-beginning-position and line-end-position.

2007-08-23  John Wiegley  <johnw@newartisans.com>

	* calendar/cal-bahai.el: Added in the diacriticals that were
	missing for many of the month names.

2007-08-22  Jason Rumney  <jasonr@gnu.org>

	* vc-hooks.el (vc-menu-map-filter): Reapply 2007-08-06 bugfix.

2007-08-22  Chong Yidong  <cyd@stupidchicken.com>

	* image-mode.el (image-minor-mode): Use image-mode-text-map.

2007-08-22  Sean O'Rourke  <sorourke@cs.ucsd.edu>

	* dabbrev.el (dabbrev--progress-reporter): New variable.
	(dabbrev--scanning-message): Delete func.
	(dabbrev--find-expansion): Use a progress reporter
	instead of dabbrev--scanning-message.

2007-08-22  Michael Albinus  <michael.albinus@gmx.de>

	* comint.el (comint-exec-1): Raise an error if
	`start-file-process' does not return a process object.

	* shell.el (shell): Prompt for `default-directory' if it is a
	remote file name, and if called with a prefix arg.

2007-08-22  Sam Steingold  <sds@gnu.org>

	* pcvs.el (cvs-vc-command-advice): Fix a typo in code (file->files).

2007-08-22  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org-export-latex.el: New file.

	* textmodes/org-publish.el (org-publish-org-to-latex): New function.

	* textmodes/org.el (org-agenda-skip): Allow a form for
	`org-agenda-skip-function'.
	(org-agenda-redo): Re-use local settings.
	(org-agenda): Store local settings.
	(org-agenda-deadline-faces): New option.
	(org-agenda-deadline-face): New function.
	(org-agenda-get-deadlines, org-agenda-get-scheduled): Also handle
	entries on their due date.
	(org-agenda-get-timestamps): No longer handle the due dates of
	schedules and deadline items.
	(org-insert-link-global, org-open-at-point-global): New commands.
	(org-export-as-ascii): Call `org-cleaned-string-for-export' with a
	:for-ascii parameter.
	(org-skip-comments): Function removed.
	(org-cleaned-string-for-export): Handle special table lines.
	(org-global-properties): New option.
	(org-entry-get-with-inheritance): Check global properties.
	(org-local-properties): New variable.
	(org-set-regexps-and-options): Find the #+PROPERTY line.
	(org-link-types): Change type into variable (was constant).
	(org-make-link-regexps): New function.
	(org-link-re-with-space, org-link-re-with-space2)
	(org-angle-link-re, org-plain-link-re, org-bracket-link-regexp)
	(org-bracket-link-analytic-regexp, org-any-link-re): Creation of
	these regular expressions happens now in the function
	`org-make-link-regexps'.
	(org-store-link): Call the functions in
	`org-store-link-functions'.
	(org-add-link-type): New function.
	(org-store-link-functions): New variable.
	(org-activate-tags): Force matches to be in headlines.
	(org-batch-store-agenda-views): Fix bug with killing agenda buffer.
	(org-columns-display-here): Make sure this works in a narrowed
	buffer by checking for point-min.
	(org-columns-display-here): Make the rest of the line intangible,
	so that point never can be there.
	(org-cleaned-string-for-export): Use `with-current-buffer'.
	(org-replace-region-by-html): Use `with-current-buffer'.
	(org-unfontify-region, org-do-occur, org-columns-display-here)
	(org-columns-remove-overlays, org-columns-quit)
	(org-columns-edit-value, org-columns-next-allowed-value)
	(org-eval-in-calendar, org-agenda-undo, org-no-read-only)
	(org-finalize-agenda, org-remove-subtree-entries-from-agenda)
	(org-agenda-todo, org-agenda-change-all-lines)
	(org-agenda-align-tags, org-agenda-priority)
	(org-agenda-set-tags, org-agenda-toggle-archive-tag)
	(org-agenda-show-new-time, org-cleaned-string-for-export)
	(org-export-grab-title-from-buffer)
	(org-export-as-ascii, org-export-as-html): Use `inhibit-read-only'
	instead of `buffer-read-only'.
	(org-export-as-html): Set `coding-system-for-write'.
	(org-remember-store-without-prompt): New option.
	(org-archive-subtree): Fixed bug with modifying TODO keyword.
	(org-beginning-of-line): Also treat C-a special in items.
	(org-table-convert-refs-to-rc): Fixed problem with column
	reference after "..".
	(org-columns-compute): Don't mark buffer modified because of text
	properties.
	(org-batch-store-agenda-views): Use the variable
	`default-directory', not the function.
	(org-clock-out-if-current): Respect `org-clock-out-when-done'.
	(org-clock-out-when-done): New option.
	(org-html-entities): Added HTML entities for smileys.

2007-08-22  Glenn Morris  <rgm@gnu.org>

	* image.el (create-image): Doc fix.

	* startup.el (tutorial-directory): New constant.
	(fancy-splash-text): Tutorials now in tutorial-directory.
	* tutorial.el (help-with-tutorial): Tutorials now in
	tutorial-directory.

2007-08-22  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (top): Require cl.el, when `copy-tree' is not available
	otherwise.
	(tramp-get-remote-path): New defun.  Replace occurrences of
	`tramp-default-remote-path' by this function.
	(tramp-set-remote-path): Move most of the code to
	`tramp-get-remote-path'.
	(tramp-get-ls-command, tramp-get-remote-id): Don't check for not
	existing directories, this is done already in
	`tramp-get-remote-path'.

2007-08-22  Paul Pogonyshev  <pogonyshev@gmx.net>

	* image-file.el (image-file-name-extensions): Add "svg".
	* image.el (image-type-header-regexps): Add svg entry.

2007-08-22  Glenn Morris  <rgm@gnu.org>

	* files.el (backup-buffer-copy): Check backup directory is
	writable, to avoid infloop deleting old backup.

	* mail/rmail.el (rmail-movemail-variant-p): Call on load to set
	movemail related variables.
	(rmail-insert-inbox-text): Use only rmail-movemail-program, which
	will now be set before this is called.

2007-08-21  Juri Linkov  <juri@jurta.org>

	* delsel.el (delete-selection-pre-hook):
	* emulation/cua-base.el (cua-paste): Use `mouse-region-match'
	instead of checking last-command.

2007-08-21  Juri Linkov  <juri@jurta.org>

	* loadup.el: Preload "button".

2007-08-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/bytecomp.el (byte-compile-interactive-only-functions):
	Add previous-line and next-line.

	* vc-arch.el (vc-arch-extra-menu-map): New var and fun.
	(vc-arch-find-file-not-found-hook): Remove, it's now the default.

	* vc-hooks.el (vc-menu-entry): New var.
	(vc-mode-line-map): Use it so that this menu also uses the extra-menu.
	(menu-bar-tools-menu): Add the VC menu here rather than in menu-bar.el.
	(vc-menu-map): Declare and initialize in one step.
	(vc-menu-map-filter): Move&rename from menu-bar.el:menu-bar-vc-filter.

	* menu-bar.el (vc-menu-map): Don't setup any more.
	Instead, just create the proper spot in the menu.

2007-08-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* smerge-mode.el (smerge-resolve): New arg `safe'.
	(smerge-resolve-all, smerge-batch-resolve): New function.
	(smerge-refine): Make sure `diff' returns the expected result.
	(smerge-parsep-re): New const.
	(smerge-mode): Use it to adjust paragraph-separate.

	* progmodes/perl-mode.el (perl-font-lock-syntactic-keywords):
	Correctly match / regexp matchers as first char on a line when
	fontifying only that line.

	* emacs-lisp/cl-macs.el (cl-transform-lambda): Preserve the match-data.

2007-08-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-bzr.el: Don't fiddle with vc-handled-backend.
	(vc-bzr-registered): Don't redundantly protect against
	file-error.  Actually use the format-specific code.
	(vc-bzr-buffer-nonblank-p): Remove.
	(vc-bzr-status): Change `kindchange' -> `kindchanged'.

2007-08-20  Juri Linkov  <juri@jurta.org>

	* startup.el (fancy-splash-text): Change multiple tabs into one
	tab.  Remove "Useful File menu items" section (with "Exit Emacs"
	and "Recover Crashed Session").
	(fancy-splash-screens): Set tab-width to 22.
	(normal-splash-screen): Replace literal tabs with \t and
	fix whitespace.  Remove "Useful File menu items" section (with
	"Exit Emacs" and "Recover Crashed Session").

2007-08-20  Johannes Weiner  <hannes@saeurebad.de>  (tiny change)

	* emacs-lisp/lisp-mode.el (preceding-sexp): New fun, the code was
	extracted from `eval-last-sexp-1'.
	(eval-last-sexp-1): Call `preceding-sexp'.

2007-08-20  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* vc-rcs.el (vc-rcs-annotate-command):
	Fix bug introduced 2007-07-18 (revision 1.51):
	Add back :vc-annotate-prefix propertization.

2007-08-20  Andreas Schwab  <schwab@suse.de>

	* mail/rmail.el (rmail-autodetect): Doc fix.

2007-08-19  Juri Linkov  <juri@jurta.org>

	* startup.el (normal-splash-screen): Add more links.

2007-08-19  Juri Linkov  <juri@jurta.org>

	* startup.el (splash-screen-keymap): Rename from `fancy-splash-keymap'
	because it's common to both types of splash screen: fancy and normal.
	Bind SPC to scroll-up, DEL to scroll-down and `q' to exit-splash-screen.
	(exit-splash-screen): Rename from `fancy-splash-quit'.
	Use `quit-window' instead of `kill-buffer'.
	(fancy-splash-head): Use make-button to insert GNU image link.
	(fancy-splash-screens, normal-splash-screen): Rename " About GNU
	Emacs" to "*About GNU Emacs*", and " GNU Emacs" to "*GNU Emacs*".
	(normal-splash-screen): Put "Browse manuals" on the same line with
	"Emacs manual".  Remove descriptions from "Useful tasks" and put
	all links in two columns on two lines.

2007-08-19  Michael Kifer  <kifer@cs.stonybrook.edu>

	* emulation/viper.el (viper-remove-hooks): Remove some additional
	viper hooks when the user calls viper-go-away.
	(viper-go-away): Restore the default of default-major-mode.
	Save the value of default-major-mode before vaperization.

	* emulation/viper-cmd.el: Replace error "" with "Viper bell".

	* emulation/viper-ex.el: Replace error "" with "Viper bell".

	* ediff-util.el (ediff-make-temp-file): Use the coding system of the
	buffer for which file is created.

2007-08-19  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (custom-deps, finder-data, autoloads, recompile)
	(progmodes/cc-mode.elc, mh-e/mh-loaddefs.el): Use $(emacs) rather
	than $(EMACS), so that EMACSLOADPATH is set.  Prevents any system
	shadow files messing up the compilation.

2007-08-18  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/eldoc.el (eldoc-get-fnsym-args-string): Add doc
	string.  Also apply eldoc-argument-case in the help-split-fundoc
	case.  Adapt for changed behavior of eldoc-function-argstring,
	eldoc-function-argstring-format, and
	eldoc-highlight-function-argument.
	(eldoc-highlight-function-argument): Handle nil INDEX argument,
	just call eldoc-docstring-format-sym-doc in that case.
	(eldoc-function-argstring): Change the behavior.  Now it converts
	an argument list to a string.
	(eldoc-function-argstring-format): Change the behavior.  Now it
	applies `eldoc-argument-case' to a string.

	* progmodes/scheme.el (scheme-mode-variables): Set
	font-lock-comment-start-skip.

2007-08-18  Martin Rudalics  <rudalics@gmx.at>

	* progmodes/ada-mode.el (ada-create-syntax-table): Move
	set-syntax-table from here to ...
	(ada-mode): ... here.  Do not change global value of
	comment-multi-line.  Call new function
	ada-initialize-syntax-table-properties and add new function
	ada-handle-syntax-table-properties to font-lock-mode-hook.
	(ada-deactivate-properties, ada-initialize-properties): Replace
	by new functions ...
	(ada-handle-syntax-table-properties)
	(ada-initialize-syntax-table-properties)
	(ada-set-syntax-table-properties): ... to set up syntax-table
	properties uniformly, independently from whether font-lock-mode
	is enabled or not.  Handle read-only buffers and do not change
	undo-list when setting syntax-table properties.
	(ada-after-change-function): Use ada-set-syntax-table-properties.

2007-08-18  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* progmodes/meta-mode.el (meta-indent-calculate-last): Remove.
	(meta-indent-current-nesting): Use a computation of the nesting
	instead.
	(meta-indent-current-indentation): Indentation is given according
	to nesting and if the previous line was finished or not.
	(meta-indent-unfinished-line): Tell if the current line ends with
	a finished expression.
	(meta-indent-looking-at-code): Like `looking-at', but checks if
	the point is in a string before.
	(meta-indent-level-count): Use it.  Don't count parenthesis as it's
	done in the nesting function.
	(meta-indent-in-string-p): Tell if the current point is in a
	string.
	(meta-indent-calculate): Treat b-o-b as a special case.  Use the
	previous functions.

2007-08-17  Thien-Thi Nguyen  <ttn@gnuvola.org>

	* emacs-lisp/copyright.el (copyright-limit): New defsubst.
	(copyright-update-year, copyright-update)
	(copyright-fix-years): Use it.

2007-08-17  Kimit Yada  <kimitto@gmail.com>  (tiny change)

	* emacs-lisp/copyright.el (copyright-update-year):
	Fix bug: Handle nil copyright-limit.

2007-08-17  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-units.el (math-standard-units): Give exact
	conversion for tsp.

	* calc/calc.el (math-bignum-digit-length): Compute the
	appropriate value.

	* calc/calc-bin.el (math-bignum-logb-digit-size)
	(math-bignum-digit-power-of-two):
	* calc/calc-comb.el (math-small-factorial-table):
	* calc/calc-ext.el (math-approx-pi, math-approx-sqrt-e)
	(math-approx-gamma-const):
	* calc/calc-funcs.el (math-besJ0, math-besJ1, math-besY0)
	(math-besY1, math-bernoulli-b-cache):
	* calc/calc-math.el (math-approx-ln-10, math-approx-ln-2):
	Remove `eval-when-compile's.

2007-08-17  Bob Rogers  <rogers-emacs@rgrjr.dyndns.org>  (tiny change)

	* progmodes/cperl-mode.el (cperl-look-at-leading-count)
	(cperl-find-pods-heres): Fix an error when typing expressions like
	`s{a}{b}'.

2007-08-17  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* mail/emacsbug.el (report-emacs-bug): Remove the last number of
	`emacs-version', use the topic prefix ``version; ''.  Make MS-DOS
	a special case (there's no build number).

2007-08-17  T. V. Raman  <raman@users.sf.net>  (tiny change)

	* completion.el (symbol-under-point, symbol-before-point)
	(symbol-before-point-for-complete): Use buffer-substring-no-properties.

2007-08-17  Glenn Morris  <rgm@gnu.org>

	* progmodes/compile.el (compilation-get-file-structure): Make use
	of the directory part when checking for an existing entry, to
	handle files with same basename in different directories.

2007-08-17  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-language-alist): Add texinfo-mode.

2007-08-16  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el (ps-header-font-size, ps-header-title-font-size)
	(ps-footer-font-size, ps-line-number-font-size, ps-line-spacing)
	(ps-paragraph-spacing): Docstring fix.

2007-08-16  Glenn Morris  <rgm@gnu.org>

	* ps-print.el (ps-font-size): Doc fix.

2007-08-16  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/copyright.el (copyright-names-regexp): Add custom group.

2007-08-15  Juri Linkov  <juri@jurta.org>

	* startup.el (initialization): Change parent group from `internal'
	to `environment'.
	(initial-buffer-choice): New variable.
	(command-line): Revert 2007-07-02 change that sets
	buffer-offer-save in *scratch* and enables auto-save in it.
	(fancy-splash-text): Add links to existing items.  Add new items
	with links for useful tasks.  Move information about Control-g to
	fancy-splash-head.  Move "Emacs Guided Tour" to the end.
	(fancy-splash-keymap): New variable.
	(fancy-splash-last-input-event): Remove variable.
	(fancy-splash-insert): Add processing of `:link' element.
	(fancy-splash-head): Replace "Type Control-l to begin editing"
	with "Type `q' to exit".
	(fancy-splash-screens-1): Let-bind inhibit-read-only to t.
	(fancy-splash-default-action, fancy-splash-special-event-action):
	Remove functions.
	(fancy-splash-quit): New function.
	(fancy-splash-screens): Rename input arg from `hide-on-input' to
	`static' and reverse the condition of its usage.  Don't preserve
	original values of `minor-mode-map-alist',
	`emulation-mode-map-alists', `special-event-map'.
	Rename startup-buffer from "*About GNU Emacs*" to " GNU Emacs".
	Rename about-buffer from " GNU Emacs" to " About GNU Emacs".
	Remove processing of special events.  Use local key map
	`fancy-splash-keymap'.  Set buffer to read-only.
	(normal-splash-screen): Rename input arg from `hide-on-input' to
	`static' and reverse the condition of its usage.
	Rename startup-buffer from "*About GNU Emacs*" to " GNU Emacs".
	Rename about-buffer from " GNU Emacs" to " About GNU Emacs".
	Add links to existing items.  Add new items with links for useful
	tasks.  Use local key map `fancy-splash-keymap'.
	(display-splash-screen): Rename input arg from `hide-on-input' to
	`static'.
	(about-emacs): Add alias to display-splash-screen.
	(command-line-1): Use `initial-buffer-choice'.

	* menu-bar.el (menu-bar-help-menu):
	* term/mac-win.el (mac-apple-event-map): Bind About Emacs menu
	item to about-emacs instead of display-splash-screen.

2007-08-15  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-units.el (math-standard-units): Update values.
	Put in exact, rational values when possible.
	(math-unit-prefixes): Replace floats with powers of ten.
	(math-standard-units-systems): Replace floats with integers.
	(math-make-unit-string): Remove extra spaces in output.

2007-08-15  Glenn Morris  <rgm@gnu.org>

	* mail/undigest.el (rmail-digest-parse-rfc1153sloppy): Be even
	sloppier, for the sake of GNU Mailman.
	(rmail-digest-rfc1153): Initialize `result' correctly.

2007-08-15  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* mail/emacsbug.el (report-emacs-bug): Put `Bug: emacs-version; '
	in the mail title.  Suggested by Reiner Steib.

2007-08-14  Chris Hecker  <checker@d6.com>  (tiny change)

	* calc/calc-aent.el (calc-do-quick-calc): Add binary
	representation of integers to the list of outputs.

2007-08-14  Glenn Morris  <rgm@gnu.org>

	* simple.el (bad-packages-alist): New constant.
	(bad-package-check): New function.  Together, these two add elements
	to `after-load-alist' to check for problematic external packages.
	* emulation/cua-base.el: Move CUA-mode check to `bad-packages-alist'.

2007-08-14  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-units.el (math-get-standard-units)
	(math-get-units, math-make-unit-string)
	(math-get-default-units, math-put-default-units): New functions.
	(math-default-units-table): New variable.
	(calc-convert-units, calc-convert-temperature): Add machinery
	to supply default values.

2007-08-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emulation/tpu-edt.el: Add tpu-extras's autoloads.
	(tpu-gold-map, tpu-global-map): Comment-out the bindings to nil.
	(tpu-gold-map): Bind F to tpu-cursor-free-mode.
	(minibuffer-local-map): Use funkey symbols rather than esc-sequence.

	* emulation/tpu-extras.el: Remove spurious * in docstrings.
	Put its autoloads into tpu-edt.el rather than loaddefs.el.
	(tpu-cursor-free-mode): Rename from tpu-cursor-free.
	Make into a proper minor-mode.
	(tpu-backward-char, tpu-next-line, tpu-previous-line)
	(tpu-next-end-of-line, tpu-current-end-of-line): Use new name.
	(tpu-trim-line-ends-if-needed): Rename from tpu-before-save-hook.
	(tpu-set-cursor-free, tpu-set-cursor-bound):
	Delegate to tpu-cursor-free-mode.
	(tpu-next-line, tpu-previous-line, tpu-forward-line)
	(tpu-backward-line, tpu-scroll-window-down, tpu-scroll-window-up):
	Use line-move or forward-line instead of next-line-internal.

2007-08-13  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-send): Handle CTRL-D more carefully.

2007-08-12  Richard Stallman  <rms@gnu.org>

	* pcvs.el (cvs-reread-cvsrc, cvs-checkout, cvs-mode-checkout)
	(cvs-execute-single-file): Use new name split-string-and-unquote.
	(cvs-header-msg): Use new name combine-and-quote-strings.

	* emulation/vi.el (vi-next-line): Ignore return value of line-move.

	* progmodes/gud.el (gud-common-init): Use new name
	split-string-and-unquote.

	* progmodes/flymake.el (flymake-err-line-patterns): Fix infloop
	in javac regexp.

	* pcvs-util.el (cvs-qtypedesc-strings): Use new names
	combine-and-quote-strings and split-string-and-unquote.

	* subr.el (combine-and-quote-strings): Rename from strings->string.
	(split-string-and-unquote): Rename from string->strings.

2007-08-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* log-view.el (log-view-font-lock-keywords): Use `eval' so as to adapt
	to buffer-local settings.

	* emacs-lisp/backquote.el (backquote-delay-process): New function.
	(backquote-process): Add internal arg `level'.  Use the two to
	correctly handle nested backquotes.

2007-08-09  Riccardo Murri  <riccardo.murri@gmail.com>

	* vc-bzr.el (vc-bzr-registered): Use \0 instead of literal NULs.
	(vc-bzr-state-words): Add "kind changed" state word.
	(vc-bzr-status): New function.  Return Bzr idea of file status,
	which is different from VC's.
	(vc-bzr-state): Use vc-bzr-status.
	(vc-workfile-unchanged-p): Use vc-bzr-status.
	(vc-bzr-revert): Use synchronous process; expect exitcode 0.
	(vc-dired-state): Process "kind changed" state word.

2007-08-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-default-find-file-not-found-hook): Do nothing.

	* vc-rcs.el (vc-rcs-find-file-not-found-hook):
	Move from vc-default-find-file-not-found-hook.

2007-08-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* man.el: Remove spurious * in docstrings.
	Merge defvars and toplevel setq-defaults.
	(Man-highlight-references0): Limit=nil rather than point-max.
	(Man-mode-map): Move initialization into the declaration.
	(Man-strip-page-headers, Man-unindent): Use dolist & inhibit-read-only.
	(Man-view-header-file): Use expand-file-name rather than concat.
	(Man-notify-when-ready, Man-bgproc-sentinel): Use with-current-buffer.

	* man.el (Man-next-section): Make sure we do not move backward.

2007-08-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (auto-mode-alist): Use the purecopied text (duh!).

2007-08-08  Glenn Morris  <rgm@gnu.org>

	* Replace `iff' in doc-strings and comments.

2007-08-08  Martin Rudalics  <rudalics@gmx.at>

	* dired.el (dired-pop-to-buffer):
	* mouse-drag.el (mouse-drag-should-do-col-scrolling):
	* calendar/calendar.el (generate-calendar-window):
	* progmodes/compile.el (compilation-set-window-height):
	* textmodes/two-column.el (2C-two-columns, 2C-merge):
	Use window-full-width-p instead of comparing frame-width and
	window-width.

	* progmodes/compile.el (compilation-find-buffer): Remove extra
	argument in call to compilation-buffer-internal-p.

2007-08-07  Tom Tromey  <tromey@redhat.com>

	* progmodes/tcl.el (tcl-indent-level, tcl-continued-indent-level):
	Add safe-local-variable property.

2007-08-07  Chong Yidong  <cyd@stupidchicken.com>

	* image-mode.el (image-toggle-display): Use image-refresh.

2007-08-07  Riccardo Murri  <riccardo.murri@gmail.com>

	* vc-bzr.el: Remove comments about vc-bzr.el being a modified
	unofficial version.
	(vc-bzr-command): Remove redundant setting of process-connection-type.
	(vc-bzr-admin-checkout-format-file): Add autoload.
	(vc-bzr-root-dir): Remove in favor of vc-bzr-root.
	(vc-bzr-root): Switch to implementation of vc-bzr-root-dir.
	(vc-bzr-registered): Compare dirstate format tag with known good
	value, abort parsing if match fails.  Warn user in docstring.
	(vc-bzr-workfile-version): Case for different Bzr branch formats.
	See bzrlib/branch.py in Bzr sources.
	(vc-bzr-diff): First argument FILES may be a string rather than a list.
	(vc-bzr-shell-command): Remove in favor of
	vc-bzr-command-discarding-stderr.
	(vc-bzr-command-discarding-stderr): New function.

2007-08-06  Riccardo Murri  <riccardo.murri@gmail.com>

	* vc-bzr.el (vc-bzr-registered): Gracefully handle missing "bzr"
	program, and return nil.
	(vc-bzr-state): Gracefully handle missing "bzr" program, and return nil.
	(vc-bzr-state): Look for path names relative to the repository
	root after status keyword.
	(vc-bzr-file-name-relative): New function.
	(vc-bzr-admin-dirname): Reinstate, as other vc-bzr-admin-... paths
	depend on it.
	(vc-bzr-admin-dirname, ...-checkout-format-file)
	(...-branch-format-file, ...-revhistory): Paths to some Bzr internal
	files that we now parse directly for speed.
	(vc-bzr-root-dir): Use `vc-bzr-admin-checkout-format-file' as witness.
	(vc-bzr-registered): Only parse vc-bzr-admin-dirstate file if it exists.
	(vc-bzr-state): "bzr status" successful only if exitcode is 0.
	(vc-bzr-root): Use `vc-bzr-shell-command'.  Stderr may contain
	Bzr warnings, so we must discard it.
	(vc-bzr-workfile-version): Speedup counting lines from
	`vc-bzr-admin-revhistory' file, but fallback to spawning "bzr revno"
	if that file doesn't exist.
	(vc-bzr-responsible-p): Use `vc-bzr-root' instead of
	`vc-bzr-root-dir' for speed.  Add `vc-bzr-admin-dirname' (not ".bzr"!)
	to `vc-directory-exclusion-list'.
	(vc-bzr-shell-command): New function.

2007-08-06  Tom Tromey  <tromey@redhat.com>

	* diff-mode.el (diff-unified->context, diff-reverse-direction)
	(diff-fixup-modifs): Typo in docstring.

2007-08-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emulation/tpu-edt.el (tpu-current-line): Use posn-at-point and
	count-screen-lines.
	(tpu-edt-off): Disable relevant pieces of advice.

	* emulation/tpu-extras.el (tpu-before-save-hook): Rename from
	tpu-write-file-hook.  Activate it with add-hook on buffer-save-hook.
	(newline, newline-and-indent, do-auto-fill): Use advice instead of
	redefining the function.
	(tpu-set-scroll-margins): Activate the pieces of advice.

2007-08-06  Martin Rudalics  <rudalics@gmx.at>

	* help.el (resize-temp-buffer-window): Use window-full-width-p
	instead of comparing frame-width and window-width.

2007-08-13  Stephen Leake  <stephen_leake@stephe-leake.org>

	* pcvs-parse.el (cvs-parse-table): Handle additional instance of
	optional quotes around files in NEED-UPDATE . REMOVED case.

	* progmodes/ada-xref.el (ada-gnatls-args): Fix docstring.
	(ada-treat-cmd-string): Improve error message.
	(ada-do-file-completion): Call `ada-require-project-file', so
	project variables are set properly.
	(ada-prj-find-prj-file): Delete Emacs 20.2 support.
	(ada-gnatfind-buffer-name): New constant.
	(ada-find-any-references): Use new constant.  Set buffer name
	properly in compilation-start.  Toggle read-only properly.
	(ada-find-in-src-path): Fix spelling error in docstring.

	* progmodes/vhdl-mode.el (vhdl-update-progress-info): Avoid divide
	by zero error.

2007-08-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/autoload.el (autoload-print-form): Use print-quoted.

2007-08-12  Richard Stallman  <rms@gnu.org>

	* progmodes/sh-script.el (sh): Delete group `unix'.

	* progmodes/gud.el (gud): Change to group `processes'.

2007-08-11  Glenn Morris  <rgm@gnu.org>

	* progmodes/compile.el (compilation-buffer-name): Don't check
	compilation-arguments.  It is superfluous, and the variable isn't
	even set when this function is called.

2007-08-10  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-ae-reopen-application): New function.
	(mac-apple-event-map): Bind "reopen application" Apple event to it.

2007-08-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/tex-mode.el (tex-font-lock-unfontify-region): Fix to
	take tex-font-script-display into account.
	(tex-font-script-display, tex-font-lock-suscript): Change from a cons
	cell to a list of 2 elements to simplify the unfontify code.

2007-08-08  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el (ps-default-fg, ps-default-bg): Docstring fix.
	(ps-begin-job): Use ps-default-fg and ps-default-bg only when
	ps-print-color-p is neither nil nor black-white.  Reported by Christian
	Schlauer <cs-muelleimer-rubbish.bin@arcor.de>.

2007-08-08  Andreas Schwab  <schwab@suse.de>

	* mail/mailabbrev.el (sendmail-pre-abbrev-expand-hook): Check for
	self-insert-command, not self-insert.

2007-08-08  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/eldoc.el (eldoc-get-fnsym-args-string): Make second
	argument optional, for backwards compatibility, and only highlight
	args when present.  Fix symbol name typo (doc/args).

	* help-mode.el (help-make-xrefs): Search for symbol constituents,
	rather than just `-'.

2007-08-07  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-units.el (calc-convert-temperature):
	Use `/' to create fractions.

2007-08-07  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-wrong-passwd-regexp): Make the regexp more
	global matching.
	(tramp-handle-shell-command): Handle OUTPUT-BUFFER and
	ERROR-BUFFER more robust.  Display output.
	(tramp-file-name-handler): Add a connection property when we found
	a foreign file name handler.  This allows backends like ftp to
	profit also from usr/host name completion based on connection
	cache.
	(tramp-send-command-and-read): Search for trash after the regexp
	until eol only.  In XEmacs, there is a problem with \n.

	* net/tramp-cache.el (top): Read persistent connection history
	when cache is empty.

2007-08-07  Nic Ferrier  <nferrier@tapsellferrier.co.uk>  (tiny change)

	* net/tramp.el (tramp-handle-process-file): Fix bug inserting
	resulting output.

2007-08-07  Sam Steingold  <sds@gnu.org>

	* progmodes/compile.el (compilation-start): Pass nil as startfile
	to comint-exec.

2007-08-07  Chong Yidong  <cyd@stupidchicken.com>

	* longlines.el (longlines-decoded): New variable.
	(longlines-mode): Avoid encoding or decoding the buffer twice.

2007-08-07  Martin Rudalics  <rudalics@gmx.at>

	* format.el (format-insert-file): Make sure that at most one undo
	entry is recorded for the insertion.  Inhibit point-motion and
	modification hooks around call to insert-file-contents.

2007-08-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-annotate): Select temp-buffer before running vc-exec-after.
	Select the buffer's window before moving point.

2007-08-07  Richard Stallman  <rms@gnu.org>

	* term.el (term): Remove parent group `unix'.

	* simple.el (default-indent-new-line): New function.
	It calls comment-line-break-function if there are comments.
	(do-auto-fill): Use that.

2007-08-07  Sean O'Rourke  <sorourke@cs.ucsd.edu>

	* complete.el (PC-lisp-complete-symbol): Complete symbol around point.
	(PC-do-completion): Add "acronym completion" for symbols and
	filenames, so e.g. "mvbl" expands to "make-variable-buffer-local".

2007-08-06  Sam Steingold  <sds@gnu.org>

	* mouse.el (mouse-buffer-menu): Pass mode-name through
	format-mode-line because it may be a list,
	e.g., (sgml-xml-mode "XML" "SGML"), and not a string.

2007-08-06  Vinicius Jose Latorre  <viniciusig@ig.com.br>

	* printing.el (pr-update-menus): Docstring fix.

2007-08-06  Jason Rumney  <jasonr@gnu.org>

	* menu-bar.el (menu-bar-vc-filter): Use vc-call-backend.

	* vc-hooks.el (vc-call): Add doc string.

2007-08-06  Michael Albinus  <michael.albinus@gmx.de>

	* net/ange-ftp.el (ange-ftp-hook-function): Catch also errors in
	process-filter.

2007-08-06  Kenichi Handa  <handa@m17n.org>

	* international/quail.el: Wrap (require 'help-mode) by
	eval-when-compile.
	(quail-help-init): New function.
	(quail-help): Call quail-help-init.
	(quail-store-decode-map-key): Change it to a function.

2007-08-05  Jason Rumney  <jasonr@gnu.org>

	* vc.el (vc-rollback): Add norevert argument back.
	(vc-revert-buffer): Add back as obsolete alias.

2007-08-05  Peter Povinec  <ppovinec@yahoo.com>  (tiny change)

	* term.el: Honor term-default-fg-color and term-default-bg-color
	settings when modifying term-current-face.
	(term-default-fg-color, term-default-bg-color): Initialize from
	default term-current-face.
	(term-mode, term-reset-terminal): Set term-current-face with
	term-default-fg-color and term-default-bg-color.
	(term-handle-colors-array): term-current-face has term-default-fg-color
	and term-default-bg-color after reset escape sequence.
	(term-handle-colors-array): Set term-current-color with
	term-default-fg/bg-color instead of ansi-term-color-vector when the
	index (term-ansi-current-color or term-ansi-current-bg-color) is zero.

2007-08-05  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-nlfit.el (math-nlfit-curve): Remove unnecessary variables.
	(math-nlfit-givens): Let bind free variables.

2007-08-05  Vinicius Jose Latorre  <viniciusig@ig.com.br>

	* printing.el: Require lpr and ps-print when loading printing package.
	Reported by Glenn Morris <rgm@gnu.org>.

2007-08-05  Michael Albinus  <michael.albinus@gmx.de>

	* files.el (set-auto-mode): Handle also remote files wrt
	`auto-mode-alist'.

2007-08-04  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calcalg3.el (calc-curve-fit): Add support for nonlinear
	curves and plotting.

	* calc/calc-nlfit.el: New file.

2007-08-04  Glenn Morris  <rgm@gnu.org>

	* autorevert.el (auto-revert-tail-mode): auto-revert-tail-pos is
	zero, not nil, when the library is first loaded.  Check for a file
	that has been modified on disk.

	* progmodes/cperl-mode.el (cperl-compilation-error-regexp-alist):
	Remove duplicate defvar preventing initialization.
	(cperl-mode): Fix compilation-error-regexp-alist-alist setting.

2007-08-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-font-lock-keywords): Fix up false positives.
	(diff-beginning-of-file): Adjust to the fact that diff-file-header-re
	may match up to 4 lines.
	(diff-beginning-of-file-and-junk): Rewrite.

2007-08-03  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* printing.el: Evaluate require only during compilation.
	(pr-version): New version 6.9.1.
	(deactivate-mark): Replace (defvar VAR nil) by (defvar VAR).
	(pr-global-menubar): Fix code.

2007-08-03  Dan Nicolaescu  <dann@ics.uci.edu>

	* term.el (term-erase-in-display): Fix case when point is not at
	the beginning of the line.

2007-08-03  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-ext.el (math-get-value, math-get-sdev)
	(math-contains-sdev): New functions.

	* calc/calc-graph.el (calc-graph-format-data)
	(calc-graph-add-curve): Check for error forms.
	(calc-graph-set-styles): Add option for error forms.

2007-08-03  Miles Bader  <miles@gnu.org>

	* vc-hooks.el (vc-handled-backends): Change capitalization of VC
	backend names for new backends to `Git', `Hg', and `Bzr'.
	* vc-hg.el (vc-hg-dired-state-info): Use `Hg' as VC backend name,
	not `HG'.
	* vc-git.el (vc-git-dired-state-info): Use `Git' as VC backend
	name, not `GIT'.
	* vc-bzr.el (vc-bzr-dir-state, vc-bzr-dired-state-info)
	(vc-bzr-unload-hook): Use `Bzr' as VC backend name, not `BZR'.

2007-08-03  Richard Stallman  <rms@gnu.org>

	* mail/rmailsum.el (rmail-make-summary-line): Find end of msg number
	to update deleted flag.

	* cus-edit.el (customize-apropos, customize-apropos-options)
	(customize-apropos-faces, customize-apropos-groups): Improve prompt.

	* menu-bar.el (menu-bar-help-menu): Add "About GNU" menu item.

	* startup.el (fancy-splash-head, startup-echo-area-message):
	Change message text.

	* emulation/tpu-edt.el (next-line-internal): Setting deleted.
	All callers use line-move.

	* progmodes/compile.el (compilation-find-buffer): Return current
	buffer immediately if suitable.
	(compile, compilation-buffer-name, compilation-start): Doc fixes.

2007-08-03  Daiki Ueno  <ueno@unixuser.org>

	* faces.el (face-normalize-spec): New function.
	(frame-set-background-mode): Normalize face-spec before calling
	face-spec-match-p.

2007-08-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* server.el (server-window): Add switch-to-buffer-other-frame option.

2007-08-03  Glenn Morris  <rgm@gnu.org>

	* cus-edit.el (customize-apropos): Make the error message indicate
	what kind of thing the user was trying to customize.

	* net/telnet.el (telnet-mode): Set comint-use-prompt-regexp to t.

	* progmodes/fortran.el (fortran-font-lock-syntactic-keywords):
	Fix off-by-one error in previous change.

2007-08-03  Drew Adams  <drew.adams@oracle.com>

	* emacs-lisp/pp.el (pp-eval-expression): Add progress message.
	Make buffer writable.

2007-08-01  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-math.el (math-sqrt-raw, math-sin-raw-2)
	(math-cos-raw-2, math-arctan-raw, math-ln-raw):
	Use native Emacs functions, when appropriate.

2007-08-01  Dan Nicolaescu  <dann@ics.uci.edu>
	    Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el: Document new VC operation `extra-menu'.

	* vc-hooks.el (vc-default-extra-menu): New function.

	* menu-bar.el (menu-bar-vc-filter): New function.
	(menu-bar-tools-menu): Use it as a filter.

2007-08-01  Eric Hanchrow  <offby1@blarg.net>  (tiny change)

	* ibuf-ext.el (ibuffer-mark-old-buffers): Docstring fix.

2007-08-01  Glenn Morris  <rgm@gnu.org>

	* progmodes/fortran.el: Remove leading `*' from all defcustom doc
	strings.
	(fortran-tab-mode-default): Remove needless autoload.
	(fortran-tab-mode-string): Add help-echo and mouse properties, and
	mark as risky.
	(fortran-line-length): New buffer-local variable, safe if integer.
	(fortran-if-start-re, fortran-end-prog-re1, fortran-end-prog-re):
	Change from variables to constants.
	(fortran-font-lock-syntactic-keywords): Delete as a variable,
	replace with a new function definition.
	(fortran-mode): Use fortran-line-length, and
	fortran-font-lock-syntactic-keywords as a function.  Add a
	hack-local-variables-hook function.
	(fortran-line-length, fortran-hack-local-variables): New functions.
	(fortran-window-create, fortran-strip-sequence-nos): Doc fix.
	Use fortran-line-length rather than 72.
	(fortran-window-create-momentarily): Doc fix.

2007-07-31  Drew Adams  <drew.adams@oracle.com>  (tiny change)

	* cus-edit.el (custom-group-value-create, custom-goto-parent):
	Fix parent groups link.

2007-07-31  Paul Pogonyshev  <pogonyshev@gmx.net>

	* progmodes/python.el (python-current-defun): Adjust to never fall
	into infinite loop.

2007-07-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs.el (cvs-vc-command-advice): Handle the new fileset case.

2007-07-29  Kimit Yada  <kimitto@gmail.com>  (tiny change)

	* emacs-lisp/copyright.el (copyright-update-year, copyright-update)
	(copyright-fix-years, copyright): Correctly handle the case where
	copyright-limit is nil.

2007-07-28  Konstantin Novitsky  <knovitsk@Bear.com>  (tiny change)

	* progmodes/python.el (run-python): Fix path separator under w32.

2007-07-30  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/lisp-mode.el (emacs-lisp-mode-syntax-table):
	Treat non-break space as whitespace in Lisp.

2007-07-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-dired-hook): Use inhibit-read-only.

	* progmodes/compile.el (compilation-forget-errors):
	Reset compilation-auto-jump-to-next.

2007-07-30  Michael Olson  <mwolson@gnu.org>

	* cus-edit.el (custom-group-save): Fix void function definition
	error.  Thanks to Zhang Wei for the report.

	* ps-print.el: Check in trivial changes to the autoloads section
	caused by the build process.  These autoloads really ought to be
	placed in a separate file, methinks.

2007-07-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* calendar/calendar.el (calendar-mode): Make sure
	displayed-(month|year) are set.
	(calendar-basic-setup): Display buffer before adjusting window sizes.
	(generate-calendar-window): Use inhibit-read-only.  Simplify.
	Generate buffer and set displayed-month and displayed-year before
	calling update-calendar-mode-line.

2007-07-29  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el:
	* net/tramp-uu.el:
	* net/trampver.el: Use utf-8 encoding with coding cookie.

	* net/tramp-cache.el:
	* net/tramp-fish.el:
	* net/tramp-ftp.el:
	* net/tramp-gw.el:
	* net/tramp-smb.el: Remove coding cookie.

	* net/tramp.el (tramp-handle-verify-visited-file-modtime):
	Flush buffer file-name's file property.
	(tramp-handle-file-remote-p): The first parameter is FILENAME.

	* net/trampver.el: Update release number.

2007-07-29  Juri Linkov  <juri@jurta.org>

	* dired.el (dired-mode-map): Bind C-x C-q to dired-toggle-read-only.
	Filter out menu item "Edit File Names" `wdired-change-to-wdired-mode'
	when major-mode is not dired-mode.
	(dired-toggle-read-only): New function.
	(dired-recursive-deletes): Remove obsolete comments about old
	default value.
	(dired-do-flagged-delete, dired-do-delete): Refill docstring.

	* wdired.el (wdired-exit): New function.
	(wdired-mode-map): Bind C-x C-q to wdired-exit.

2007-07-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* cus-edit.el (customize-read-group): New fun.
	(customize-group-other-window, customize-face-other-window):
	Prompt before delegating to customize-(group|face).
	Bind pop-up-windows rather than use the other-window argument.
	(customize-group, customize-face): Prompt from the interactive spec.
	Remove args `prompt-for-group' and `other-window'.

	* emacs-lisp/advice.el (ad-interactive-form): Re-introduce.
	(ad-body-forms, ad-advised-interactive-form): Revert this part of
	last change.

2007-07-28  Masatake YAMATO  <jet@gyve.org>

	* vc.el (vc-dired-mode): Add a menu for VC related operation.
	Use backend name as the menu label.  Suggested by David Kastrup.

2007-07-28  Alan Mackenzie  <acm@muc.de>

	Fix problem with modes derived from CC Mode:
	* progmodes/cc-mode.el (c-make-emacs-variables-local): Move this
	macro to cc-langs.
	(c-init-language-vars-for): Remove call to above macro.
	* progmodes/cc-langs.el (c-make-emacs-variables-local): Macro has
	been moved to here.
	(c-make-init-lang-vars-fun): Call c-make-emacs-variables-local.

2007-07-28  Eli Zaretskii  <eliz@gnu.org>

	* net/trampver.el: Fix the `coding' cookie.

2007-07-28  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-git.el (vc-git-print-log): Support both the old single file
	interface and the new one.

2007-07-28  Nick Roberts  <nickrob@snap.net.nz>

	* bindings.el (mode-line-remote): Use updated %@ construct.

2007-07-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* calendar/cal-bahai.el (calendar-bahai-month-name-array)
	(calendar-bahai-epoch, calendar-bahai-leap-year-p)
	(calendar-bahai-leap-base, calendar-bahai-prompt-for-date)
	(diary-list-bahai-entries, diary-bahai-mark-entries)
	(calendar-bahai-mark-date-pattern, diary-insert-bahai-entry)
	(diary-bahai-insert-monthly-entry, diary-bahai-insert-yearly-entry):
	New names to clean up namespace.
	(list-bahai-diary-entries, mark-bahai-diary-entries)
	(insert-bahai-diary-entry, insert-monthly-bahai-diary-entry)
	(insert-yearly-bahai-diary-entry, mark-bahai-calendar-date-pattern):
	Add compatibility aliases.

	* calendar/appt.el: Don't wrap defvar within eval-when-compile.

	* calendar/cal-move.el (calendar-scroll-left, calendar-scroll-right)
	(calendar-scroll-left-three-months)
	(calendar-scroll-right-three-months): Clean up namespace.
	(scroll-calendar-left, scroll-calendar-right)
	(scroll-calendar-left-three-months)
	(scroll-calendar-right-three-months): Add compatibility aliases.

	* calendar/cal-move.el (calendar-scroll-left, calendar-scroll-right):
	Behave like mouse-scroll-calendar-* when used from the mouse.

	* calendar/cal-menu.el (cal-menu-scroll-menu)
	(cal-menu-global-mouse-menu):
	* calendar/calendar.el (calendar-mode-map):
	Use new calendar-scroll-* names.
	(mouse-scroll-calendar-left, mouse-scroll-calendar-right):
	Remove.  Use calendar-scroll-* directly instead.

2007-07-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/advice.el (ad-interactive-p, ad-interactive-form): Remove.
	(ad-body-forms, ad-advised-interactive-form, ad-make-cache-id)
	(ad-make-advised-definition, ad-cache-id-verification-code):
	Use commandp and interactive-form instead.

2007-07-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-git.el: Relicense to GPLv3 or later.
	(vc-directory-exclusion-list, vc-handled-backends): Remove.

	* vc-hooks.el (vc-handled-backends): Add GIT.

	* vc.el (vc-directory-exclusion-list): Add .git.

2007-07-26  Alexandre Julliard  <julliard@winehq.org>

	* vc-git.el (vc-git-revision-table)
	(vc-git-revision-completion-table): New functions.

2007-07-26  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* progmodes/ebnf-abn.el (ebnf-abn-skip-comment):
	* progmodes/ebnf-bnf.el (ebnf-bnf-skip-comment):
	* progmodes/ebnf-dtd.el (ebnf-dtd-skip-comment):
	* progmodes/ebnf-ebx.el (ebnf-ebx-skip-comment):
	* progmodes/ebnf-iso.el (ebnf-iso-skip-comment):
	* progmodes/ebnf-yac.el (ebnf-yac-skip-comment): New version.
	New command actions for EPS header and EPS footer.

	* progmodes/ebnf2ps.el: New command actions for EPS header and EPS
	footer.  Fix some problems with one-or-more, zero-or-more and
	alternative constructions generation.  Some log messages
	implementation.  Doc fix.
	(ebnf-version): New version 4.4.
	(ebnf-eps-header-font, ebnf-eps-header, ebnf-eps-footer-font)
	(ebnf-eps-footer, ebnf-log): New options.
	(ebnf-find-style, ebnf-eps-header-footer, ebnf-eps-header)
	(ebnf-eps-footer, ebnf-eps-string, ebnf-eps-header-footer-comment)
	(ebnf-eps-header-footer-p, ebnf-eps-header-comment)
	(ebnf-eps-footer-comment, ebnf-eps-header-footer-file)
	(ebnf-eps-header-footer-set, ebnf-log-header, ebnf-log): New funs.
	(ebnf-style-custom-list, ebnf-style-database): Put new values.
	(ebnf-print-directory, ebnf-print-file, ebnf-print-buffer)
	(ebnf-print-region, ebnf-spool-directory, ebnf-spool-file)
	(ebnf-spool-buffer, ebnf-spool-region, ebnf-eps-directory)
	(ebnf-eps-file, ebnf-eps-buffer, ebnf-eps-region)
	(ebnf-syntax-directory, ebnf-syntax-file, ebnf-syntax-buffer)
	(ebnf-syntax-region, ebnf-parse-and-sort, ebnf-begin-job)
	(ebnf-dimensions, ebnf-production-dimension, ebnf-terminal-dimension)
	(ebnf-non-terminal-dimension, ebnf-special-dimension)
	(ebnf-terminal-dimension1, ebnf-repeat-dimension)
	(ebnf-except-dimension, ebnf-alternative-dimension)
	(ebnf-optional-dimension, ebnf-one-or-more-dimension)
	(ebnf-zero-or-more-dimension, ebnf-sequence-dimension): Insert log
	message fun.
	(ebnf-setup, ebnf-generate-one-or-more, ebnf-generate-zero-or-more)
	(ebnf-begin-job, ebnf-begin-file, ebnf-eps-finish-and-write)
	(ebnf-insert-ebnf-prologue, ebnf-production-dimension)
	(ebnf-terminal-dimension1, ebnf-alternative-dimension)
	(ebnf-one-or-more-dimension, ebnf-zero-or-more-dimension)
	(ebnf-eps-add-context, ebnf-eps-add-production): Fix code.
	(ebnf-eps-filename, ebnf-trim-right): Replace `?\s' by `?\ ' to keep
	compatibility with Emacs 20 & 21.
	(ebnf-eps-header-comment, ebnf-eps-footer-comment)
	(ebnf-eps-file-alist, ebnf-basic-width-extra)
	(ebnf-basic-empty-height): New vars.
	(ebnf-prologue): Fix PostScript code.
	(ebnf-make-empty, ebnf-make-terminal1, ebnf-make-or-more1)
	(ebnf-make-production, ebnf-make-alternative, ebnf-make-optional)
	(ebnf-make-except, ebnf-make-repeat, ebnf-make-sequence)
	(ebnf-make-dup-sequence, ebnf-token-alternative): Add comments.

2007-07-25  Glenn Morris  <rgm@gnu.org>

	* Relicense all FSF files to GPLv3 or later.

	* COPYING: Switch to GPLv3.

2007-07-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs.el (cvs-temp-buffer): Undo last ill-conceived change.
	Replace it with another one which disables undo before calling
	erase-buffer and then turns it back on if needed.

2007-07-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hg.el (vc-hg-revision-completion-table): Temporarily comment out.

2007-07-24  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-tex.el (cal-tex-holidays, cal-tex-diary)
	(cal-tex-rules, cal-tex-buffer, cal-tex-24)
	(cal-tex-cursor-month-landscape, cal-tex-cursor-month)
	(cal-tex-cursor-week, cal-tex-cursor-week2)
	(cal-tex-cursor-week-iso, cal-tex-week-hours)
	(cal-tex-cursor-week-monday, cal-tex-weekly4-box)
	(cal-tex-cursor-filofax-2week, cal-tex-cursor-filofax-week)
	(cal-tex-cursor-filofax-daily, cal-tex-daily-page): Doc fix.

2007-07-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* calendar/calendar.el (calendar-mode-map): Move initialization
	into declaration.  Add menu bindings (used to be done in cal-menu).
	(calendar-mode): Don't add an activate-menubar-hook.

	* calendar/cal-menu.el: Break dependency on calendar.el (i.e. do not
	modify calendar-mode-map), use easy-menu, and make sure that C-h k
	can be used on the menu entries.
	(cal-menu-holiday-window-suffix, cal-menu-set-date-title): New funs.
	(cal-menu-moon-menu, cal-menu-diary-menu, cal-menu-holidays-menu)
	(cal-menu-goto-menu, cal-menu-scroll-menu): New consts.
	(cal-menu-context-mouse-menu, cal-menu-global-mouse-menu): New menus.
	(calendar-flatten, cal-menu-update): Remove.
	(calendar-mouse-insert-hebrew-diary-entry)
	(calendar-mouse-insert-islamic-diary-entry)
	(calendar-mouse-insert-bahai-diary-entry):
	Remove (fold into cal-menu-diary-menu).
	(calendar-mouse-2-date-menu, calendar-mouse-cal-tex-menu)
	(cal-tex-mouse-filofax): Remove (fold into cal-menu-context-mouse-menu).
	(calendar-mouse-3-map): Remove (turn into cal-menu-global-mouse-menu).
	(calendar-mouse-view-diary-entries): Minor simplifications.
	(calendar-event-to-date): Use with-current-buffer.

2007-07-25  Nick Roberts  <nickrob@snap.net.nz>

	* add-log.el (change-log-redate): Remove (not needed anymore and
	doesn't appear to work).

2007-07-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* frame.el: Use mapc and dolist instead of mapcar where possible.
	(close-display-connection): New command.

2007-07-25  Alexandre Julliard  <julliard@winehq.org>

	* vc-git.el (vc-git-log-view-mode): Port to the multi-file vc interface.
	(vc-git-create-snapshot, vc-git-retrieve-snapshot): New functions.

2007-07-25  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el (ps-multibyte-buffer): Docstring fix.

	* ps-mule.el: Doc fix.
	(ps-multibyte-buffer, ps-mule-font-info-database-default)
	(ps-mule-external-libraries, ps-mule-begin-job): Docstring fix.

2007-07-25  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-tex.el (cal-tex-which-days, cal-tex-holidays)
	(cal-tex-diary, cal-tex-daily-string, cal-tex-daily-start)
	(cal-tex-daily-end, cal-tex-hook)
	(cal-tex-cal-one-month, cal-tex-cal-multi-month)
	(cal-tex-year, cal-tex-cursor-week, cal-tex-cursor-week2)
	(cal-tex-cursor-week-iso, cal-tex-week-hours)
	(cal-tex-cursor-week-monday, cal-tex-weekly4-box)
	(cal-tex-cursor-day, cal-tex-insert-preamble): Doc fix.
	(cal-tex-day-prefix, cal-tex-day-name-format)
	(cal-tex-cal-one-month, cal-tex-cal-multi-month, cal-tex-myday)
	(cal-tex-caldate, cal-tex-LaTeX-hourbox)
	(cal-tex-LaTeX-subst-list): Change from variables to constants.
	(cal-tex-preamble, cal-tex-arg, cal-tex-nl): Simplify with `format'.
	(cal-tex-cursor-filofax-year, cal-tex-weekly4-box): Use \textbf,
	etc, rather than \bf.
	(cal-tex-mini-calendar): Fix typos in previous change.
	(cal-tex-latexify-list): Remove inner let binding.
	(cal-tex-end-document, cal-tex-banner): Use multi-line
	cal-tex-comment.
	(cal-tex-comment): Handle embedded newlines.
	(cal-tex-LaTeXify-string): Use substring-no-properties.

2007-07-25  Joakim Verona  <joakim@verona.se>  (tiny change)

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Add support for the Maden build tool.

2007-07-25  William Xu  <william.xwl@gmail.com>  (tiny change)

	* net/webjump.el (webjump-url-encode): Fix for non-ASCII characters.

2007-07-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs.el (cvs-temp-buffer): Disable undo in temp buffers.

2007-07-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* dired.el (dired-mode-map): Bind wdired-change-to-wdired-mode to
	C-x C-q.

	* vc-git.el (vc-git-print-log): Fix previous change.

2007-07-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* window.el (save-selected-window): Minor optimization.
	(bw-adjust-window): If operation failed, try with a smaller delta.
	(window-fixed-size-p): New function.
	(window-area-factor): New var.
	(balance-windows-area): New command.

	* ps-mule.el (ps-multibyte-buffer): Docstring fixes.
	(ps-mule-encode-ethiopic): Make it clear that it's always defined.
	(ps-mule-prepare-font-for-components, ps-mule-encode-header-string)
	(ps-mule-encode-bit, ps-mule-encode-ucs2): Use dotimes.
	(ps-mule-begin-job): Use dolist.

2007-07-24  Michael Albinus  <michael.albinus@gmx.de>

	* subr.el (start-file-process-shell-command)
	(process-file-shell-command): New defuns.

	* progmodes/compile.el (compilation-start):
	Apply `start-file-process-shell-command'.

2007-07-24  Alexandre Julliard  <julliard@winehq.org>

	* vc-git.el (vc-git-checkout, vc-directory-exclusion-list): Fix typos.

2007-07-24  Alan Mackenzie  <acm@muc.de>

	* emacs-lisp/bytecomp.el (byte-compile-from-buffer):
	Initialise byte-compile-unresolved-functions before rather than
	after a compilation.
	(byte-compile-unresolved-functions): Amplify doc string.

2007-07-24  Glenn Morris  <rgm@gnu.org>

	* startup.el (normal-splash-screen): Use `emacs-copyright'.

	* calendar/cal-tex.el (cal-tex-holidays, cal-tex-diary)
	(cal-tex-rules, cal-tex-buffer, cal-tex-24)
	(cal-tex-cursor-month-landscape, cal-tex-cursor-month)
	(cal-tex-cursor-week, cal-tex-cursor-week2)
	(cal-tex-cursor-week-iso, cal-tex-week-hours)
	(cal-tex-cursor-week-monday, cal-tex-weekly4-box)
	(cal-tex-cursor-filofax-2week, cal-tex-cursor-filofax-week)
	(cal-tex-cursor-filofax-daily, cal-tex-daily-page): Doc fix.

	* calendar/cal-tex.el: Remove leading `*' from defcustom docs.
	(cal-tex-daily-string, cal-tex-daily-start, cal-tex-daily-end)
	(cal-tex-day-name-format, cal-tex-cal-one-month)
	(cal-tex-cal-multi-month, cal-tex-myday, cal-tex-preamble)
	(cal-tex-comment, cal-tex-nl, cal-tex-cmd, cal-tex-e-parbox)
	(cal-tex-mini-calendar, cal-tex-em): Doc fix.
	(cal-tex-list-holidays, cal-tex-cursor-year)
	(cal-tex-cursor-year-landscape, cal-tex-year)
	(cal-tex-cursor-filofax-year, cal-tex-cursor-month-landscape)
	(cal-tex-cursor-month, cal-tex-insert-days)
	(cal-tex-insert-day-names, cal-tex-insert-blank-days)
	(cal-tex-first-blank-p, cal-tex-cursor-week)
	(cal-tex-cursor-week2, cal-tex-cursor-week-iso)
	(cal-tex-week-hours, cal-tex-cursor-week-monday)
	(cal-tex-weekly4-box, cal-tex-cursor-filofax-2week)
	(cal-tex-cursor-filofax-week, cal-tex-cursor-filofax-daily)
	(cal-tex-cursor-day, cal-tex-daily-page, cal-tex-mini-calendar)
	(cal-tex-latexify-list, cal-tex-previous-month)
	(cal-tex-next-month, cal-tex-insert-preamble): General tidy-up and
	modernization, including using dotimes rather than
	calendar-for-loop.
	(cal-tex-LaTeX-subst-list): Remove `@'.
	(cal-tex-em, cal-tex-bf, cal-tex-Huge-bf, cal-tex-large-bf):
